(function($) {
	"use strict";
	   
if( $( 'select' ).length > 0 ) {
	$( '.custom-fields' ).select2({ width:'100%',allowClear: true});
}


$('.admin-ul.for-featured input[type="radio"]').on('change', function () {
        var featured_val = $(this).val();
        if (featured_val == 1)
        {
            $("#featured-for").removeClass("none");
            $("input#featured_for_days").prop('required', true);
        } else
        {
            $("#featured-for").addClass("none");
            $("input#featured_for_days").prop('required', false);
        }
    });


	
	
	
	var meta_gallery_frame_brand;
	$('#dwt_listing_brand_btn').on('click', function(e){
                // sonu code here.
                if ( meta_gallery_frame_brand ) {
                        meta_gallery_frame_brand.open();
                        return;
                }
                // Sets up the media library frame
                meta_gallery_frame_brand = wp.media.frames.meta_gallery_frame_brand = wp.media({
                        title: admin_varible.select_imgz,
                        button: { text:  dwt_listing_b_logo_id.button },
                        library: { type: 'image' },
						multiple: false
                });
				// Create Featured Gallery state. This is essentially the Gallery state, but selection behavior is altered.
				meta_gallery_frame_brand.states.add([
					new wp.media.controller.Library({
						priority:   20,
						toolbar:    'main-gallery',
						filterable: 'uploaded',
						library:    wp.media.query( meta_gallery_frame_brand.options.library ),
						multiple:   meta_gallery_frame_brand.options.multiple ? 'reset' : false,
						editable:   true,
						allowLocalEdits: true,
						displaySettings: true,
						displayUserSettings: true
					}),
				]);
				var idsArray;
				var attachmentz;
				meta_gallery_frame_brand.on('open', function() {
					var selection = meta_gallery_frame_brand.state().get('selection');
					var library = meta_gallery_frame_brand.state('gallery-edit').get('library');
					var ids = $('#dwt_listing_b_logo_id').val();
				});
				meta_gallery_frame_brand.on('ready', function() {
					$( '.media-modal' ).addClass( 'no-sidebar' );
				});
		 var imagesz;
		// When an image is selected, run a callback.
		//meta_gallery_frame.on('update', function() {
		meta_gallery_frame_brand.on('select', function() {
			var imageIDArrayz = [];
			var imageHTMLz = '';
			var metadataStringz = '';
			imagesz = meta_gallery_frame_brand.state().get('selection');
			imageHTMLz += '<ul class="dwt_listing_gallery">';
			imagesz.each(function(attachmentz) {
				//sonu get image object
                console.debug(attachmentz.attributes);
				imageIDArrayz.push(attachmentz.attributes.id);
				imageHTMLz += '<li><div class="dwt_listing_gallery_container"><span class="dwt_listing_delete_icon_brand"><img id="'+attachmentz.attributes.id+'" src="'+attachmentz.attributes.url+'"></span></div></li>';
			});
			imageHTMLz += '</ul>';
			metadataStringz = imageIDArrayz.join(",");
			if (metadataStringz) {
				$("#dwt_listing_b_logo_id").val(metadataStringz);
				$("#dwt_listing_gall_render_html").html(imageHTMLz);
			}
		});
			// Finally, open the modal
			meta_gallery_frame_brand.open();
        });
		
	$(document.body).on('click', '.dwt_listing_delete_icon_brand', function(event){
		event.preventDefault();
		if (confirm(admin_varible.img_del))
		{
			var removedImagez = $(this).children('img').attr('id');
			var oldGalleryz = $("#dwt_listing_b_logo_id").val();
			var newGalleryz = oldGalleryz.replace(','+removedImagez,'').replace(removedImagez+',','').replace(removedImagez,'');
			$(this).parents().eq(1).remove();
			$("#dwt_listing_b_logo_id").val(newGalleryz);
		}
	});


var meta_gallery_frame_event;
	  $('#dwt_listing_event_button').on('click', function(e){
                if (meta_gallery_frame_event) {
                        meta_gallery_frame_event.open();
                        return;
                }
                meta_gallery_frame_event = wp.media.frames.meta_gallery_frame_event = wp.media({
                        title: admin_varible.select_imgz,
                        button: { text:  dwt_listing_event_idz.button },
                        library: { type: 'image' },
						multiple: true
                });
				meta_gallery_frame_event.states.add([
					new wp.media.controller.Library({
						priority:   20,
						toolbar:    'main-gallery',
						filterable: 'uploaded',
						library:    wp.media.query( meta_gallery_frame_event.options.library ),
						multiple:   meta_gallery_frame_event.options.multiple ? 'reset' : false,
						editable:   true,
						allowLocalEdits: true,
						displaySettings: true,
						displayUserSettings: true
					}),
				]);
				var idsArray_events;
				var attachment_eventz;
				meta_gallery_frame_event.on('open', function() {
					var event_selection = meta_gallery_frame_event.state().get('selection');
					var library_event = meta_gallery_frame_event.state('gallery-edit').get('library');
					var event_ids = $('#dwt_listing_event_idz').val();
					if (event_ids) {
						idsArray_events = event_ids.split(',');
						idsArray_events.forEach(function(id) {
							attachment_eventz = wp.media.attachment(id);
							attachment_eventz.fetch();
							event_selection.add( attachment_eventz ? [ attachment_eventz ] : [] );
						});
					}
				});
				meta_gallery_frame_event.on('ready', function() {
					$( '.media-modal' ).addClass( 'no-sidebar' );
				});
		 var images_event;
		meta_gallery_frame_event.on('select', function() {
			var imageIDArray = [];
			var imageHTML = '';
			var metadataString = '';
			images_event = meta_gallery_frame_event.state().get('selection');
			imageHTML += '<ul class="dwt_listing_gallery">';
			images_event.each(function(attachment_eventz) {
                console.debug(attachment_eventz.attributes);
				imageIDArray.push(attachment_eventz.attributes.id);
				imageHTML += '<li><div class="dwt_listing_gallery_container"><span class="dwt_event_delete_icon"><img id="'+attachment_eventz.attributes.id+'" src="'+attachment_eventz.attributes.sizes.thumbnail.url+'"></span></div></li>';
			});
			imageHTML += '</ul>';
			metadataString = imageIDArray.join(",");
			if (metadataString) {
				$("#dwt_listing_event_idz").val(metadataString);
				$("#dwt_listing_gall_render_event").html(imageHTML);
			}
		});
		meta_gallery_frame_event.open();
      });
	  
	  $(document.body).on('click', '.dwt_event_delete_icon', function(event){
		event.preventDefault();
		if (confirm(admin_varible.img_del))
		{
			var removedImage = $(this).children('img').attr('id');
			var oldGallery = $("#dwt_listing_event_idz").val();
			var newGallery = oldGallery.replace(','+removedImage,'').replace(removedImage+',','').replace(removedImage,'');
			$(this).parents().eq(1).remove();
			$("#dwt_listing_event_idz").val(newGallery);
		}
	});





})(jQuery);	

function dwt_listing_fresh_install()
{
		 var is_fresh_copy =	confirm("Are you installating it with fresh copy of WordPress? Please only select OK if it is fresh installation.");
		 if( is_fresh_copy )
		 {
			jQuery.ajax({
				type: "POST",
				url: ajaxurl,
				data: { action: 'demo_data_start' , is_fresh: 'yes' }
				}).done(function( msg ) {
			});
			
		 }
}


(function($) {
	if ($('.sub-category-admin').length) {
		$('#cat_parent').on('change', function () {
			//$('.theme-row.mw-1 .wrap').LoadingOverlay("show");
			var cat_parent = $(this).val();
			$.post(ajaxurl, {action: 'mw_get_categores', cat_parent: cat_parent}).done(function (response) {
				$("#level-1").val('');
				$("#level-2").val('');
				$("#level-3").val('');
				//$('.theme-row.mw-1 .wrap').LoadingOverlay("hide");
				if (true === response.success) {

					$('#cat-level-1').css("display", "block");
					$('#level-1').html(response.data.result);
					$('#cat-level-2').css("display", "none");
					$('#cat-level-3').css("display", "none");
				} else {
					$('#cat-level-1').css("display", "none");
					$('#cat-level-2').css("display", "none");
					$('#cat-level-3').css("display", "none");
				}
			});
			//fields
			$.post(ajaxurl, {action: 'mw_get_custom', cat_parent: cat_parent}).done(function (response) {
				$('.mx-custom-fields').css("display", "block");
			//	$('.mx-custom-fields').LoadingOverlay("show");
				if (true === response.success) {
				//	$('.mx-custom-fields').LoadingOverlay("hide");
					$('.mx-custom-fields').css("display", "block");
					$('#dynamic-custom-fields').html(response.data.fields);
					if ($(".custom-fields-theme-selects").length > 0) {
						$('.custom-fields-theme-selects').select2({width: '100%', theme: "classic"});
					}
					if ($(".custom-range-slider").length > 0) {
						$(".custom-range-slider").ionRangeSlider({skin: "round"});
					}
				} else {
					$('.mx-custom-fields').LoadingOverlay("hide");
					$('.mx-custom-fields').css("display", "none");
				}
			});
		});

		$('#level-1').on('change', function () {
			$('#cat-level-3').css("display", "none");
			//$('.theme-row.mw-2 .wrap').LoadingOverlay("show");
			var cat_parent = $(this).val();
			$.post(ajaxurl, {action: 'mw_get_categores', cat_parent: cat_parent}).done(function (response) {
				$("#level-2").val('');
				$("#level-3").val('');
				//$('.theme-row.mw-2 .wrap').LoadingOverlay("hide");
				if (true === response.success) {

					$('#cat-level-2').css("display", "block");
					$('#level-2').html(response.data.result);
				} else {
					$('#cat-level-2').css("display", "none");
					$('#cat-level-3').css("display", "none");
				}
			});
			//fields
			$.post(ajaxurl, {action: 'mw_get_custom', cat_parent: cat_parent}).done(function (response) {
				$('.mx-custom-fields').css("display", "block");
				$('.mx-custom-fields').LoadingOverlay("show");
				if (true === response.success) {
					$('.mx-custom-fields').LoadingOverlay("hide");
					$('.mx-custom-fields').css("display", "block");
					$('#dynamic-custom-fields').html(response.data.fields);
					if ($(".custom-fields-theme-selects").length > 0) {
						$('.custom-fields-theme-selects').select2({width: '100%', theme: "classic"});
					}
					if ($(".custom-range-slider").length > 0) {
						$(".custom-range-slider").ionRangeSlider({skin: "round"});
					}
				} else {
					$('.mx-custom-fields').LoadingOverlay("hide");
					$('.mx-custom-fields').css("display", "none");
				}
			});

		});

		$('#level-2').on('change', function () {
			//$('.theme-row.mw-3 .wrap').LoadingOverlay("show");
			var cat_parent = $(this).val();
			$.post(ajaxurl, {action: 'mw_get_categores', cat_parent: cat_parent}).done(function (response) {
				$("#level-3").val('');
				//	$('.theme-row.mw-3 .wrap').LoadingOverlay("hide");
				if (true === response.success) {

					$('#cat-level-3').css("display", "block");
					$('#level-3').html(response.data.result);
				} else {
					$('#cat-level-3').css("display", "none");
				}
			});
			//fields
			$.post(ajaxurl, {action: 'mw_get_custom', cat_parent: cat_parent}).done(function (response) {
				$('.mx-custom-fields').css("display", "block");
				//$('.mx-custom-fields').LoadingOverlay("show");
				if (true === response.success) {
					//$('.mx-custom-fields').LoadingOverlay("hide");
					$('.mx-custom-fields').css("display", "block");
					$('#dynamic-custom-fields').html(response.data.fields);
					if ($(".custom-fields-theme-selects").length > 0) {
						$('.custom-fields-theme-selects').select2({width: '100%', theme: "classic"});
					}
					if ($(".custom-range-slider").length > 0) {
						$(".custom-range-slider").ionRangeSlider({skin: "round"});
					}
				} else {
					//$('.mx-custom-fields').LoadingOverlay("hide");
					$('.mx-custom-fields').css("display", "none");
				}
			});

		});
	}



})(jQuery);