<?php 
// Register post  type and taxonomy
add_action( 'init', 'maxwheels_framework_custom_types_buyer',1);
function maxwheels_framework_custom_types_buyer() {
	// Register Post Type Agents
	$mw_slug = 'buyer';
	if ( class_exists( 'Redux' ) ) {
		$data = $mw_slug_val = '';
		$data	=	get_option('dwt_listing_options');
		if(!empty($data))
		{
			if(isset($data['dwt_listing_listing_slug']) && $data['dwt_listing_listing_slug'] !="")
			{
				$mw_slug_val = $data['dwt_listing_listing_slug'];
				if(!empty($mw_slug_val))
				{
					$mw_slug = trim($mw_slug_val);
				}
			}
		}
	}
	$labels = array(
            'name' => esc_html__( 'Buyers','maxwheels-framework'),
            'singular_name' => esc_html__( 'Buyers','maxwheels-framework' ),
            'add_new' => esc_html__('Add New Buyer','maxwheels-framework'),
            'add_new_item' => esc_html__('Add New','maxwheels-framework'),
            'edit_item' => esc_html__('Edit Buyer','maxwheels-framework'),
            'new_item' => esc_html__('New Buyer','maxwheels-framework'),
            'view_item' => esc_html__('View Buyer','maxwheels-framework'),
            'search_items' => esc_html__('Search Buyer','maxwheels-framework'),
            'not_found' =>  esc_html__('No Buyer found','maxwheels-framework'),
            'not_found_in_trash' => esc_html__('No Buyer found in Trash','maxwheels-framework'),
    );
    $args = array(
		'public' => true,
		'label'  =>  esc_html__( 'Buyers', 'maxwheels-framework' ),
		'labels'      => $labels,
		'supports' => array('title','editor','thumbnail'),
		'show_ui' => true,
        'publicly_queryable' => true,
		'query_var' => true,
        'has_archive' => true,
		'capability_type' => 'post',
		'capabilities' => array(
            'create_posts' => false,
        ),
		'hierarchical' => true,
		'map_meta_cap'    => true,
		'can_export' => true,
		'menu_icon' => 'dashicons-location',
		'rewrite' => array('with_front' => false, 'slug' => $mw_slug)
    );
    register_post_type( 'mw-buyers', $args );
}