<?php
if(!empty($params) && is_array($params))
{ 
	$meta_query  = WC()->query->get_meta_query();
	//order
	$order = 'DESC';
    $order_by = 'date';
	if ($params['orderby'] == 'asc')
	{
		$order = 'ASC';
	}
	if ($params['orderby'] == 'desc')
	{
		$order = 'DESC';
	}
	if ($params['orderby'] == 'rand')
	{
		 $order_by = 'rand';
	}
	//categories
	$cat_ids = '';
	$categories = array();
	if(!empty($params['categories']) && is_array($params['categories']) && count($params['categories']) > 0)
	{
		foreach ($params['categories'] as $cats)
		{
			if ($cats == 'all')
			{
				break;
			}
			else
			{
				$categories[] = $cats;
			}
		}
	}
	$cat_ids = implode(',', $categories);
	$category_type = '';
	if(!empty($categories) && is_array($categories))
	{
		$category_type =  array(
				'taxonomy' => 'product_cat',
				'field' => 'term_id',
				'terms' => $categories,
		);
	}
	//product type
	$listing_type = ''; $on_sale = '';
	if ($params['listing_type'] == 'featured')
	{
		$listing_type = array(
			'taxonomy' => 'product_visibility',
            'field'    => 'name',
            'terms'    => 'featured',
            'operator' => 'IN',
   		 );
	}
	elseif ($params['listing_type'] == 'on_sale')
	{
		    $meta_query['relation'] = 'OR';
			$meta_query[] = array(
				'key'           => '_sale_price',
				'value'         => 0,
				'compare'       => '>',
				'type'          => 'numeric'
			);
			$meta_query[] =array(
				'key'           => '_min_variation_sale_price',
				'value'         => 0,
				'compare'       => '>',
				'type'          => 'numeric'
			);
	}
	else
	{
		$listing_type = '';
		$meta_query  = WC()->query->get_meta_query();
	}
	$hide_hidden = array(
			'taxonomy' => 'product_visibility',
            'field'    => 'name',
            'terms'    => 'exclude-from-catalog',
            'operator' => 'NOT IN',
   		 );
	$args = array(
			'post_type' => 'product',
			'tax_query' => array(
				$category_type,
				$listing_type,
				$hide_hidden
			),
			'meta_query'          => $meta_query,
			'posts_per_page' => $params['no_of_post'],
			'paged' => 1,
			'fields' => 'ids',
			'order'=> $order,
			'orderby' => $order_by,
	);
	$fetch_output = '';
        $loop = new WP_Query( $args );
        if ( $loop->have_posts() ) {
            while ( $loop->have_posts() ) : $loop->the_post();
             $mw_id = get_the_ID();
			 $fetch_output .= get_products_shortcodes($mw_id,$params['listing_column']);
            endwhile;
        } 
       wp_reset_postdata();
}