<?php get_header(); ?>
<div class="mw-breads white-bg">
	<div class="container">
		<div class="row">
			<div class="col-xxl-12 col-lg-12 col-md-12 col-sm-12 col-12">
				<ol class="breadcrumb">
				  <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url( '/' )); ?>"><i class="fas fa-home"></i> <?php echo esc_html__('Home','maxwheels'); ?></a></li>
				  <li class="breadcrumb-item active" aria-current="page"><?php echo esc_html__('Archives','maxwheels'); ?></li>
				</ol>			
			</div>	
		</div>
	</div>	
</div>
<section class="blog-section-2 light-bg  custom-padding">
  <div class="container-xxl container-xl container">
    <div class="row">
	<?php
		 global $maxwheels_options;
	     $layout = '';
         $layout = isset( $maxwheels_options['mw_blog_layout']['enabled']) ? $maxwheels_options['mw_blog_layout']['enabled'] : '';
            if ($layout): foreach ($layout as $key=>$value) {
                switch($key) {
                    case 'content': get_template_part( 'template-parts/blog/content', 'area');
                    break;
             
                    case 'sidebar': get_template_part( 'template-parts/blog/sidebar', 'blog' );
                    break;
                }
            }
            else:
                get_template_part( 'template-parts/blog/content', 'area');
                get_template_part( 'template-parts/blog/sidebar', 'blog');
            endif;
        ?>
    </div>
  </div>
</section>
<?php get_footer(); ?>