(function($) {
    "use strict";


	if(typeof(work_hours) !== 'undefined' && work_hours !== null && work_hours.w_hours.length)
	{
			  var b3 = $("#businessHoursContainer3");
				var businessHoursManagerBootstrap = b3.businessHours({
					operationTime: JSON.parse(work_hours.w_hours),
					postInit:function(){
						b3.find('.operationTimeFrom, .operationTimeTill').timepicker({
							'timeFormat': 'h:i A',
							'step': 15
						});
					},
					dayTmpl: '<div class="dayContainer">' +
							'<div data-original-title="" class="colorBox"><input type="checkbox" class="invisible operationState"/></div>' +
							'<div class="weekday"></div>' +
							'<div class="operationDayTimeContainer">' +
							'<div class="operationTime input-group"> <div class="input-group-prepend"><span class="input-group-text"><i class="far fa-sun"></i></span></div><input type="text" name="startTime" class="mini-time form-control operationTimeFrom" value=""/></div>' +
							'<div class="operationTime input-group"> <div class="input-group-prepend"><span class="input-group-text"><i class="far fa-moon"></i></span></div><input type="text" name="endTime" class="mini-time form-control operationTimeTill" value=""/></div>' +
							'</div></div>'
				});
	}
			var myLanguage = {
				errorTitle: get_strings.submission_fail,
			};
			/*Dealer Up*/
			$.validate({
					form : '#dealer_update',
					modules : 'sanitize',
					validateOnBlur : false, 
					errorMessagePosition : 'top',
					scrollToTopOnError : true, 
					language : myLanguage,
					onSuccess : function() {
					$('.sonu-button').buttonLoader('start');
					$(".sonu-button").attr("disabled", true);
					//var desc = tinyMCE.get('about-dealer').getContent();
					var desc ="";
						if ($('.wp-core-ui.tmce-active').length > 0) {
						desc = tinyMCE.get('about-dealer').getContent();
					    }
						if ($("#businessHoursContainer3").length > 0)
						{
							var mydata = JSON.stringify(businessHoursManagerBootstrap.serialize());
						}
						else{
							var mydata = work_hours.w_hours;
						}
						$.post(get_strings.ajax_url,{action : 'mw_dealer_update', collect_data:$( "form[name='dealer_update']").serialize()+"&about-dealer="+desc,working_hours:mydata}).done(function(response)
					{
						$('.sonu-button').buttonLoader('stop');
						$(".sonu-button").attr("disabled", false);
						if (true === response.success) {
							notify('success', get_strings.congratulations, response.data.message);
							window.location.reload(true);
						}
						else {
							 notify('error', get_strings.whoops, response.data.message);
						}
					});
					  return false;
					}
				});	
	
		 /*Password update checker*/
			$.validate({
				form : '#pass_update',
				modules : 'sanitize',
				validateOnBlur : false, 
				errorMessagePosition : 'top',
				scrollToTopOnError : true, 
				language : myLanguage,
				onSuccess : function() {
				$('.sonu-button-pass').buttonLoader('start');
				$(".sonu-button-pass").attr("disabled", true);	
				$.post(get_strings.ajax_url,{action : 'mw_mypass_up', collect_data:$( "form[name='pass_update']").serialize()}).done( function(response) 
				{
					$('.sonu-button-pass').buttonLoader('stop');
					$(".sonu-button-pass").attr("disabled", false);
					if (true === response.success) {
						notify('success', get_strings.congratulations, response.data.message);
						window.location.reload(true);
					}
					else {
						 notify('error', get_strings.whoops, response.data.message);
					}
				});
				  return false;
				}
			});
	
			/*Delete my prof*/
			$.validate({
				form : '#my_account_deletion',
				modules : 'sanitize',
				validateOnBlur : false, 
				errorMessagePosition : 'top',
				scrollToTopOnError : true, 
				language : myLanguage,
				onSuccess : function() {
				$('.sonu-button-del').buttonLoader('start');
				$(".sonu-button-del").attr("disabled", true);	
				$.post(get_strings.ajax_url,{action : 'mw_myacc_del', collect_data:$( "form[name='my_account_deletion']").serialize()}).done( function(response) 
				{
					$('.sonu-button-del').buttonLoader('stop');
					$(".sonu-button-del").attr("disabled", false);
					if (true === response.success) {
						notify('success', get_strings.congratulations, response.data.message);
						window.location.reload(true);
					}
					else {
						  notify('error', get_strings.whoops, response.data.message);
					}
				});
				  return false;
				}
			});
	
			/*Buyer Update*/	
			$.validate({
					form : '#buyer_update',
					modules : 'sanitize',
					validateOnBlur : false, 
					errorMessagePosition : 'top',
					scrollToTopOnError : true, 
					language : myLanguage,
					onSuccess : function() {
					$('.sonu-button').buttonLoader('start');
					$(".sonu-button").attr("disabled", true);	
					$.post(get_strings.ajax_url,{action : 'mw_buyer_update', collect_data:$( "form[name='buyer_update']").serialize()}).done( function(response) 
					{
						$('.sonu-button').buttonLoader('stop');
						$(".sonu-button").attr("disabled", false);
						if (true === response.success) {
							notify('success', get_strings.congratulations, response.data.message);
							window.location.reload(true);
						}
						else {
							notify('error', get_strings.whoops, response.data.message);
						}
					});
					  return false;
					}
				});
	
	/* Delete My Favourites */
	$(document.body).on('click', '.delete-my-favourites', function(e){
		e.preventDefault();
		 var mw_id = $(this).attr("data-property-id");
		 $.confirm({
				title: get_strings.conf,
				theme: 'material',
				animation: 'scale',
				content: get_strings.content,
				closeAnimation: 'scale',
				closeIcon: true,
				type: 'blue',
				buttons: {
					'confirm': {
						text: get_strings.ok, 
						action: function () {
							$.post(get_strings.ajax_url,	{action : 'remove_my_favourites', mw_id:mw_id,security:get_strings.ajax_nonce}).done( function(response) 
							{
								if ( true === response.success ) {
									$("#"+mw_id).fadeOut("slow");
									notify('success', get_strings.congratulations, response.data.message);
								}
								else {
									notify('error', get_strings.whoops, response.data.message); 
								}
							});
						}
					},
					cancle: {
						text: get_strings.cancle,
					}
				}
			});
		 return false;			
	});
	
			
		
	/* Delete My Listings */
	  $('.delete-my-prop').on('click', function()
	  {
		  var mw_id = $(this).attr("data-property-id");
		  $.confirm({
				title: get_strings.conf,
				theme: 'material',
				animation: 'scale',
				content: get_strings.content,
				closeAnimation: 'scale',
				closeIcon: true,
				type: 'blue',
				buttons: {
					'confirm': {
						text: get_strings.ok, 
						action: function () {
							$.post(get_strings.ajax_url,	{action : 'remove_my_prop', mw_id:mw_id,}).done( function(response) 
							{
								if ( true === response.success ) {
									
									notify('success', get_strings.congratulations, response.data.message);
								}
								else {
									notify('error', get_strings.whoops, response.data.message); 
								}
							});
						}
					},
					cancle: {
						text: get_strings.cancle,
					}
				}
			});
		  return false;			
	  });
	  
	  /* Expire My Listings */
	  $('.expire-my-prop').on('click', function()
	  {
		  var mw_id = $(this).attr("data-property-id");
		  $.confirm({
				title: get_strings.conf,
				theme: 'material',
				animation: 'scale',
				content: get_strings.content,
				closeAnimation: 'scale',
				closeIcon: true,
				type: 'orange',
				buttons: {
					'confirm': {
						text: get_strings.ok, 
						action: function () {
							$.post(get_strings.ajax_url,	{action : 'expire_my_prop', mw_id:mw_id,}).done( function(response)
							{
								if ( true === response.success ) {
									$("#"+mw_id).fadeOut("slow");
									notify('success', get_strings.congratulations, response.data.message);
								}
								else {
									notify('error', get_strings.whoops, response.data.message); 
								}
							});
						}
					},
					cancle: {
						text: get_strings.cancle,
					}
				}
			});
		  return false;			
	  });

	/*Sold My Listings */
	$('.sold-my-prop').on('click', function()
	{
		var mw_id = $(this).attr("data-property-id");
		$.confirm({
			title: get_strings.conf,
			theme: 'material',
			animation: 'scale',
			content: get_strings.content,
			closeAnimation: 'scale',
			closeIcon: true,
			type: 'orange',
			buttons: {
				'confirm': {
					text: get_strings.ok,
					action: function () {
						$.post(get_strings.ajax_url,	{action : 'sold_my_prop', mw_id:mw_id,}).done( function(response)
						{
							if ( true === response.success ) {
								$("#"+mw_id).fadeOut("slow");
								notify('success', get_strings.congratulations, response.data.message);
							}
							else {
								notify('error', get_strings.whoops, response.data.message);
							}
						});
					}
				},
				cancle: {
					text: get_strings.cancle,
				}
			}
		});
		return false;
	});

	/*Publish My Lisings*/
	$('.publish-my-listing').on('click', function()
	{
		var mw_id = $(this).attr("data-property-id");
		$.confirm({
			title: get_strings.conf,
			theme: 'material',
			animation: 'scale',
			content: get_strings.content,
			closeAnimation: 'scale',
			closeIcon: true,
			type: 'orange',
			buttons: {
				'confirm': {
					text: get_strings.ok,
					action: function () {
						$.post(get_strings.ajax_url,	{action : 'publish_my_listing', mw_id:mw_id,}).done( function(response)
						{
							if ( true === response.success ) {
								$("#"+mw_id).fadeOut("slow");
								location.reload();
								notify('success', get_strings.congratulations, response.data.message);
							}
							else {
								notify('error', get_strings.whoops, response.data.message);
								window.location = response.data.pkg_url;

							}
						});
					}
				},
				cancle: {
					text: get_strings.cancle,
				}
			}
		});
		return false;
	});
	
	
/*Dashboard Profile Review Reply */
$(document.body).on('submit', '.profile-dashboard-review', function(e){
		e.preventDefault();
		var comment_id = $(this).attr("data-comment-id");
		$('.sonu-button-'+comment_id).buttonLoader('start');
		$(".sonu-button-"+comment_id).attr("disabled", true);	
		$.post(get_strings.ajax_url,{action : 'mw_profile_rating_reply', comment_id:comment_id, collect_data:$(this).serialize()}).done( function(response) 
		{
			$('.sonu-button-'+comment_id).buttonLoader('stop');
			$(".sonu-button-"+comment_id).attr("disabled", false);
			if (true === response.success) {
				notify('success', get_strings.congratulations, response.data.message);
				window.location.reload(true);
			}
			else {
				 notify('error', get_strings.whoops, response.data.message);
			}
		});

});

	  /* Delete Submitted Profile Reviews */
	  $('.delete-my-sub-rev-profile').on('click', function()
	  {
		  var profile_id = $(this).attr("data-profile-id");
		  var comment_id = $(this).attr("data-comment-id");
		  $.confirm({
				title: get_strings.conf,
				theme: 'material',
				animation: 'scale',
				content: get_strings.content,
				closeAnimation: 'scale',
				closeIcon: true,
				type: 'orange',
				buttons: {
					'confirm': {
						text: get_strings.ok, 
						action: function () {
							$.post(get_strings.ajax_url,	{action : 'delete_my_comment', profile_id:profile_id,comment_id:comment_id,security:get_strings.ajax_nonce}).done( function(response) 
							{
								if ( true === response.success ) {
									$("#"+comment_id).fadeOut("slow");
									notify('success', get_strings.congratulations, response.data.message);
								}
								else {
									notify('error', get_strings.whoops, response.data.message); 
								}
							});
						}
					},
					cancle: {
						text: get_strings.cancle,
					}
				}
			});
		  return false;			
	  });
	
	/* My Featured Img */
function my_featured_img_readURL(input) {
    if (input.files && input.files[0])
	{
		var file_data = input.files[0];
		var form_data = new FormData();
		form_data.append('file', file_data);
		form_data.append('action', 'mw_myfeatured_img');
		$.ajax({
                url: get_strings.ajax_url,
                type: 'POST',
                contentType: false,
                processData: false,
                data: form_data,
                success: function (response)
				{
                    if (true === response.success) {
						$('.my-user-profile img, .nav-link img').attr('src', response.data.img_link);
                        notify('success', get_strings.congratulations, response.data.message);
					}
					else {
						 notify('error', get_strings.whoops, response.data.message); 
					}
                }
            });
        var reader = new FileReader();
        reader.onload = function(e) {
            $('#imagePreview').css('background-image', 'url('+e.target.result +')');
            $('#imagePreview').hide();
            $('#imagePreview').fadeIn(650);
        }
        reader.readAsDataURL(input.files[0]);
    }
}

$(document).on("change","#imageUpload", function()
{
	 my_featured_img_readURL(this);
});
	
$(document).on("change",".uploadFile", function()
    {
    	var uploadFile = $(this);
        var files = !!this.files ? this.files : [];
        if (!files.length || !window.FileReader) return; // no file selected, or no FileReader support
		if (files && files[0])
		{
			var file_cover = files[0];
			var form_data = new FormData();
			form_data.append('file', file_cover);
			form_data.append('action', 'mw_myfeatured_cover');
			$('input[name="mycover-img"]').prop('disabled', true);
			$('.my-cov-img').html('');
			$(".overlay-cover").show();
			$.ajax({
                url: get_strings.ajax_url,
                type: 'POST',
                contentType: false,
                processData: false,
                data: form_data,
                success: function (response)
				{
                    if (true === response.success) {
						$(".overlay-cover").hide();
						$('input[name="mycover-img"]').prop('disabled', false);
						notify('success', get_strings.congratulations, response.data.message);
						uploadFile.closest(".imgUp").find('.imagePreview').css({'background-image' : "url("+response.data.img_link+")",'background-size' : 'cover'});
					}
					else {
                         $(".overlay-cover").hide();
						 notify('error', get_strings.whoops, response.data.message); 
					}
                }
            });
		}
    });	
	

})(jQuery);