<?php
	global $localization;
    $owner_id = $user_id = $author_id = $keyword = '';
	$user_id = get_current_user_id();
	if(get_user_meta( $user_id, 'mw_post_id', true) !="" && get_user_meta($user_id, 'user_role_type', true) !="")
	{
		$author_id = get_user_meta( $user_id, 'mw_post_id' , true );
		$owner_id = get_post_field( 'post_author', $author_id );
	}
?>
<div class="row">
<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 no-card">
  <div class="card  mb-0">
	<div class="card-body">
        <h4 class="card-title"><?php echo esc_html($localization['plans']);?></h4>
		<div class="row gx-0 d-flex justify-content-center">
			<?php
			if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))) || class_exists('WooCommerce'))
       		{
				$args = array(
                'post_type' => 'product',
                'tax_query' => array(
                    array(
                        'taxonomy' => 'product_type',
                        'field' => 'slug',
                        'terms' => 'maxwheels_profile_packages'
                    ),
                ),
                'fields' => 'ids',
				'post_status' => 'publish',
                'posts_per_page' => 6,
                'order' => 'ASC',
                'orderby' => 'date'
				);
				$packages = new \WP_Query($args);
				if ($packages->have_posts())
            	{
					$class = array('basic','value','premium');
					$key = 0;
					$user_id = get_current_user_id();
					$dealer_post_id = get_user_meta($user_id, 'mw_post_id', true);
					while ($packages->have_posts())
               		{
						$index = $key % 3;
						$packtype = $action_button = $package_expiry = $allow_overview = $working_hours = $location = $options_html = $social_links = $current_class = $make_it_featured = "";
						$packages->the_post();
						$plan_id = get_the_ID();
						$product = wc_get_product($plan_id);
						$current_class = $class[$index];
						//hot package
						if (get_post_meta($plan_id, 'mw_make_package_featured', true) != "" && get_post_meta($plan_id, 'mw_make_package_featured', true) == 'yes')
						{
							$make_it_featured = "shadow active-plan";
						}
						//package type
						if (get_post_meta($plan_id, 'mw_package_type', true) != "")
						{
							$packtype = get_post_meta($plan_id, 'mw_package_type', true);
						}
						//duration
						if (get_post_meta($plan_id, 'mw_package_expiry', true) != "")
						{
							$package_expiry = get_post_meta($plan_id, 'mw_package_expiry', true);
							if ($package_expiry == '-1')
							{
								$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Sponsored For','maxwheels').' : '.esc_html__('Unlimited Days','maxwheels').'</span> </li>';
							} 
							else
							{
								$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Sponsored For','maxwheels').' : '.esc_html($package_expiry).' '.esc_html__('Days','maxwheels').'</span> </li>';
							}
						}
						//overview
						if (get_post_meta($plan_id, 'mw_allow_overview', true) != "")
						{
							$allow_overview = get_post_meta($plan_id, 'mw_allow_overview', true);
							if($allow_overview == 'yes')
							{
								$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Overview','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
							}
							else
							{
								$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Overview','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
							}
						}
						//working hours
						if (get_post_meta($plan_id, 'mw_working_hours', true) != "")
						{
							$working_hours = get_post_meta($plan_id, 'mw_working_hours', true);
							if($working_hours == 'yes')
							{
								$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Working Hours','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
							}
							else
							{
								$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Working Hours','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
							}
						}
						//location
						if (get_post_meta($plan_id, 'mw_location', true) != "")
						{
							$location = get_post_meta($plan_id, 'mw_location', true);
							if($location == 'yes')
							{
								$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Allow Location','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
							}
							else
							{
								$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Allow Location','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
							}
						}
						//social links
						if (get_post_meta($plan_id, 'mw_social', true) != "")
						{
							$social_links = get_post_meta($plan_id, 'mw_social', true);
							if($social_links == 'yes')
							{
								$options_html .='<li><i class="fas fa-check mr-1 text-success"></i> <span>'.esc_html__('Social Links','maxwheels').' : '.esc_html__('Yes','maxwheels').'</span> </li>';
							}
							else
							{
								$options_html .='<li><del><i class="fas fa-times text-danger mr-1"></i> <span>'.esc_html__('Social Links','maxwheels').' : '.esc_html__('No','maxwheels').'</span></del> </li>';
							}
						}
						if(get_post_meta($dealer_post_id, 'mw_is_free_plan', true ) !="" && get_post_meta($dealer_post_id, 'mw_is_free_plan', true ) == $plan_id )
						{
							$action_button = '<button class="btn btn-theme w-100 btn-border my-4" disabled>'.esc_html__('Choose plan','maxwheels').'</button>';
						}
						else
						{
							$action_button = '<button class="btn btn-theme w-100 btn-border my-4 mw-woo-plans sonu-button-'.esc_attr($plan_id).'" data-spinner-text="'.esc_attr($localization['processing']).'" data-plan-id="' . esc_attr($plan_id) . '" data-plan-qty="1"  data-plan-type="' . esc_attr($packtype) . '">'.esc_html__('Choose plan','maxwheels').'</button>';
						}
			?>
						<div class="col-xxl-3 col-lg-3 col-md-4 col-12">
							<div class="card profile-price-card p-md-5 p-sm-3 p-xs-3 border-0 <?php echo esc_attr($make_it_featured); ?>">
								<div class="">
									<div class="price-label <?php echo esc_attr($current_class); ?>"><?php echo esc_html($product->get_name()); ?></div>
									<h3 class="display-3 font-weight-bold"><?php echo maxwheels_strings_allow_html($product->get_price_html()); ?></h3>
									<?php 
									if (get_post_meta($plan_id, 'mw_package_shortdesc', true) != "")
									{
									?>
									<p><?php echo esc_html(get_post_meta($plan_id, 'mw_package_shortdesc', true)); ?></p>
									<?php
									}
									?>
								</div>
								<?php echo maxwheels_strings_allow_html($action_button); ?>
								<ul class="list-unstyled mt-3">
									<?php echo maxwheels_strings_allow_html($options_html); ?>
								</ul>
							</div>
						</div>
			<?php
						$key += 1;
					}
				wp_reset_postdata();
				}
			}
			?>
		</div>
	</div>
  </div>
</div>
</div>