<?php
global $localization;
global $messages;
global $maxwheels_options;
$user_id = get_current_user_id();
$sponsored_plan_id = $type = $dealer_id = '';
if(get_user_meta( $user_id, 'mw_post_id', true) !="" && get_user_meta($user_id, 'user_role_type', true) !="")
{
	$dealer_id = get_user_meta( $user_id, 'mw_post_id' , true );
	$type = get_user_meta($user_id, 'user_role_type', true);
	$is_sponsored = false;
	$allow_social = $allow_location = $allow_working_hours = $allow_overview  = 'no';
	if(get_post_meta($dealer_id, 'mw_post_plan_id', true ) !='')
	{
		$sponsored_plan_id = get_post_meta($dealer_id, 'mw_post_plan_id', true );
		$is_sponsored = true;

		if(get_post_meta($sponsored_plan_id, 'mw_allow_overview', true ) !='' && get_post_meta($sponsored_plan_id, 'mw_allow_overview', true ) =='yes')
		{
			$allow_overview  = 'yes';
		}
		if(get_post_meta($sponsored_plan_id, 'mw_working_hours', true ) !='' && get_post_meta($sponsored_plan_id, 'mw_working_hours', true ) =='yes')
		{
			$allow_working_hours  = 'yes';
		}
		if(get_post_meta($sponsored_plan_id, 'mw_location', true ) !='' && get_post_meta($sponsored_plan_id, 'mw_location', true ) =='yes')
		{
			$allow_location  = 'yes';
		}
		if(get_post_meta($sponsored_plan_id, 'mw_social', true ) !='' && get_post_meta($sponsored_plan_id, 'mw_social', true ) =='yes')
		{
			$allow_social  = 'yes';
		}
	}

// Retrieve an existing value from the database.
$dealer_email = get_post_meta($dealer_id, 'dealer_email', true );
$dealer_mobile = get_post_meta($dealer_id, 'dealer_mobile', true );
$dealer_whats = get_post_meta($dealer_id, 'dealer_whats', true );
$dealer_office = get_post_meta($dealer_id, 'dealer_office', true );
$dealer_fax = get_post_meta($dealer_id, 'dealer_fax', true );
$dealer_licence = get_post_meta($dealer_id, 'dealer_licence', true );
$dealer_tax = get_post_meta($dealer_id, 'dealer_tax', true );
$dealer_url = get_post_meta($dealer_id, 'dealer_url', true );
$dealer_location = get_post_meta($dealer_id, 'dealer_location', true );
$dealer_fb = get_post_meta($dealer_id, 'dealer_fb', true );
$dealer_tw = get_post_meta($dealer_id, 'dealer_tw', true );
$dealer_in = get_post_meta($dealer_id, 'dealer_in', true );
$dealer_insta = get_post_meta($dealer_id, 'dealer_insta', true );
$dealer_pin = get_post_meta($dealer_id, 'dealer_pin', true );
$dealer_street_addr = get_post_meta($dealer_id, 'dealer_street_addr', true );
$dealer_latt = get_post_meta($dealer_id, 'dealer_latt', true );
$dealer_long = get_post_meta($dealer_id, 'dealer_long', true );
$dealer_timezone = get_post_meta($dealer_id, 'dealer_timezone', true );
// Set default values.
if( empty($dealer_email) ) $dealer_email = '';
if( empty($dealer_mobile) ) $dealer_mobile = '';
if( empty($dealer_whats) ) $dealer_whats = '';
if( empty($dealer_office) ) $dealer_office = '';
if( empty($dealer_fax) ) $dealer_fax = '';
if( empty($dealer_licence) ) $dealer_licence = '';
if( empty($dealer_tax) ) $dealer_tax = '';
if( empty($dealer_url) ) $dealer_url = '';
if( empty($dealer_location) ) $dealer_location = '';
if( empty($dealer_fb) ) $dealer_fb = '';
if( empty($dealer_tw) ) $dealer_tw = '';
if( empty($dealer_in) ) $dealer_in = '';
if( empty($dealer_insta) ) $dealer_insta = '';
if( empty($dealer_pin) ) $dealer_pin = '';
if( empty($dealer_street_addr) ) $dealer_street_addr = '';
if( empty($dealer_latt) ) $dealer_latt = '';
if( empty($dealer_long) ) $dealer_long = '';
if( empty($dealer_timezone) ) $dealer_timezone = '';
$location_icon = $check_class = $my_id = '';
if(maxwheels_strings('mw_opt_enable_geo') == '1')
{
	if(maxwheels_strings('mw_opt_api_settings') == 'geo_ip' ||  maxwheels_strings('mw_opt_api_settings') == 'ip_api')
	{
		$check_class = 'get-loc';
		$location_icon = '<i class="detect-me fas fa-location-arrow"></i>';
	}
}
?>
   <div class="row">
   	 <?php get_template_part( 'template-parts/dashboard/profile/info'); ?>
      <div class="col-lg-8 col-xl-8 col-md-8 col-sm-12">
         <div class="grid-margin">
         	<form class="my-form" name="dealer_update" method="POST" id="dealer_update">
            <div class="card">
               <div class="card-body">
                  <h4 class="card-title"><?php echo esc_html($localization['account_settings']); ?></h4>
                  <div class="row">
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html($localization['dealer_name']); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" autocomplete="off" data-sanitize="trim" name="dealer-name" class="form-control text" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($messages['name_error']); ?>" value="<?php echo esc_attr(get_the_title($dealer_id)); ?>">
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html($localization['email']); ?> <span class="req-mark">*</span></label>
                             <span class="wrap">
                             <input type="text" data-validation="email" data-sanitize="trim" name="dealer-email" placeholder="Messages from contact page will be sent on this email address." class="form-control text" data-validation-error-msg="<?php echo esc_attr($messages['email_error']); ?>" value="<?php echo esc_attr($dealer_email); ?>">
                             </span> 
                          </div>
                      </div>
                      
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html($localization['my_mob']); ?><?php if($maxwheels_options['mw_dealer_fields']['dealer_mob'] == 1) {  ?> <span class="req-mark">*</span> <?php } ?></label>
                             <span class="wrap">
                             <input type="text" autocomplete="off" data-sanitize="trim" name="dealer-mobile" value="<?php echo esc_attr($dealer_mobile); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['dealer_mob'] == 1) {  ?> data-validation="custom" data-validation-regexp="[0-9]" data-validation-error-msg="<?php echo esc_attr($messages['mob_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html($localization['my_whatsapp']); ?><?php if($maxwheels_options['mw_dealer_fields']['whats_app'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input type="text"  data-sanitize="trim" name="dealer-whats" value="<?php echo esc_attr($dealer_whats); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['whats_app'] == 1) {  ?> data-validation="custom" data-validation-regexp="[0-9]" data-validation-error-msg="<?php echo esc_attr($messages['whatsapp_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                      
                      
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html($localization['my_weburl']); ?> <?php if($maxwheels_options['mw_dealer_fields']['web_url'] == 1) {  ?><span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input type="text" placeholder="<?php echo esc_url('http://','maxwheels'); ?>" data-sanitize="trim" name="dealer-url" value="<?php echo esc_attr($dealer_url); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['web_url'] == 1) {  ?> data-validation="url" data-validation-error-msg="<?php echo esc_attr($messages['web_url_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                     <label><?php echo esc_html($localization['my_dealer_loc']); ?><?php if($maxwheels_options['mw_dealer_fields']['dealer_loc'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                     <span class="wrap">
                     <select class="theme-selects" data-sanitize="trim" name="dealer-location" data-placeholder="<?php echo esc_attr__('Select Location','maxwheels');?>" <?php if($maxwheels_options['mw_dealer_fields']['dealer_loc'] == 1) {  ?> data-validation="required" data-validation-error-msg="<?php echo esc_attr($messages['loc_error']); ?>" <?php } ?>>
             			 <?php maxwheels_framework_terms_options('mw-dealer-locations' , $dealer_location); ?>
					</select>
                     </span> 
                  </div>
                      </div>
                  </div>
				<?php if($allow_overview == 'yes') { ?>   
                <div class="theme-row">
                 <label><?php echo esc_html($localization['my_about_dealer']); ?> <?php if($maxwheels_options['mw_dealer_fields']['about_dealer'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                 <span class="wrap">
					 <?php
                        wp_editor(  
                                stripslashes(get_post_field('post_content', $dealer_id)), 
                                'about-dealer', 
                                 array(
                                    'textarea_rows' =>  8,
                                    'textarea_name' =>  'about-dealer',
                                    'wpautop'       =>  true,
                                    'media_buttons' =>  false,
                                    'tabindex'      =>  '',
                                    'editor_css'    =>  '', 
                                    'editor_class'  => '', 
                                    'teeny'         => false, 
                                    'dfw'           => false, 
                                    'tinymce'       => true,
                                    'quicktags' => false
                                   ) 
                                );
                        ?>
                 </span>
                </div>
				<?php } ?>   
               </div>
            </div>
			<?php if($allow_working_hours == 'yes') { ?>
			<div class="card">
               <div class="card-body">
                  <h4 class="card-title"><?php echo esc_html($localization['working_hours']); ?></h4>
				   
			   <div class="col-md-12 col-xs-12 col-sm-12">
                                <div class="form-group my-zones" id="timezone">
                                    <label class="control-label"><?php echo esc_html__('Select Your Timezone', 'maxwheels'); ?> <span class="req-mark">*</span></label>
									<div class="typeahead__container">
                                        <div class="typeahead__field">
                                            <div class="typeahead__query">
                                                <input autocomplete="off" type="search" class="myzones-t form-control" value="<?php echo esc_attr($dealer_timezone); ?>" name="dealer-timezone" > 
                                            </div>
                                        </div>
                                    </div> 

                                </div>
                            </div>
				   <div class="clearfix"></div>
				   <div id="businessHoursContainer3"></div>
				   <div class="clearfix"></div>
               </div>
            </div>	
			<?php } ?>
			<?php if($allow_social == 'yes') { ?>		
            <div class="card">
               <div class="card-body">
                  <h4 class="card-title"><?php echo esc_html($localization['social_media']); ?></h4>
                  <div class="row">
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><i class="s-icon fab fa-facebook-f"></i><?php echo esc_html($localization['my_fb']); ?><?php if($maxwheels_options['mw_dealer_fields']['dealer_fb'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input type="text" placeholder="<?php echo esc_url('http://','maxwheels'); ?>" autocomplete="off" data-sanitize="trim" name="dealer-fb" value="<?php echo esc_url($dealer_fb); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['dealer_fb'] == 1) {  ?> data-validation="url" data-validation-error-msg="<?php echo esc_attr($messages['fb_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><i class="s-icon fab fa-twitter"></i><?php echo esc_html($localization['my_tw']); ?><?php if($maxwheels_options['mw_dealer_fields']['dealer_tw'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input type="text" placeholder="<?php echo esc_url('http://','maxwheels'); ?>" data-sanitize="trim" name="dealer-tw" value="<?php echo esc_url($dealer_tw); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['dealer_tw'] == 1) {  ?> data-validation="url" data-validation-error-msg="<?php echo esc_attr($messages['tw_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><i class="s-icon fab fa-linkedin-in"></i><?php echo esc_html($localization['my_ln']); ?> <?php if($maxwheels_options['mw_dealer_fields']['dealer_link'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input type="text" placeholder="<?php echo esc_url('http://','maxwheels'); ?>" autocomplete="off" data-sanitize="trim" name="dealer-in" value="<?php echo esc_url($dealer_in); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['dealer_link'] == 1) {  ?> data-validation="url" data-validation-error-msg="<?php echo esc_attr($messages['ln_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><i class="s-icon fab fa-instagram"></i><?php echo esc_html($localization['my_insta']); ?> <?php if($maxwheels_options['mw_dealer_fields']['dealer_in'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input type="text" placeholder="<?php echo esc_url('http://','maxwheels'); ?>"  data-sanitize="trim" name="dealer-insta" value="<?php echo esc_url($dealer_insta); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['dealer_in'] == 1) {  ?> data-validation="url" data-validation-error-msg="<?php echo esc_attr($messages['insta_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><i class="s-icon fab fa-pinterest-p"></i><?php echo esc_html($localization['my_pint']); ?> <?php if($maxwheels_options['mw_dealer_fields']['dealer_pin'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input type="text" placeholder="<?php echo esc_url('http://','maxwheels'); ?>" data-sanitize="trim" name="dealer-pin" value="<?php echo esc_url($dealer_pin); ?>" class="form-control text" <?php if($maxwheels_options['mw_dealer_fields']['dealer_pin'] == 1) {  ?> data-validation="url" data-validation-error-msg="<?php echo esc_attr($messages['pin_error']); ?>" <?php } ?>>
                             </span> 
                          </div>
                      </div>
                  </div>
               </div>
            </div>
			<?php } ?>	
			<?php if($allow_location == 'yes') { ?>	
            <div class="card">
               <div class="card-body">
                  <h4 class="card-title"><?php echo esc_html($localization['dealer_loc']); ?></h4>
                          <div class="theme-row <?php echo esc_attr($check_class); ?>">
                             <label><?php echo esc_html($localization['my_addr']); ?> <?php if($maxwheels_options['mw_dealer_fields']['dealer_addr'] == 1) {  ?> <span class="req-mark">*</span><?php } ?></label>
                             <span class="wrap">
                             <input id="mw_address" type="text" autocomplete="off" data-sanitize="trim" placeholder="<?php echo esc_attr__('Street no 12,Cardiff','maxwheels'); ?>" name="dealer-address" value="<?php echo esc_attr($dealer_street_addr); ?>" class="mw_address form-control text" <?php if($maxwheels_options['mw_dealer_fields']['dealer_addr'] == 1) {  ?> data-validation="required" data-validation-error-msg="<?php echo esc_attr($messages['addr_error']); ?>" <?php } ?>>
                             <?php echo ''.($location_icon); ?>
                             </span> 
                          </div>
                    <?php if(maxwheels_strings('mw_opt_enable_map') == '1') { ?>      
                    <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
                    	<div id="mw_map"></div>
                    </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label><?php echo esc_html($localization['my_coord']); ?> </label>
                             <span class="wrap">
                             <input type="text" autocomplete="off" data-sanitize="trim" name="dealer-latt" id="mw_latt" value="<?php echo esc_attr($dealer_latt); ?>" class="form-control text" placeholder="<?php echo esc_attr__('Your location Latitude','maxwheels');?>">
                             </span> 
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
                          <div class="theme-row">
                             <label>&nbsp;</label>
                             <span class="wrap">
                             <input type="text" data-sanitize="trim" name="dealer-long" id="mw_long" value="<?php echo esc_attr($dealer_long); ?>" class="form-control text" placeholder="<?php echo esc_attr__('Your location Longitude','maxwheels');?>">
                             </span> 
                          </div>
                      </div>
                  </div>
                    <?php } ?>
               </div>
            </div>
			<?php } ?>	
            <input type="hidden" name="dealer_id" id="dealer_id" value="<?php echo esc_attr($dealer_id); ?>">
            <?php wp_nonce_field( 'prop-dealer-up-nonce', 'dealer_up_nonce' ); ?>
            <button type="submit" class="btn btn-theme sonu-button btn-primary" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html($localization['save_changes']); ?></button>  
			</form>
         </div>
      </div>
   </div>
<?php
}
?>