<?php
$selected_terms = '';
global $maxwheels_options;
if (!empty($maxwheels_options["mw_getpop_loc"])) {
    $selected_terms = $maxwheels_options["mw_getpop_loc"];
}
if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
{
	$search_page = maxwheels_framework_get_link('page-listing-search.php');
?>
<div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 col-12">
    <div class="maxwheels-footer-widgets top-locations">
        <h2><span><?php echo maxwheels_strings("mw_pop_loc"); ?></span></h2>
        <ul class="list">
            <?php
            if (!empty($selected_terms) && is_array($selected_terms) && count($selected_terms) > 0) {
                foreach ($selected_terms as $term) {
                    $term = get_term_by('id', absint($term), 'mw-location');
                    if (is_object($term) && $term != '') {
                        ?>
                        <li>
                        <a href="<?php echo esc_url($search_page."?location=".$term->slug); ?>">
                        <i class="fa fa-angle-right"></i><?php echo esc_html($term->name); ?></a></li>
                        <?php
                    }
                }
            }
            ?>
        </ul>
    </div>
</div>
<?php
}