<?php
$dealer_id   =	get_the_ID();
$reference = 'dealer';
$post_type = 'mw-dealer';
$ratings = array();
$image_id = '';
$ratings = maxwheels_reviews_stats_average($dealer_id,'mw-dealer','dealer');
if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0)
{
	$limit = 10;
	$paged = 1;
	$paged = isset( $_GET['asd'] ) ? absint( $_GET['asd'] ) : 1;
	$offset = ($paged * $limit) - $limit;
	$comments = get_comments(array('post_id' => $dealer_id, 'orderby' => 'post_date' ,'order' => 'DESC', 'post_type' => 'mw-dealer', 'offset' => $offset,  'status'  => 'approve','parent'=>0, 'number' => $limit));
	$total_comments = $ratings['rated_no_of_times'];
	if (isset($limit) && $limit != "")
	{
    	$pages = ceil($total_comments/$limit);
	}
	if(!empty($comments) && is_array($comments) && count($comments) > 0)
	{
		$allowed_html = maxwheels_allowed_html();
		$recommendations = $fourth_bar = $third_bar = $sec_bar   = $firs_bar = '';
		$firs_bar = 	round($ratings['average_responsive']*100/5);
		$sec_bar   = 	round($ratings['average_communication']*100/5);
		$third_bar = 	round($ratings['average_expertise']*100/5);
		$fourth_bar = 	round($ratings['average_service']*100/5);
		$recommendations = round($ratings['total_recommendations']*100/$ratings['rated_no_of_times']);
?>
	<div class="card single-review-stats">
	<div class="row gx-0 d-flex">
		<div class="col-md-5 col-xl-4 col-xxl-4">
		<div class=" d-flex flex-column h-100 my-scor align-items-center justify-content-center text-center">
			<div class="rating-box">
				<h5 class="text-center"><?php echo esc_html__('Average rating','maxwheels'); ?></h5>
				<h1><?php echo esc_html($ratings['total_average']); ?></h1>
				<p><?php echo esc_html__('out of 5','maxwheels'); ?></p>
			</div>
			<div> <span class="ratings"><?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?></span></div>
			<p><?php echo esc_html($ratings['rated_no_of_times']) . '&nbsp;'. esc_html(maxwheels_strings('mw_detail_sidebar_reviews')); ?></p>
		</div>
		</div>
		<div class="col-md-7 col-xl-8 col-xxl-8">
			<div class="review-com-score"> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_first'); ?> </label><span class="review-count-stats"><?php echo esc_html($ratings['average_responsive']); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($firs_bar); ?>%;" aria-valuenow="<?php echo esc_attr($firs_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_second'); ?></label><span class="review-count-stats"><?php echo esc_html($ratings['average_communication']); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($sec_bar); ?>%;" aria-valuenow="<?php echo esc_attr($sec_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_third'); ?></label> <span class="review-count-stats"><?php echo esc_html($ratings['average_expertise']); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($third_bar); ?>%;" aria-valuenow="<?php echo esc_attr($third_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo maxwheels_strings('mw_ag_rev_fourth'); ?></label> <span class="review-count-stats"><?php echo esc_html($ratings['average_service']); ?></span>
		<div class="progress margin-bottom-1x">
			<div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($fourth_bar); ?>%;" aria-valuenow="<?php echo esc_attr($fourth_bar); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div> <label class="text-medium text-sm"><?php echo esc_html__('Recommendations','maxwheels'); ?></label> <span class="review-count-stats"><?php echo esc_html($ratings['total_recommendations']); ?></span>
		<div class="progress mb-2">
			<div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr($recommendations); ?>%;" aria-valuenow="<?php echo esc_attr($recommendations); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div>
	</div>
		</div>
	</div>
	</div>
	   <?php
		$type = '';
		foreach($comments as $comment)
		{
			$comment_author_id = get_post_field('post_author', $comment->user_id);
			if(get_user_meta($comment_author_id, 'user_role_type', true) !="")
			{
				$type = get_user_meta($comment_author_id, 'user_role_type', true);	
			}
			$type = '';
			//fetch replies of that post
			$replies = get_comments( array( 'parent' => $comment->comment_ID, 'post_type' =>$post_type, 'status' => 'approve',  'orderby' => 'comment_date' , 'order' => 'DESC' ) );
		?>
			<div class="widget-seprator my-reviews review-recommended">
                <div class="review-card ">
                    <div class="single-listing-reviews">
                <div class="reviews-author-data">
                    <div class="reviews-author-avatar">
                        <img src="<?php echo esc_url(maxwheels_placeholder_images($type,$comment->user_id,'maxwheels-user-thumb')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid">
                    </div>
                <div class="reviews-author-details">
                        <div class="reviews-author-name">
                            <a href="<?php echo esc_url($comment->comment_author_url); ?>"><?php echo esc_html($comment->comment_author); ?></a>
                        </div>
                        <div class="review-stars-rating">
                                <div class="review-content-header">
                                <div class="review-author-review-count">
                                        <i class="far fa-clock"></i>
                                    </div>
                                   <div class="review-date-time">
                                        <span><?php echo maxwheels_timeago($comment->comment_ID); ?></span> 
                                    </div>
                                    <?php if(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_recommend', true ) !="") { 
									$value = get_comment_meta($comment->comment_ID, 'review_'.$reference.'_recommend', true );
									if($value == 1)
									{
										$img_type = 'like.png';
										$text = esc_html__('Recommended','maxwheels');
									}
									if($value == 0)
									{
										$text = esc_html__('Not Recommended','maxwheels');
										$img_type = 'dislike.png';
									}
									?>
                                    <div class="total-rating-stars">
                                        <img data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="<?php echo esc_attr($text); ?>" src="<?php echo esc_url(get_template_directory_uri() . "/libs/images/$img_type"); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid">
                                    </div>
                                    <?php
										}
									?>
                                  </div>
                            </div>
                    </div>
                </div>
            </div>
                    <div class="author-review-content">
                        <div class="review-content">
                            <div class="review-msg-body">
                            <?php if(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_title', true )!="") { ?>
                                <h2 class="review-main-title"><?php echo esc_html(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_title', true)); ?></h2>
                            <?php } ?>    
                                <p><?php echo esc_html($comment->comment_content); ?></p>
                            </div>
                        </div>
                    </div>
                    <div class="review-actions">
                        <div class="rating-stars-box w-100">
                  <?php if(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_responsive', true )!="") {
					     $responsive =  get_comment_meta($comment->comment_ID, 'review_'.$reference.'_responsive', true );
				   ?>     
                  <div class="rating-stars">
                    <label><?php echo maxwheels_strings('mw_ag_rev_first'); ?></label>
                    <ul>
                    <?php
						for ($i = 1; $i <= 5; $i++)
						{
							if ($i <= $responsive)
							{
								echo '<li class="star colored-star"><i class="fa fa-star"></i></li>';
							} 
							else
							{
								echo '<li class="star"><i class="fa fa-star"></i></li>';
							}
						}
					?>	
                    </ul>
                  </div>
                  <?php } ?>
                  <?php if(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_communication', true )!="") {
					 $communication =  get_comment_meta($comment->comment_ID, 'review_'.$reference.'_communication', true ); 
				   ?>
                  <div class="rating-stars">
                    <label><?php echo maxwheels_strings('mw_ag_rev_second'); ?></label>
                    <ul>
                    <?php
						for ($j = 1; $j <= 5; $j++)
						{
							if ($j <= $communication)
							{
								echo '<li class="star colored-star"><i class="fa fa-star"></i></li>';
							} 
							else
							{
								echo '<li class="star"><i class="fa fa-star"></i></li>';
							}
						}
					?>	
                    </ul>
                  </div>
                  <?php } ?>
                  <?php if(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_expertise', true )!="") {
					 $expertise =  get_comment_meta($comment->comment_ID, 'review_'.$reference.'_expertise', true );  
				   ?>
                  <div class="rating-stars">
                    <label><?php echo maxwheels_strings('mw_ag_rev_third'); ?></label>
                    <ul>
                    <?php
						for ($k = 1; $k <= 5; $k++)
						{
							if ($k <= $expertise)
							{
								echo '<li class="star colored-star"><i class="fa fa-star"></i></li>';
							} 
							else
							{
								echo '<li class="star"><i class="fa fa-star"></i></li>';
							}
						}
					?>	
                    </ul>
                  </div>
                  <?php } ?>
                  <?php if(get_comment_meta($comment->comment_ID, 'review_'.$reference.'_services', true )!="") {
					$services =  get_comment_meta($comment->comment_ID, 'review_'.$reference.'_services', true );   
				  ?>
                  <div class="rating-stars">
                    <label><?php echo maxwheels_strings('mw_ag_rev_fourth'); ?></label>
                    <ul>
                    <?php
						for ($l = 1; $l <= 5; $l++)
						{
							if ($l <= $services)
							{
								echo '<li class="star colored-star"><i class="fa fa-star"></i></li>';
							} 
							else
							{
								echo '<li class="star"><i class="fa fa-star"></i></li>';
							}
						}
					?>	
                    </ul>
                  </div>
                  <?php } ?>
                </div>
                    </div>
                    <?php
							if(!empty($replies) && is_array($replies) && count($replies) > 0 )
							{
								foreach($replies as $reply)
								{
								?>
									<div class="profile-review-reply-box-new">
										<h5> <strong><?php echo esc_html__('Author responded on','maxwheels'); ?></strong>  <span class="responded"><?php echo date_i18n( 'j F, Y',  strtotime( get_the_time($reply->comment_date) ) );?></span></h5>
										<p class="profile-review-reply"><?php echo (nl2br($reply->comment_content)); ?></p>
									</div>
								<?php	
								}
							}
							?>
                 </div>
        </div>

		<?php
		}
		?>
<?php
		 maxwheels_framework_mw_pagination_reviews($pages,'true',$paged);
	}
}
else
{
	echo maxwheels_framework_no_review($dealer_id);
}
?>