<?php
	$mw_id	=	get_the_ID();
	global $maxwheels_options;
	$get_all_prices = $next_all_idz = $prev_all_idz = $image_id = $featured_listing = $iframe = $thumbnail = $video_id = $thumb_imgs  = $full_img  = $img  = $img_id	= $all_idz = '';
	$get_all_prices = $prev_all_prices = $next_all_prices = array();
	$bg_class = 'light-bg';
	$bred_gray = 'white-bg';
	if(isset($maxwheels_options['mw_section_clr_type']) && $maxwheels_options['mw_section_clr_type'] == 'white')
	{
		$bg_class = 'white-bg';
		$bred_gray = 'light-bg';
	}
    global $localization;
?>
<div class="mw-breads <?php echo esc_attr($bred_gray); ?>">
	<div class="container">
		<div class="row">
			<div class="col-xxl-12 col-lg-12 col-md-12 col-sm-12 col-12">
				<?php echo maxwheels_listing_breadcrumb($mw_id); ?>
			</div>	
		</div>
	</div>	
</div>

<section class="mw-detail-page section-padding-50 <?php echo esc_attr($bg_class); ?>" >
	<div class="container">
		<?php 
		if(isset($maxwheels_options['mw_lp_top_style']) && $maxwheels_options['mw_lp_top_style'] == 'classic') 
		{
			get_template_part('template-parts/listing-detial/top-styles/classic');
		}
		?>
		<div class="row">
			<div class="col-xxl-8 col-xl-8 col-lg-12 col-md-12 col-sm-12 col-12">
			<?php
			if (get_post_status ($mw_id) == 'draft')
			{
			?>	
			<div id="warning-messages" class="alert custom-alert custom-alert--info margin-bottom-30" role="alert">
				<div class="custom-alert__top-side">
					<span class="alert-icon custom-alert__icon  far fa-edit "></span>
						<div class="custom-alert__body">
								<h6 class="custom-alert__heading">
									 <?php echo esc_html($localization['approval']);?>
								</h6>
								<div class="custom-alert__content">
									<?php echo esc_html($localization['approval_notify']);?>
								</div>
						</div>
				 </div>
			</div>
			<?php
			}
			?>
				<?php 
				if(isset($maxwheels_options['mw_lp_top_style']) && $maxwheels_options['mw_lp_top_style'] == 'simple') 
				{
					get_template_part('template-parts/listing-detial/top-styles/simple');
				}
				if(isset($maxwheels_options['mw_lp_top_style']) && $maxwheels_options['mw_lp_top_style'] == 'simple2') 
				{
					get_template_part('template-parts/listing-detial/top-styles/simple2');
				}
				get_template_part('template-parts/listing-detial/slider/slider');
				?>
					<div class="make-me-white">
						<?php
						$layout = '';
						$layout = isset( $maxwheels_options['mw_layout_manager']['enabled']) ? $maxwheels_options['mw_layout_manager']['enabled'] : '';
						if ($layout): foreach ($layout as $key => $value) {
						switch ($key) {

							case 'ad_slot_1': get_template_part('template-parts/listing-detial/advertisement/slot1');
								break;
								
							case 'keyinfo': get_template_part('template-parts/listing-detial/keyinfo/info');
								break;	
								
							case 'features': get_template_part('template-parts/listing-detial/features/features');
								break;
								
							case 'desc': get_template_part('template-parts/listing-detial/description/desc');
								break;
								
							case 'map': get_template_part('template-parts/listing-detial/description/map');
								break;	
								
							case 'custom': get_template_part('template-parts/listing-detial/custom/custom');
								break;
							
							case 'ad_slot_2': get_template_part('template-parts/listing-detial/advertisement/slot2');
								break;	
						}
						}
						endif;
						?>
						
					</div>
				
				<div class="margin-top-30 nex-prev-listz">
				
				<div class="row">
						<div class="col-md-6 col-12">
							<?php 
							$prev_post = get_previous_post();
							if($prev_post) {
							$prev_title = strip_tags(str_replace('"', '', $prev_post->post_title));
							$prev_all_prices =  maxwheels_framework_fetch_price($prev_post->ID);
							?>
                            <div class="widget-seprator">
								<div class="mw-previous-next mw-prev-post">
									<a href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>">
										<div class="mw-img">
											<?php echo maxwheels_responsive_images($prev_post->ID,'maxwheels-user-thumb','listing'); ?>
										</div>
										<div class="post_subtitle"><?php echo esc_html__('Previous Listing','maxwheels') ?></div>
										<h4><?php echo esc_html($prev_title); ?></h4>
										<div class="selling-price">
											<span><?php echo esc_html($prev_all_prices); ?></span>
										</div>
									</a>
								</div>
                            </div>
							<?php } ?>
                        </div>
                        <div class="col-md-6 col-12">
							<?php
							$next_post = get_next_post();
							if($next_post) {
								$next_title = strip_tags(str_replace('"', '', $next_post->post_title));
								$next_all_prices =  maxwheels_framework_fetch_price($next_post->ID);
							?>
                            <div class="widget-seprator">
								<div class="mw-previous-next mw-next-post">
									<a href="<?php echo esc_url(get_permalink($next_post->ID)); ?>">
										<div class="mw-img">
											<?php echo maxwheels_responsive_images($next_post->ID,'maxwheels-user-thumb','listing'); ?>
										</div>
										<div class="post_subtitle"><?php echo esc_html__('Next Listing','maxwheels') ?></div>
										<h4><?php echo esc_html($next_title); ?></h4>
										<div class="selling-price">
											<span><?php echo esc_html($next_all_prices); ?></span>
										</div>
									</a>
							   </div>
                            </div>
							<?php } ?>
                        </div>
                    </div>
					</div>
			</div>
			<div class="col-xl-4 col-xxl-4 col-lg-12 col-md-12 col-sm-12 col-12 listing-detial-sidebar">
				<aside class="listing-sidebars mt-top position-sticky">
				<?php
				if ( is_active_sidebar( 'mw_detail_sidebar' ) )
				{
					dynamic_sidebar( 'mw_detail_sidebar' );
				}
				?>
				</aside>
			</div>	
		</div>
	</div>


    <?php
    if (get_post_field('post_author', $mw_id) == get_current_user_id() || is_super_admin(get_current_user_id()))
    {
        $user_id='';
        $user_id=get_post_field('post_author', $mw_id);
        $edit_slug = maxwheels_framework_get_link('page-submit-listings.php');
        echo '<div class="sticky-button-edit" data-toggle="tooltip" data-placement="top"  title="'.esc_attr__('Edit', 'maxwheels').'">
                <a href="'.esc_url($edit_slug).'?edit_listing='.esc_attr($mw_id).'" > 
                 <i class="far fa-edit"></i></a>
            </div>';
        //mark as featured
        if(get_user_meta($user_id, 'mw_pack_featuredlistings', true) !="" && get_post_meta($mw_id, 'mw_is_feature_listing', true) =="0")
        {
            echo '<div class="sticky-button-featured" data-toggle="tooltip" data-placement="top" title="'.esc_attr__('Mark As Featured','maxwheels').'">
                <a href="javascript:void()" class="feature-update" data-ids="'.esc_attr($mw_id).'" > 
                 <i class="fas fa-star"></i></a>
            </div>';
        }
    }
    ?>
</section>
<?php get_template_part('template-parts/listing-detial/similar/similar');?>	