<?php 
	$mw_id	=	get_the_ID();
	$condition = '';
	$condition = get_post_meta($mw_id, 'mw_condition', true);
	if(!empty($condition))
	{
		global $maxwheels_options;
		$bred_gray = 'white-bg';
		if(isset($maxwheels_options['mw_section_clr_type']) && $maxwheels_options['mw_section_clr_type'] == 'white')
		{
			$bg_class = 'white-bg';
			$bred_gray = 'light-bg';
		}
	?>
	<section class="mw-detail-page custom-padding <?php echo esc_attr($bred_gray); ?>" >
		<div class="container">
			<div class="row sec-heading-zone">
				<div class="col ">
					<div class="sec-heading ">
						<p><?php echo esc_html(maxwheels_strings('mw_mimi_listings')); ?></p>
						<h2><?php echo esc_html(maxwheels_strings('mw_simi_listings')); ?></h2>
					</div>
				</div>
			</div>
			<div class="row">
		<?php			
		$no_off = 5;
		if(!empty(maxwheels_strings('mw_simi_listinglimits')))
		{
			$no_off = maxwheels_strings('mw_simi_listinglimits');
		}
		$listingz = new maxwheels_getlistings();
		$args = array(
			'post_type' => 'mx-listings',
			'post_status' => 'publish',
			'post__not_in' => array($mw_id),
			'posts_per_page' => $no_off,
			'order' => 'DESC',
			'fields' => 'ids',
			'orderby' => 'date',
			'tax_query' => array(
				array(
					'taxonomy' => 'mw-condition',
					'field' => 'slug',
					'terms' =>$condition
				)
			),
			'meta_query' => array(
				 array(
					'key' => 'mw_status',
					'value' => '1',
					'compare' => '='
				 )
			),
		 );
		$query = new WP_Query( $args );
		if($query->have_posts())
		{
			while ($query->have_posts())
			{
				$query->the_post();
				$mw_id	=	get_the_ID();
				echo maxwheels_strings_allow_html($listingz->maxwheels_similiar_listings($mw_id));
			}
			wp_reset_postdata();
		}
	?>
		</div>
	</div>
    </section>	
	<?php			
	}