<?php
$mw_id	=	get_the_ID();
$allowed_html = maxwheels_allowed_html();
$long = $latt = $image_id = $mydate = $labels = $get_all_prices = '';
$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
$mydate =  get_the_date(get_option('date_format'), $mw_id);
//labels
if(!empty(maxwheels_getlabels($mw_id)))
{
	$text_direction = 'text-start';
	if(is_rtl())
	{
		$text_direction = 'text-end';
	}
	$labels = '<div class="property-labels absolute-no">
				<div class="label-badges">
					<ul class="list-unstyled '.esc_attr($text_direction).'">
					'.maxwheels_getlabels($mw_id).'
					</ul>
				</div>
			  </div>';	
}
?>
<div class="single-car-detail-2">
	<div class="single-car-detail-3">
		<?php echo wp_kses($labels,$allowed_html); ?>
		<h1><?php echo esc_html(get_the_title($mw_id)); ?></h1>
		<p><img src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/clock.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid" ><?php echo esc_html__('Listed On ','maxwheels') ?> : <?php echo esc_html(date_i18n( get_option( 'date_format' ), strtotime($mydate))); ?></p>
	</div>
	<div class="single-car-detail-4">
		<span><?php echo esc_html__('Stock #','maxwheels'); ?><?php echo esc_html($mw_id); ?></span>
		<ul>
			<?php if(!empty($get_all_prices)) { ?>
			<li class="for-price">
				<div class="pricetag"><?php echo esc_html($get_all_prices); ?></div>
			</li>
			<?php } ?>
		</ul>
	</div>
</div>
<div class="single-car-detail-views">

	<?php if(get_post_meta($mw_id, 'mw_street_addr', true ) !='') { ?>
	<p><img src="<?php echo trailingslashit( get_template_directory_uri () ) . "libs/images/location.png"; ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid" > <?php echo esc_html(get_post_meta($mw_id, 'mw_street_addr', true )); ?> <?php echo maxwheels_get_related_distance($mw_id); ?>
		<?php if(get_post_meta($mw_id, 'mw_latt', true ) !='' && get_post_meta($mw_id, 'mw_long', true ) !='') {
		$latt = get_post_meta($mw_id, 'mw_latt', true );
		$long = get_post_meta($mw_id, 'mw_long', true );
		$url = '//www.google.com/maps?daddr='.esc_attr($latt).','.esc_attr($long).'';
		?>
		<a href="<?php echo esc_url($url); ?>" target="_blank"><span><?php echo esc_html__('View on Maps','maxwheels'); ?></span></a>
		<?php } ?>
    </p>
	<?php } ?>
	<p class="color-3"><span><?php echo esc_html__('Views', 'maxwheels'); ?></span>: <?php echo number_format(get_post_meta($mw_id, 'mw_listing_total_views', true)); ?></p>
</div>