<?php
if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
{
	$detect = new Mobile_Detect;
	$primaryNav = $menuID = $menuLocations = '';
	global $maxwheels_options;
	if(isset($maxwheels_options['mw_bottom_nav']) && $maxwheels_options['mw_bottom_nav'] == true)
	{
		if ($detect->isMobile())
		{
			$menuLocations = get_nav_menu_locations();
			$menuID = $menuLocations['main_bottom_menu'];
			$primaryNav = wp_get_nav_menu_items($menuID);
			if(!empty($primaryNav) && count($primaryNav) > 0)
			{
?>
			<div class="bottom-menu">
					<?php
					$num = 1;
					$class = '';
					foreach ( $primaryNav as $navItem )
					{
						$class = '';
						if($num == 3)
						{
							$class = 'sat';
						}
					?>
						<a href="<?php echo esc_url($navItem->url); ?>" class="<?php echo esc_attr($class); ?>">
							<i class="<?php echo esc_attr(get_post_meta($navItem->ID, '_menu_item_menu_icons', true)); ?>"></i>
							<?php echo esc_html($navItem->title); ?>
						</a>
						<?php
						 if ($num == 2)echo '<span class="bosluk"></span>';
						 if($num == 5)  break;$num++;
					}
					?>
			</div>
<?php
			}
		}
	}
}