<?php
	$localization = maxwheels_localization();
	$title = '';
	if (isset($_GET['by_title']) && $_GET['by_title'] != "")
	{
		$title =  trim($_GET['by_title']);
	}
	$location = '';
	if (isset($_GET['by_location']) && $_GET['by_location'] != "")
	{
		$location =  trim($_GET['by_location']);
	}
    $layout_type = '';
    if(isset($_GET['agency-layout']) && ($_GET['agency-layout']!=""))
    {
        $layout_type = trim($_GET['agency-layout']);
    }
?>
<section class="dealers-search light-bg custom-padding agency-1 agent-section">
  <div class="container">
    <div class="row">
      <div class="col-xxl-3 col-xl-4 col-lg-4 col-md-12 col-sm-12 col-12 order-xxl-first order-xl-first order-lg-first order-last">
	  <?php
		if (is_active_sidebar('mw_dealers_seach_bar'))
		{
		?>
			<div class="project-sidebar">
				<form id="mydeal_search">
				<?php dynamic_sidebar('mw_dealers_seach_bar'); ?>
				<div class="submit-btn">
					<button class="btn btn-theme btn-block filter-results" type="button"> <?php echo esc_html($localization['filter_result']); ?></button>
				</div>
				</form>
			</div>	
		<?php
		}                
		?>
		<?php
		if (is_active_sidebar('mw_dealers_filters_bar'))
		{
		?>
		  <aside class="blog-sidebar dealer-bar">
      		<?php dynamic_sidebar( 'mw_dealers_filters_bar' ); ?>
    	  </aside>
		<?php
		}                
		?>
      </div>
      <div class="col-xxl-9 col-xl-8 col-lg-8 col-md-12 col-sm-12 col-12">
      <div class="row">
      	<div class="col-12 col-xl-12 col-md-12 col-sm-12">
        <div class="filter-sorting-bar d-flex flex-wrap justify-content-between align-items-center">
            <h4>
               <?php echo wp_sprintf(__('<span class="clr-yal"> %d </span> Results Found ', 'maxwheels'),esc_attr($results->found_posts)); ?>
            </h4>
            <div class=" d-flex d-block">
              <span class="sort-label align-self-center"><?php echo esc_html__('Short by', 'maxwheels'); ?>:</span>
              <div class="short-by">
                <select name="sort-by" id="sort-by" class="sort-selects" data-placeholder="<?php echo esc_attr__('Newest To Oldest', 'maxwheels'); ?>">
                  <option value="newest"><?php echo esc_html__('Newest To Oldest', 'maxwheels'); ?></option>
                  <option value="oldest"><?php echo esc_html__('Oldest To New', 'maxwheels'); ?></option>
                  <option value="title-asc"><?php echo esc_html__('Alphabetically [a-z]', 'maxwheels'); ?></option>
                  <option value="title-desc"><?php echo esc_html__('Alphabetically [z-a]', 'maxwheels'); ?></option>
                </select>
              </div>
            </div>
		</div>
        <div class="my-filer-tags">
      <?php
       if (!empty($_GET)) {
           echo '<div class="filter-tags"><ul class="filter-tags-list">
          <li class="filter-tags-render">
            <span class="filter-reset">'.esc_html__('Clear All', 'maxwheels').':</span>'.esc_html__('Filters', 'maxwheels').'
            <a href="javascript:void(0)" id="reset_ajax_result" class="filter-reset-btn">×</a>
          </li>
        </ul></div>';
       }
       ?>
       </div>
		</div>
	  </div>
        <div class="row grid my-dealer-page">
			 <div class="loaders"></div>
				<div class="row apprend-that-data">
					<?php
					 $fetch_output = '';
					 if ($results->have_posts())
					 {
						 require trailingslashit(get_template_directory()) . "template-parts/search/dealer-search/grids/grids.php";
						 echo ' '.$fetch_output;
					 }
					 else
					 {
						echo maxwheels_framework_no_result_found(); 
					 }
					 ?>
				</div>
       </div>
	  
	  <?php if(!empty(maxwheels_pagination_search($results))) { ?>
         <div class="row">
               <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 margin-bottom-30"> 
                 <div id="listing_ajax_pagination"><?php echo maxwheels_pagination_search($results); ?></div>
              </div>
         </div>
      <?php } ?>         
      </div>
    </div>
  </div>
</section>