<?php 
$container_class = 'container';
if(maxwheels_strings('mw_top_container') == 2)
{
	$container_class = 'container-fluid';
}
?>
<div class="topbar-1">
  		<div class="<?php echo esc_attr($container_class); ?>">
  			<div class="row">
  				<div class="col-md-6 make-me-left">
  					<ul class="list-inline">
						<?php if(!empty(maxwheels_currency_switcher())) { ?>
						<li class="list-inline-item currency-dropdown ">
							<?php echo maxwheels_currency_switcher(); ?>
						</li>
						<?php } ?>
						<?php if(!empty(maxwheels_strings('mw_top_email'))) { ?>
  						<li class="list-inline-item"><a href="mailto:<?php echo esc_url(maxwheels_strings('mw_top_email')); ?>"><i class="far fa-paper-plane"></i> <?php echo esc_html(maxwheels_strings('mw_top_email')); ?></a></li>
						<?php } ?>
						<?php if(!empty(maxwheels_strings('mw_top_contactno'))) { ?>
  						<li class="list-inline-item"><a href="tel:<?php echo str_replace(" ", "", maxwheels_strings('mw_top_contactno')); ?>"><i class="fas fa-mobile-alt"></i> <?php echo esc_html(maxwheels_strings('mw_top_contactno')); ?></a></li>
						<?php } ?>
						<?php if(!empty(maxwheels_strings('mw_top_hours'))) { ?>	
					   <li class="list-inline-item">
						  <a href="javascript:void(0)"><i class="far fa-clock"></i> <?php echo esc_html(maxwheels_strings('mw_top_hours')); ?></a>
					    </li>
					    <?php } ?>
  					</ul>
  				</div>
				<?php
				if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
				{
					$social_links = array();	
					$social_links = maxwheels_framework_social_links();
					if(!empty($social_links) && is_array($social_links) && count($social_links) > 0)
					{
						$allowed_html = maxwheels_allowed_html();
				?>
  				<div class="col-md-3">
  					<div class="social-linked">
  						<ul class="list-inline">
							<?php
							foreach($social_links as $social)
							{
							?>	
  								<li class="list-inline-item"><a href="<?php echo esc_url($social['url']); ?>" target="_blank"><?php echo wp_kses($social['icon'],$allowed_html); ?></a></li>
							<?php
							}
						    ?>
  						</ul>
  					</div>
  				</div>
				<?php
				  }
				}
				?>
				<?php
				if(!empty(maxwheels_strings('mw_top_pages')) && is_array(maxwheels_strings('mw_top_pages')) && count(maxwheels_strings('mw_top_pages')) > 0)
				{
				?>
  				<div class="col-md-3 ms-auto">
  					<ul class="list-inline float-end">
						<?php
						 $pages = array();
						 $pages = maxwheels_strings('mw_top_pages');
					     foreach($pages as $page)
						 {
						 ?>	 
							<li class="list-inline-item"><a href="<?php echo esc_url(get_the_permalink($page)); ?>"><?php echo get_the_title($page); ?></a></li>
						<?php
						 }
					     ?>
  					</ul>
  				</div>
				<?php				
				} 
				?>
  			</div>
  		</div>
  	</div>