<?php 
$container_class = 'container';
if(maxwheels_strings('mw_top_container') == 2)
{
	$container_class = 'container-fluid';
}
?>
<div class="topbar-4">
	<div class="<?php echo esc_attr($container_class); ?>">
			<div class="d-flex justify-content-between">
				<?php if(!empty(maxwheels_strings('mw_top_pages')) && is_array(maxwheels_strings('mw_top_pages')) && count(maxwheels_strings('mw_top_pages')) > 0 || !empty(maxwheels_strings('mw_top_hours')) ) { ?>
				<div class="topbar-4-left d-flex flex-wrap align-content-start">
					<ul class="top4-info-left">
						<?php if(!empty(maxwheels_strings('mw_top_hours'))) { ?>	
						<li><span> <?php echo esc_html(maxwheels_strings('mw_top_hours')); ?></span></li>
						<?php } ?>
						<?php
						$pages = array();
						$pages = maxwheels_strings('mw_top_pages');
                        if (is_array($pages) || is_object($pages))
                        {
						foreach($pages as $page)
						{
						?>	 
						<li><a href="<?php echo esc_url(get_the_permalink($page)); ?>"><?php echo get_the_title($page); ?></a></li>
						<?php
						}
                        }
						?>
					</ul>
				</div>
				<?php }else{
                    echo esc_html__("Please Select Pages First For Topbar Style4",'maxwheels');
                } ?>
				<div class="topbar-4-right d-flex flex-wrap align-content-center ms-auto">
					<?php if(!empty(maxwheels_strings('mw_top_contactno')) || !empty(maxwheels_strings('mw_top_email'))) { ?>
					<ul class="top4-info-rigth">
						<?php if(!empty(maxwheels_strings('mw_top_contactno'))) { ?>
  						<li class="list-inline-item"><a href="tel:<?php echo str_replace(" ", "", maxwheels_strings('mw_top_contactno')); ?>"><i class="fas fa-phone"></i> <?php echo esc_html(maxwheels_strings('mw_top_contactno')); ?></a></li>
						<?php } ?>
						<?php if(!empty(maxwheels_strings('mw_top_email'))) { ?>
  						<li class="list-inline-item"><a href="mailto:<?php echo esc_url(maxwheels_strings('mw_top_email')); ?>"><i class="fas fa-envelope"></i> <?php echo esc_html(maxwheels_strings('mw_top_email')); ?></a></li>
						<?php } ?>
					</ul>
					<?php } ?>
				<?php
				if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
				{
					$social_links = array();	
					$social_links = maxwheels_framework_social_links();
					if(!empty($social_links) && is_array($social_links) && count($social_links) > 0)
					{
						$allowed_html = maxwheels_allowed_html();
				?>
					<div class="social-linked">
						<ul class="list-inline">
							<?php
							foreach($social_links as $social)
							{
							?>	
								<li class="list-inline-item"><a href="<?php echo esc_url($social['url']); ?>" target="_blank"><?php echo wp_kses($social['icon'],$allowed_html); ?></a></li>
							<?php
							}
							?>
						</ul>
					</div>
				<?php
					}
				}
				?>
				</div>
			</div>
	</div>    
</div>