<?php
$cols = 'col-xxl-12 col-xl-12 col-lg-8 col-md-12 col-sm-12 col-12 mx-auto';
if (is_active_sidebar( 'mw_blog_sidebar_panel' ) )
{
	$cols = 'col-xxl-9 col-xl-8 col-lg-8 col-md-12 col-sm-12 col-12 mx-auto';
}
$separator = ' ';
$output = '';
$no_img = '';										  
if (!has_post_thumbnail())
{
	$no_img = 'mw-no-single-img';
}
?>
<div class="<?php echo esc_attr($cols); ?>">
    <div class="content-area">
		<?php if ( has_post_thumbnail() ):
			echo '<div class="blog-featured-img">'.get_the_post_thumbnail(get_the_ID(), 'maxwheels-extra-large').'</div>'; endif; ?>	
    	<div class="blog-detial-main-area widget-seprator sty-2 <?php echo esc_attr($no_img); ?>">
            <h1 class="blg-main-title"><?php the_title(); ?></h1>
			<div class="blog-lower-box">
			<ul class="nav nav-divider align-items-center d-none d-sm-inline-block">
				<li class="nav-item">
					<div class="d-flex align-items-center position-relative">
						<div class="avatar avatar-xs">
							<?php echo get_avatar(get_the_author_meta('ID'), 100);  ?>
						</div>
						<span class="ms-3"><?php echo esc_html__('by','maxwheels'); ?> <a class="blog-auth" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php the_author(); ?></a></span>
					</div>
				</li><li class="nav-item"><?php the_time( get_option( 'date_format' ) ); ?></li><li class="nav-item"><?php comments_popup_link(); ?></li>
		 </ul>
			</div>
         	 <div class="post-excerpt post-desc">
    			<?php the_content(); ?>
				<?php
                    wp_link_pages( array(
                    'before'      => '<div class="page_with_pagination"><div class="page-links">','after' => '</div></div>','next_or_number' => 'number','link_before' => '<span class="no">','link_after'  => '</span>') );
                ?>
   			</div> 
        </div>
		<div class="clearfix"></div>
        <?php comments_template( '', true ); ?>
    </div>
</div>