<?php
$cols = 'col-xxl-3 col-xl-4 col-lg-4 col-md-6 col-sm-12 col-12 margin-bottom-30 grid-item';
if (is_active_sidebar( 'mw_blog_sidebar_panel' ) )
{
	$cols = 'col-xxl-4 col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12 margin-bottom-30 grid-item';
}
if (have_posts()): while ( have_posts() ){the_post();
$separator = ' ';
$output = '';
$categories = get_the_category(get_the_id());
if ( ! empty( $categories ) ) {
foreach( $categories as $category )
{
	 $output .= '<span class="cat">' . esc_html( $category->name ) . '</span>';
	 break;
}
}
$thumb = 'maxwheels-blog-grids';										  
if (wp_is_mobile())
{
	$thumb = 'full';
}
$no_img = '';										  
if (!has_post_thumbnail())
{
	$no_img = 'mw-no-img';
}
?>
<div class="<?php echo esc_attr($cols); ?>">
    <div <?php post_class() ?> id="post-<?php the_ID(); ?>">
		<div class="blog-grids">
			<div class="gridz">
				<?php if ( has_post_thumbnail() ):?>
				<div class="entry-media">
					<?php echo get_the_post_thumbnail(get_the_ID(), esc_attr($thumb)); ?>
				</div>
				<?php endif; ?>	
				<div class="entry-body">
					<?php echo trim( $output, $separator ); ?>
					<h3><a href="<?php esc_url(the_permalink()); ?>"><?php echo get_the_title(); ?></a></h3>
					<p> <?php echo wp_trim_words(get_the_excerpt(), 12); ?></p>
					<div class="read-more-date">
                        <a href="<?php esc_url(the_permalink()); ?>"><?php echo esc_html__('Read More..','maxwheels') ?></a>
					</div>
				</div>
			</div>
		</div>
    </div>  
</div>		
<?php
}
else:
 get_template_part( 'template-parts/blog/content', 'none' );
endif;