<?php
	global $maxwheels_options;
	$dealer_id	=	get_the_ID();
	$author_id = get_post_field( 'post_author', $dealer_id );
	//get properties
	$image_id = '';
	$comments = $propes = array();
	$args	=	array
	(
		'post_type' => 'mx-listings',
		'author' => $author_id,
		'post_status' => 'publish',
		'posts_per_page' => 14,
        'fields' => 'ids',
		'paged' => 1,
		'meta_key' => 'mw_is_feature_listing',
		'orderby'  => array(
			'meta_value_num' => 'DESC',
			'post_date'      => 'DESC',
		),
		'meta_query'    => array(
			array(
				'key'       => 'mw_status',
				'value'     => '1',
				'compare'   => '=',
			),
		),
		'order'=> 'DESC',
	);
	 $query = new WP_Query( $args );
	 if($query->have_posts())
	 {
		 while ($query->have_posts())
         {
				$query->the_post();
				$mw_idz	=	get_the_ID();
				$propes[] .= $mw_idz;
		 }
		 wp_reset_postdata();
	 }

	 $auth_status = '';	
	 $allowed_html = maxwheels_allowed_html(); 
	if(get_post_meta($dealer_id, 'dealer_badge_txt', true ) !="" && get_post_meta($dealer_id, 'dealer_badge_clr', true )!="")
	{
		$badge_txt = get_post_meta($dealer_id, 'dealer_badge_txt', true );
		$badge_clr = get_post_meta($dealer_id, 'dealer_badge_clr', true );
		$auth_status = '<span class="badge badge-verified" style="background-color:'.$badge_clr.'">'. esc_html($badge_txt).'</span>';
	}
	$is_featured = '';
	if(get_post_meta($dealer_id, 'dealer_is_featured', true ) !="" && get_post_meta($dealer_id, 'dealer_is_featured', true )=="1")
	{ 
	   $is_featured = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr__('Featured','maxwheels').'">
						<div><i class="fas fa-star"></i></div>
					</div>';
	}
	$reference = 'dealer';
	$type = 'mw-dealer';
	$ratings = array();
	$ratings = maxwheels_reviews_stats_average($dealer_id,$type,$reference);
	$cover_img = '';
	$cover_img = maxwheels_placeholder_cover($dealer_id);
	$search_page_link = maxwheels_framework_get_link('page-property-search.php');
	$author_id = get_post_field( 'post_author', $dealer_id );
	$auth_name = basename(get_permalink($dealer_id));
?>
<div class="single-agency-agents deal-type-2">
<div class="agency-agent-classic" <?php echo ' '.$cover_img;  ?>>
  <div class="container">
    <div class="row page-section ag-short-detail">
      <div class="col-sm-12 col-md-12 col-lg-12 col-xl-2 col-12 position-relative">
		     <div class="ag-logo">
				<div class="image-container">
				   <?php echo wp_kses($is_featured,$allowed_html);?>
					<img src="<?php echo esc_url(maxwheels_placeholder_images('dealer',$dealer_id,'large')); ?>" class="img-fluid img-full" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"/>
				</div> 
    		</div>
      </div>
      <div class="col-lg-7 col-xl-7 col-xxl-7 col-md-12 col-sm-12 col-xs-12 d-flex flex-column justify-content-end">
        <div class="short-detail "> 
		  <div class="d-flex flex-row">
		  <?php  echo wp_kses($auth_status,$allowed_html);?>
          </div> 
		  <?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
		    <span class="ratings p-relative"> <?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?></span>
		   <?php } ?>
          <div class="list-heading">
            <h1><?php echo get_the_title($dealer_id); ?> <span class="verified"></span></h1> 
          </div>
          <div class="m-listing-addr">
            <?php if(get_post_meta($dealer_id, 'dealer_street_addr', true )!="") { ?>
            <i class="fas fa-location-arrow clr-yal"></i> <?php echo esc_html(get_post_meta($dealer_id, 'dealer_street_addr', true )); ?> 
            <?php } ?>
            <?php if(get_post_meta($dealer_id, 'dealer_latt', true )!="" && get_post_meta($dealer_id, 'dealer_long', true )!="") { ?>
            <a class="m-listing-map" href="https://www.google.com/maps?daddr=<?php echo esc_attr(get_post_meta($dealer_id, 'dealer_latt', true )); ?>,<?php echo esc_attr(get_post_meta($dealer_id, 'dealer_long', true )); ?>" target="_blank"><?php echo esc_html__('Get Directions','maxwheels');?></a>
            <?php } ?>
          </div>
          <div class="list-meta">
            <ul>
            <?php if(get_post_meta($dealer_id, 'dealer_mobile', true )!="") { ?>
              <li  class="single-d-mobile"> <span class="list-posted-date"><i class="fas fa-phone-alt clr-yal"></i> <a class="click-reveal phonenumber" href="javascript:void(0)"><?php echo esc_html(get_post_meta($dealer_id, 'dealer_mobile', true )); ?></a></span> </li>
            <?php } ?> 
             <?php
			 if(intval(get_post_meta($dealer_id, 'mw_'.$reference.'_singletotal_views', true)!="")) { ?>
              <li class="list-meta-with-icons single-d-views"><?php echo esc_html__('Views','maxwheels'); ?> : <?php echo maxwheels_number_format_short(get_post_meta($dealer_id, 'mw_'.$reference.'_singletotal_views', true));?></li>
             <?php } ?> 
            </ul>
          </div>
        </div>
      </div>
      <div class="col-md-12 col-lg-5 col-xl-3 col-xxl-3 col-sm-12 col-xs-12 d-flex flex-column justify-content-end align-items-end text-end">
        <div class="margin-from-top-minimal">
			<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
			<div class="head"><div class="score"><span><em><?php echo esc_html($ratings['rated_no_of_times']) . '&nbsp;'. esc_html(maxwheels_strings('mw_detail_sidebar_reviews')); ?></em></span><strong><?php echo esc_html($ratings['total_average']); ?></strong></div></div>
			<?php } ?>
			<div class="list-single-hero-links">
				<a class="lisd-link" href="#"><svg class="svg-icon-own" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M15.73 3H8.27L3 8.27v7.46L8.27 21h7.46L21 15.73V8.27L15.73 3zM12 17.3c-.72 0-1.3-.58-1.3-1.3c0-.72.58-1.3 1.3-1.3c.72 0 1.3.58 1.3 1.3c0 .72-.58 1.3-1.3 1.3zm1-4.3h-2V7h2v6z" fill="#626262"/></svg><?php echo esc_html__('Report','maxwheels'); ?></a>
				<a class="custom-scroll-link lisd-link" href="#sec6"><svg class="svg-icon-own" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 36 36"><path class="clr-i-outline clr-i-outline-path-1" d="M27.19 34a2.22 2.22 0 0 1-1.24-.38l-7.46-5a.22.22 0 0 0-.25 0l-7.46 5a2.22 2.22 0 0 1-3.38-2.41l2.45-8.64a.23.23 0 0 0-.08-.24l-7.06-5.55a2.22 2.22 0 0 1 1.29-4l9-.34a.23.23 0 0 0 .2-.15l3.1-8.43a2.22 2.22 0 0 1 4.17 0l3.1 8.43a.23.23 0 0 0 .2.15l9 .34a2.22 2.22 0 0 1 1.29 4L27 22.33a.22.22 0 0 0-.08.24l2.45 8.64A2.23 2.23 0 0 1 27.19 34zm-8.82-7.42a2.21 2.21 0 0 1 1.23.42l7.46 5a.22.22 0 0 0 .34-.25l-2.45-8.64a2.21 2.21 0 0 1 .77-2.35l7.06-5.55a.22.22 0 0 0-.13-.4l-9-.34a2.22 2.22 0 0 1-2-1.46l-3.1-8.43a.22.22 0 0 0-.42 0L15.06 13a2.22 2.22 0 0 1-2 1.46l-9 .34a.22.22 0 0 0-.13.4L11 20.76a2.22 2.22 0 0 1 .77 2.35l-2.44 8.64a.21.21 0 0 0 .08.24a.2.2 0 0 0 .26 0l7.46-5a2.22 2.22 0 0 1 1.23-.37z" fill="#626262"/></svg><?php echo esc_html__('Write a review','maxwheels'); ?></a>
			</div>
         </div>
      </div>
    </div>
  </div>
</div>
</div>
<section class="custom-padding light-bg">
    <div class="container">
        <div class="row">
             <div class="col-xl-8 col-xxl-8 col-lg-12 col-sm-12 col-md-12 col-12">
				 <div class="mw-dealers-tag"> 
				  	<div class="card tab-card">
						<div class="card-header tab-card-header">
						  <ul class="nav nav-tabs card-header-tabs" id="myTab" role="tablist">
							<li class="nav-item">
								<a class="nav-link active" id="dealer-invent" data-bs-toggle="tab" href="#dealer-inventory" role="tab"  aria-selected="true"><svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 512 512"><path d="M499.99 176h-59.87l-16.64-41.6C406.38 91.63 365.57 64 319.5 64h-127c-46.06 0-86.88 27.63-103.99 70.4L71.87 176H12.01C4.2 176-1.53 183.34.37 190.91l6 24C7.7 220.25 12.5 224 18.01 224h20.07C24.65 235.73 16 252.78 16 272v48c0 16.12 6.16 30.67 16 41.93V416c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h256v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-54.07c9.84-11.25 16-25.8 16-41.93v-48c0-19.22-8.65-36.27-22.07-48H494c5.51 0 10.31-3.75 11.64-9.09l6-24c1.89-7.57-3.84-14.91-11.65-14.91zm-352.06-17.83c7.29-18.22 24.94-30.17 44.57-30.17h127c19.63 0 37.28 11.95 44.57 30.17L384 208H128l19.93-49.83zM96 319.8c-19.2 0-32-12.76-32-31.9S76.8 256 96 256s48 28.71 48 47.85s-28.8 15.95-48 15.95zm320 0c-19.2 0-48 3.19-48-15.95S396.8 256 416 256s32 12.76 32 31.9s-12.8 31.9-32 31.9z" fill="#626262"/></svg><?php echo maxwheels_strings('mw_dlr_profile_type_inventory_title'); ?></a>
							</li>
							<li class="nav-item">
								<a class="nav-link" id="dealer-reviews-tab" data-bs-toggle="tab" href="#dealer-reviews" role="tab"  aria-selected="false"><svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M12 23a1 1 0 0 1-1-1v-3H7a2 2 0 0 1-2-2V7a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2h-4.1l-3.7 3.71c-.2.19-.45.29-.7.29H12m1-6v3.08L16.08 17H21V7H7v10h6M3 15H1V3a2 2 0 0 1 2-2h16v2H3v12z" fill="#626262"/></svg><?php echo maxwheels_strings('mw_dlr_profile_type_reviews_title'); ?></a>
							</li>
							<li class="nav-item">
								<a class="nav-link" id="feedback-tab" data-bs-toggle="tab" href="#dealer-feedback" role="tab" aria-selected="false"><svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M7.72 16.456l1.761-.508l10.603-10.73a.456.456 0 0 0-.003-.64l-.635-.642a.443.443 0 0 0-.632-.003L8.239 14.635l-.52 1.82zM20.703 2.664l.635.643c.876.887.884 2.318.016 3.196L10.428 17.561l-3.764 1.084a.901.901 0 0 1-1.11-.623a.915.915 0 0 1-.002-.506l1.095-3.84L17.544 2.647a2.215 2.215 0 0 1 3.159.016zM9.184 3.817c.496 0 .898.407.898.909a.903.903 0 0 1-.898.909H5.592c-.992 0-1.796.814-1.796 1.817v10.906c0 1.004.804 1.818 1.796 1.818h10.776c.992 0 1.797-.814 1.797-1.818v-3.635c0-.502.402-.909.898-.909s.898.407.898.91v3.634c0 2.008-1.609 3.636-3.593 3.636H5.592C3.608 21.994 2 20.366 2 18.358V7.452c0-2.007 1.608-3.635 3.592-3.635h3.592z" fill="#626262"/></svg><?php echo maxwheels_strings('mw_dlr_profile_type_write_title'); ?></a>
							</li>
						  </ul>
						</div>
						<div class="tab-content" id="myTabContent">
						  <div class="tab-pane fade show active" id="dealer-inventory" role="tabpanel" aria-labelledby="dealer-invent">
							  <?php
							   set_query_var( 'propsingle-propes', $propes );
							   get_template_part('template-parts/dealer-detial/listings/properties');
							  ?>             
						  </div>
						  <div class="tab-pane fade" id="dealer-reviews" role="tabpanel" aria-labelledby="dealer-reviews-tab">
							 <?php
							   get_template_part('template-parts/generic-sections/reviews/reviews');
							  ?>        
						  </div>
						  <div class="tab-pane fade" id="dealer-feedback" role="tabpanel" aria-labelledby="feedback-tab">
							  <?php
							   get_template_part('template-parts/generic-sections/reviews/form');
							  ?> 
						  </div>
						</div>
      				</div>
				 </div> 
             </div>
             <div class="col-xl-4 col-xxl-4 col-lg-12 col-sm-12 col-md-12 col-12">
             	<div class="single-sidebar mt-300s premium-dealer-profile">
                <?php
				$sidebar_layout = '';
				$sidebar_layout = isset( $maxwheels_options['mw_ag_detail_sidebar_agency']['enabled']) ? $maxwheels_options['mw_ag_detail_sidebar_agency']['enabled'] : '';
				 if ($sidebar_layout): foreach ($sidebar_layout as $key => $value)
				 {
					switch ($key)
					{
						case 'info': get_template_part('template-parts/generic-sections/sidebar/info/info');
						break;
						
						case 'featured': get_template_part('template-parts/generic-sections/sidebar/featured/featured');
						break;
						
						case 'slot1': get_template_part('template-parts/generic-sections/sidebar/advertizment/advertizment1');
						break;
						
						case 'contact': get_template_part('template-parts/generic-sections/sidebar/contact/contact');
						break;
													
						case 'most': get_template_part('template-parts/generic-sections/sidebar/most/most');
						break;
						
						case 'slot2': get_template_part('template-parts/generic-sections/sidebar/advertizment/advertizment2');
						break;
					}
				 }
				endif;
				 ?>
        		</div>
             </div>
        </div>
    </div>
</section>