<?php
$pages = '';
global $maxwheels_options;
if (!empty($maxwheels_options["mw_footer_pages"])) {
    $pages = $maxwheels_options["mw_footer_pages"];
}
?>
<div class="col-xl-3 col-lg-6 col-md-6 col-sm-6 col-12">
    <div class="maxwheels-footer-widgets top-quick-links">
        <h2><span><?php echo maxwheels_strings("mw_footer_link_txt"); ?></span></h2>
        <ul class="list">
            <?php
            if (is_array($pages) && count($pages) > 0) {
                foreach ($pages as $page) {
                    $page=max_language_page_id_callback($page);
                    ?>
                    <li><a href="<?php echo esc_url(get_the_permalink($page)); ?>">
                    <i class="fa fa-angle-right"></i><?php echo esc_html(get_the_title($page)); ?></a>
                    </li>
                    <?php
                }
            }
            ?>
        </ul>
    </div>
</div>