<?php
$localization = maxwheels_localization();
$amen_idz = $amenz = array();
$location = $long = $latt = $address = $gallery = $desc  = $listing_id = $image_id = '';
$class_three = $class_two = $class_one = 'none';
$is_edit = 'no';
if(maxwheels_strings('mw_opt_enable_geo') == '1')
{
    if(maxwheels_strings('mw_opt_api_settings') == 'geo_ip' ||  maxwheels_strings('mw_opt_api_settings') == 'ip_api')
    {
        $check_class = 'get-loc';
        $location_icon = '<i class="detect-me fas fa-location-arrow"></i>';
    }
}
if(isset($_SESSION) && isset($_SESSION['listing-id']) && $_SESSION['listing-id']!='' || isset($_GET) && isset($_GET['edit_listing']) && $_GET['edit_listing']!='')

{
    $is_edit = 'no';
    if(isset($_SESSION['listing-id']) && $_SESSION['listing-id']!='')
    {
        if(isset($_GET['edit_listing']) && $_GET['edit_listing']!='')
        {
            $is_edit = 'yes';
            $listing_id = $_GET['edit_listing'];
        }
        else
        {
            $listing_id = $_SESSION['listing-id'];
        }
    }
    else
    {
        $is_edit = 'yes';
        $listing_id = $_GET['edit_listing'];
    }
    $desc  = apply_filters('the_content', get_post_field('post_content', $listing_id));
    $gallery = get_post_meta( $listing_id, 'mw_gallery', true );
    //Amens
    $product_terms = wp_get_object_terms($listing_id,  'mw-features' );
    if ( ! empty( $product_terms ) )
    {
        if ( ! is_wp_error( $product_terms ) )
        {
            foreach( $product_terms as $term )
            {
                $amen_idz[] = intval( $term->term_id );
            }
        }
    }
    $address = get_post_meta( $listing_id, 'mw_street_addr', true );
    $latt    = get_post_meta( $listing_id, 'mw_latt', true );
    $long    = get_post_meta( $listing_id, 'mw_long', true );
    $location = get_post_meta( $listing_id, 'mw_loc', true );
}
?>
<section class="submit-my-listings custom-padding light-bg">
  <div class="container">
    <div class="row align-items-center h-100">
        <div class="col-9 mx-auto">
            <div class="f-title-sec">
            <h3><?php echo maxwheels_strings('mw_step2_section'); ?></h3>
               <p><?php echo esc_html__('Items marked with * are required fields.','maxwheels'); ?></p>
            </div>
            <form class="my-form" name="mw_submission_two" method="POST" id="mw_submission_two">
                <?php if($maxwheels_options['mw_show_hide_fields']['mw_desc'] == 1) { ?>
                  <div class="custom-card-board">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-pencil-ruler"></i>  <?php echo maxwheels_strings('mw_desc_field'); ?> </h4>
                    <div class="card-board-content">
                  <div class="theme-row">
                     <span class="wrap"> 
                     <?php
                        wp_editor(  
                                stripslashes($desc), 
                                'mw-desc', 
                                 array(
                                    'textarea_rows' =>  8,
                                    'wpautop'       =>  false,
                                    'media_buttons' =>  false,
                                    'tabindex'      =>  '',
                                    'editor_css'    =>  '', 
                                    'editor_class'  => '', 
                                    'teeny'         => false, 
                                    'dfw'           => false, 
                                    'tinymce'       => true,
                                    'quicktags' => false
                                   ) 
                                );
                        ?>
                     </span>
                     <div class="clearfix"></div>
                  </div>
                    </div>
                </div>
            </div>
                <?php } ?>
                
            <?php if($maxwheels_options['mw_show_hide_fields']['mw_gallery'] == 1) { ?>    
            
            <div class="custom-card-board content-wrapper">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-camera"></i>  <?php echo maxwheels_strings('mw_gallery_section'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_gallery'] == 1) {  ?><span>*</span> <?php } ?></h4>
                    <div class="card-board-content">
                     <div class="row">
                     <div class="col-md-4 col-12">
                        <p class="theme-txt"><?php echo maxwheels_strings('mw_gallery_section_note'); ?></p>
                     </div>
                     <div class="col-md-8 col-12">
                     	
                         <div class="upload-btn-wrapper">
                        <button class="add-more-fields" id="button-id"><?php echo maxwheels_strings('mw_gallery_up_btn'); ?> </button>
                          <input id="gallery_files" type = "file" name ="files[]" accept = "image/*" class= "files-data form-control" multiple data-listing-id="<?php echo esc_attr($listing_id); ?>" />
                           <input id="selected_imgz_idz" type="hidden" name="selected_imgz_idz" <?php if($maxwheels_options['mw_required_fields']['mw_gallery'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr__('Images are required','maxwheels'); ?>" <?php } ?> value="<?php echo esc_attr($gallery); ?>" />
                        <div class="instruction">
                           <p class="theme-txt"><?php echo maxwheels_strings('mw_gallery_img_order'); ?></p>
                        </div>
                        
                        </div>
                        
                        <div class="temp_gallery_data"></div>
                        <span id="selected_imgz_html_render"><?php echo maxwheels_framework_mw_gallery($gallery,$listing_id);?></span>

                     </div>
                  </div>
                    </div>
                </div>
            </div>
            <?php } ?>
                
            <?php if($maxwheels_options['mw_show_hide_fields']['mw_features'] == 1) { ?>     
            
            <div class="custom-card-board">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-list-ol"></i>  <?php echo maxwheels_strings('mw_features_field'); ?> </h4>
                    <div class="card-board-content">
                     
                   <div class="amen-features">
                  <?php
				     $amenz = maxwheels_framework_term_fetch('mw-features');
					 if(is_array($amenz) && count($amenz) > 0)
					 {
						 foreach($amenz as $amen)
						 {
							 if ( in_array( $amen->term_id, $amen_idz ) )
							 {
				  ?>
                  			 <div class="custom_checkbox">
                             
                                <div class="pretty p-default">
                                    <input type="checkbox" value="<?php echo esc_attr($amen->slug); ?>" name="mw-amens[]" id="<?php echo esc_attr($amen->term_id); ?>" checked  />
                                    <div class="state p-primary">
                                        <label for="<?php echo esc_attr($amen->term_id); ?>"><?php echo esc_html($amen->name); ?></label> 
                                    </div>
                                </div>
                             </div>
                  <?php
							 }
							 else
							 {
							 ?>
                             <div class="custom_checkbox">
                             <div class="pretty p-default">
                                    <input type="checkbox" value="<?php echo esc_attr($amen->slug); ?>" name="mw-amens[]" id="<?php echo esc_attr($amen->term_id); ?>"/>
                                    <div class="state p-primary">
                                        <label for="<?php echo esc_attr($amen->term_id); ?>"><?php echo esc_html($amen->name); ?></label> 
                                    </div>
                                </div>
                             </div>
                             <?php
							 }
							 ?>
                  <?php
						 }
					 }
				  ?>
                  </div>
                        
                    </div>
                </div>
            </div>
            <?php } ?>    
            
            <?php if($maxwheels_options['mw_show_hide_fields']['mw_street'] == 1 || $maxwheels_options['mw_show_hide_fields']['mw_map'] == 1 || $maxwheels_options['mw_show_hide_fields']['mw_location'] == 1) { ?>
            <div class="custom-card-board">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-map-marker-alt"></i>  <?php echo maxwheels_strings('mw_loc_section_field'); ?> </h4>
                    <div class="card-board-content">
                     
                   <?php if($maxwheels_options['mw_show_hide_fields']['mw_street'] == 1) { ?>
                  <div class="theme-row get-loc">
                     <label><?php echo maxwheels_strings('mw_addr_field_txt'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_street'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                     <input type="text" name="street-address" id="mw_address" placeholder="<?php echo maxwheels_strings('mw_addr_field_place'); ?>" value="<?php echo esc_attr($address); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_street'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo maxwheels_strings('mw_req_street_addr'); ?>" <?php } ?>/>
                    <?php echo ' '.$location_icon; ?>
                     </span>
                  </div>
                  <?php } ?>
                  <div class="row">
                 	 <?php if($maxwheels_options['mw_show_hide_fields']['mw_map'] == 1 && maxwheels_strings('mw_opt_enable_map') == '1') { ?>
                     <div class="col-md-8">
                     	<div class="submit-propert-map">
                            <div id="mw_map"></div>
                        </div>
                     </div>
                     <div class="col-md-4 submit-propert-cord">
                        <div class="theme-row">
                           <label><?php echo maxwheels_strings('mw_addr_coordinates'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_coordinates'] == 1) {  ?><span>*</span><?php } ?></label>
                           <span class="wrap">
                           	<input type="text" name="mw-latt" id="mw_latt" placeholder="<?php echo maxwheels_strings('mw_addr_latt'); ?>" value="<?php echo esc_attr($latt); ?>" class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_coordinates'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr__('This is a required field','maxwheels'); ?>" <?php } ?>/>
                           </span> 
                        </div>
                        <br>
                        <div class="theme-row">
                           <span class="wrap">
                           <input type="text" name="mw-long" id="mw_long" placeholder="<?php echo maxwheels_strings('mw_addr_long'); ?>" value="<?php echo esc_attr($long); ?>" class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_coordinates'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr__('This is a required field','maxwheels'); ?>" <?php } ?>/>
                           </span> 
                        </div>
                     </div>
 					<?php } ?>
                  </div>
                  <div class="row">
                     <?php if($maxwheels_options['mw_show_hide_fields']['mw_location'] == 1) { ?>
                     <div class="col-md-6">
                        <div class="theme-row">
                           <label><?php echo maxwheels_strings('mw_addr_country'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_location'] == 1) {  ?><span>*</span><?php } ?></label>
                           <span class="wrap">
                              <select class="theme-selects"  placeholder="<?php echo maxwheels_strings('mw_addr_country_place'); ?>" name="locations" <?php if($maxwheels_options['mw_required_fields']['mw_location'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr__('This is a required field','maxwheels'); ?>" <?php } ?>>
                                 <?php maxwheels_framework_terms_options('mw-location' , $location); ?>
                              </select>
                           </span>
                        </div>
                     </div>
                     <?php } ?>
                  </div>
                    </div>
                </div>
            </div>
            <?php } ?>    
              <div class="custom-card-board">
                  <div class="d-flex">
                     <input type="hidden" name="is_edit" id="is_edit" value="<?php echo esc_attr($is_edit); ?>">
                     <input type="hidden" name="listing_id" id="listing_id" value="<?php echo esc_attr($listing_id); ?>"> 
                       <?php if(isset($_SESSION) && isset($_SESSION['listing-id']) && $_SESSION['listing-id']!='' || isset($_GET) && isset($_GET['edit_listing']) && $_GET['edit_listing']!='')
                       {
                            $link =  maxwheels_framework_get_link('page-submit-listings.php').'?edit_listing='.esc_attr($listing_id).'';
                        ?>
                      <a class="text-success mt-10" href="<?php echo esc_url($link); ?>"><i class="fas fa-long-arrow-alt-left"></i> <?php echo esc_html__('Back','maxwheels'); ?> </a>
                      <?php } ?>
                      <button type="submit" class="btn btn-theme sonu-button ms-auto" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo maxwheels_strings('mw_step2_btn'); ?> </button>
                  </div>      
                  </div>
            </form>    
        </div>
    </div>
  </div>
</section>