<?php
global $maxwheels_options;
$localization = maxwheels_localization();
$third_level = $second_level = $first_level = $type       = $parent_category = $total_levels  = $registration = $owners = $enginesize = $city = $highway = $keys     = $interior = $extrtior = $drive = $mileage = $price   = $plate = $vin = $fuel = $transmission = $bodytype = $years = $conditions = $listing_id = $fetch_custom_data = $image_id = '';
$class_three = $class_two = $class_one = 'none';
$categories = array();
$is_edit = 'no';
$cust_display = 'none';
$post_title='';
$selected_custom_data ='';
if(isset($_SESSION) && isset($_SESSION['listing-id']) && $_SESSION['listing-id']!='' || isset($_GET) && isset($_GET['edit_listing']) && $_GET['edit_listing']!='')
{
    $is_edit = 'no';
    if(isset($_SESSION['listing-id']) && $_SESSION['listing-id']!='')
    {
        if(isset($_GET['edit_listing']) && $_GET['edit_listing']!='')
        {
            $is_edit = 'yes';
            $listing_id = $_GET['edit_listing'];
        }
        else
        {
           $listing_id = $_SESSION['listing-id'];
        }
    }
    else
    {
        $is_edit = 'yes';
        $listing_id = $_GET['edit_listing'];
    }


    $post_title = get_the_title( $listing_id );
    $post_title = isset($post_title) ? $post_title : '';
    $conditions = get_post_meta($listing_id, 'mw_condition', true);
    $years      = get_post_meta($listing_id, 'mw_year', true);
    $bodytype   = get_post_meta($listing_id, 'mw_bodytype', true);
    $transmission = get_post_meta($listing_id, 'mw_transmission', true);
    $fuel       = get_post_meta($listing_id, 'mw_fueltype', true);
    $plate      = get_post_meta($listing_id, 'mw_numberplate', true);
    $vin        = get_post_meta($listing_id, 'mw_vin_number', true);
    $registration = get_post_meta($listing_id, 'mw_registration', true);
    $price      = get_post_meta($listing_id, 'mw_price', true);
    $mileage    = get_post_meta($listing_id, 'mw_mileage', true);
    $drive      = get_post_meta($listing_id, 'mw_drive', true);
    $extrtior   = get_post_meta($listing_id, 'mw_extrtior', true);
    $interior   = get_post_meta($listing_id, 'mw_interior', true);
    $keys       = get_post_meta($listing_id, 'mw_keys', true);
    $highway    = get_post_meta($listing_id, 'mw_highway', true);
    $city       = get_post_meta($listing_id, 'mw_city', true);
    $enginesize = get_post_meta($listing_id, 'mw_enginesize', true);
    $owners     = get_post_meta($listing_id, 'mw_owners', true);
	$type       = get_post_meta($listing_id, 'mw_type', true);
    $categories = array();
    $categories =  maxwheels_framework_getlevel_terms($listing_id, 'ID');

    if ( ! is_wp_error( $categories ) && is_array($categories) && count($categories) > 0)
    {
        $total_levels = count($categories);
        if ($total_levels >= 1) 
        {
           $parent_category =  $categories[0]['slug'];
        }
        if ($total_levels >= 2) 
        {
             $class_one = 'custom-display';
             $first_level = maxwheels_framework_more_levels($categories[0]['slug'],'mw-category',$categories[1]['slug']);
        }
        if ($total_levels >= 3) 
        {
             $class_two = 'custom-display';
             $second_level = maxwheels_framework_more_levels($categories[1]['slug'],'mw-category',$categories[2]['slug']);
        }
        if ($total_levels >= 4) 
        {
             $class_three = 'custom-display';
             $third_level = maxwheels_framework_more_levels($categories[2]['slug'],'mw-category',$categories[3]['slug']);
        }
    } 
	
	 if(class_exists('ACF'))
	 {
		 $selected_custom_data = maxwheels_framework_fields_by_listing_id($listing_id);
		 if(is_array($selected_custom_data) && !empty($selected_custom_data))
		 {
			$cust_display = '';
			$fetch_custom_data = $selected_custom_data;
		 }
	}
}
?>
<section class="submit-my-listings custom-padding light-bg">
  <div class="container">
    <div class="row align-items-center h-100">
        <div class="col-xl-9 col-xxl-9 col-md-12 col-sm 12 col-12 mx-auto">
            <div class="f-title-sec">
            <h3><?php echo maxwheels_strings('mw_step1_section'); ?></h3>
                <p><?php echo esc_html__('Items marked with * are required fields.','maxwheels'); ?></p>
            </div>    
            
            <form class="my-form" name="mw_submission" method="POST" id="mw_submission">
            <div class="custom-card-board">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-list"></i> <?php echo maxwheels_strings('mw_car_details_section_heading'); ?></h4>
                </div>
                <div class="card-board-content all-mw-makes">
                    <?php  if($maxwheels_options['mw_auto_generated_title'] == 0) { ?>
                        <div class="theme-row ">
                        <label><?php echo maxwheels_strings('mw_main_title'); ?> *</label>
                        <span class="wrap">
                           <input type="text" data-sanitize="trim" name="listing-title" placeholder="<?php echo maxwheels_strings('mw_main_placeholder'); ?>" value="<?php echo esc_attr($post_title); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_list_title'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?> />
                     </span>
                    </div>
                    <?php } ?>
                <div class="theme-row mw-1">
                     <label><?php echo maxwheels_strings('mw_cat1_title'); ?> *</label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim" data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat1_title'); ?>" name="cat-parent" id="cat_parent" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>">
                          <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                          <?php maxwheels_framework_terms_parents('mw-category' , $parent_category); ?>
                        </select>
                     </span>
                  </div>
                    <?php if($maxwheels_options['mw_show_hide_fields']['mw_subcats'] == 1) { ?> 
                    <div class="theme-row <?php echo esc_attr($class_one); ?> mw-2" id="cat-level-1" >
                     <label><?php echo maxwheels_strings('mw_cat2_title'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim" id="level-1"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat2_title'); ?>" name="level-1" <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                            <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php echo maxwheels_strings('',$first_level); ?>
                        </select>
                     </span>
                  </div>
                    
                    <div class="theme-row <?php echo esc_attr($class_two); ?> mw-3" id="cat-level-2">
                     <label><?php echo maxwheels_strings('mw_cat3_title'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat3_title'); ?>" id="level-2" name="level-2" <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                            <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php echo maxwheels_strings('',$second_level); ?>
                        </select>
                     </span>
                  </div>
                    
                    <div class="theme-row <?php echo esc_attr($class_three); ?>" id="cat-level-3">
                     <label><?php echo maxwheels_strings('mw_cat4_title'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_cat4_title'); ?>" id="level-3" name="level-3" <?php if($maxwheels_options['mw_required_fields']['mw_subcats'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                        <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php echo maxwheels_strings('',$third_level); ?>
                        </select>
                     </span>
                  </div>
                    <?php } ?>
                    <?php if($maxwheels_options['mw_show_hide_fields']['mw_condition'] == 1) { ?>
                    <div class="theme-row">
                     <label><?php echo maxwheels_strings('mw_condition_title'); ?> <?php if($maxwheels_options['mw_required_fields']['mw_condition'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" name="conditions" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_condition_title'); ?>"  <?php if($maxwheels_options['mw_required_fields']['mw_condition'] == 1) {  ?> data-validation="required"  data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                          <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                          <?php maxwheels_framework_terms_parents('mw-condition' , $conditions); ?>
                        </select>
                     </span>
                  </div>
                    <?php } ?>
                    <?php if($maxwheels_options['mw_show_hide_fields']['mw_year'] == 1) { ?>
                    <div class="theme-row">
                     <label><?php echo maxwheels_strings('mw_year_title'); ?><?php if($maxwheels_options['mw_required_fields']['mw_year'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_year_title'); ?>" name="year" <?php if($maxwheels_options['mw_required_fields']['mw_year'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                            <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                          <?php maxwheels_framework_terms_parents('mw-year' ,$years); ?>
                        </select>
                     </span>
                  </div>
                    <?php } ?>
                    <?php if($maxwheels_options['mw_show_hide_fields']['mw_bodytype'] == 1) { ?>
                    <div class="theme-row">
                     <label><?php echo maxwheels_strings('mw_body_title'); ?><?php if($maxwheels_options['mw_required_fields']['mw_bodytype'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim" data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_body_title'); ?>" name="bodytype" <?php if($maxwheels_options['mw_required_fields']['mw_bodytype'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                            <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                          <?php maxwheels_framework_terms_parents('mw-bodytype' , $bodytype); ?>
                        </select>
                     </span>
                  </div>
                    <?php } ?>
                    <?php if($maxwheels_options['mw_show_hide_fields']['mw_transmission'] == 1) { ?>
                    <div class="theme-row">
                     <label><?php echo maxwheels_strings('mw_transmission_title'); ?><?php if($maxwheels_options['mw_required_fields']['mw_transmission'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_transmission_title'); ?>" name="transmission" <?php if($maxwheels_options['mw_required_fields']['mw_transmission'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                            <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php maxwheels_framework_terms_parents('mw-transmission' , $transmission); ?>
                        </select>
                     </span>
                  </div>
                    <?php } ?>
                    <?php if($maxwheels_options['mw_show_hide_fields']['mw_fuel'] == 1) { ?>
                    <div class="theme-row">
                     <label><?php echo maxwheels_strings('mw_fuel_title'); ?><?php if($maxwheels_options['mw_required_fields']['mw_fuel'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_fuel_title'); ?>" name="fuel" <?php if($maxwheels_options['mw_required_fields']['mw_fuel'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                            <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                          <?php maxwheels_framework_terms_parents('mw-fuel' , $fuel); ?>
                        </select>
                     </span>
                  </div>
                    <?php } ?>
                </div>

            </div>
			<div class="custom-card-board mx-custom-fields <?php echo esc_attr($cust_display); ?>">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-bars"></i> <?php echo esc_html__('Custom Fields','maxwheels'); ?></h4>
                    <div class="card-board-content">
						<div id="dynamic-custom-fields">
							<?php
                            if(is_array($selected_custom_data) && !empty($selected_custom_data)) {
                                if ($is_edit == 'yes' && $listing_id != '' && class_exists('ACF')) {
                                    $custom_fields_html = apply_filters('maxwheels_framework_acf_frontend_html', '', $selected_custom_data);
                                    echo maxwheels_strings('true', $custom_fields_html);
                                }
                            }
							 ?>
						</div>
					</div>
				</div>
			</div>
				
            <?php if($maxwheels_options['mw_show_hide_fields']['mw_plate'] == 1 || $maxwheels_options['mw_show_hide_fields']['mw_vin'] == 1 ||  $maxwheels_options['mw_show_hide_fields']['mw_registration'] == 1 ) { ?>
            <div class="custom-card-board vin-info">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-bars"></i> <?php echo maxwheels_strings('mw_reg_section_title'); ?></h4>
                    <div class="card-board-content">
                        <p><?php echo maxwheels_strings('mw_reg_section_note'); ?></p>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_plate'] == 1) { ?>
                        <div class="theme-row">
                           <span class="wrap">
                           <input type="text" data-sanitize="trim" name="plate" placeholder="<?php echo maxwheels_strings('mw_plate_number'); ?>" value="<?php echo esc_attr($plate); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_plate'] == 1) {  ?> data-validation="required"  data-validation-error-msg="<?php echo maxwheels_strings('mw_req_asize'); ?>" <?php } ?> />
                           </span> 
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_vin'] == 1) { ?>
                        <div class="theme-row">
                           <span class="wrap">
                               <button type="button" class="ajax-spinner fas fa-info-circle no-btn" data-bs-toggle="modal" data-bs-target="#vinModalCenter"></button>
                           <input type="text" data-sanitize="trim" name="vin" placeholder="<?php echo maxwheels_strings('mw_vn_place'); ?>" value="<?php echo esc_attr($vin); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_vin'] == 1) {  ?> data-validation="required" data-validation-error-msg="<?php echo maxwheels_strings('mw_req_asize'); ?>" <?php } ?> />
                           </span> 
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_registration'] == 1) { ?>
                        <div class="theme-row">
                           <span class="wrap">
                           <input type="text" data-sanitize="trim" name="registration" placeholder="<?php echo maxwheels_strings('mw_registerd_place'); ?>"  data-date-format="dd MM yyyy" value="<?php echo esc_attr($registration); ?>"  class="form-control prop-datepicker" <?php if($maxwheels_options['mw_required_fields']['mw_registration'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo maxwheels_strings('mw_req_built'); ?>" <?php } ?>/>
                           </span> 
                        </div>
                        <?php } ?>
                </div>
            </div>
            </div>
            <?php } ?> 
                <?php if($maxwheels_options['mw_show_hide_fields']['mw_askprice'] == 1 || $maxwheels_options['mw_show_hide_fields']['mw_mileage'] == 1 ||  $maxwheels_options['mw_show_hide_fields']['mw_drive'] == 1 || $maxwheels_options['mw_show_hide_fields']['mw_exterior'] == 1 || $maxwheels_options['mw_show_hide_fields']['mw_interior'] == 1) { ?>
            <div class="custom-card-board">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-bars"></i> <?php echo maxwheels_strings('mw_carspecs_type'); ?></h4>
                    <div class="card-board-content">
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_askprice'] == 1) { ?>
                        <div class="theme-row">
                            <div class="input-group input-group-sm">
                              <div class="input-group-prepend">
                                <span class="input-group-text"><span class="zero-auto"><?php echo maxwheels_strings('mw_single_currency'); ?></span></span>
                              </div>
                                <input type="text" name="price" data-sanitize="trim" placeholder="<?php echo maxwheels_strings('mw_price_field'); ?>" value="<?php echo esc_attr($price); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_askprice'] == 1) {  ?> data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo maxwheels_strings('mw_req_asize'); ?>" <?php } ?> />
                            </div>
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_mileage'] == 1) { ?>
                        <div class="theme-row">
                            <div class="input-group input-group-sm">
                          <div class="input-group-prepend">
                              <span class="input-group-text" ><span class="zero-auto"><?php echo maxwheels_strings('mw_car_mileage_unit'); ?></span></span>
                          </div>
                           <input type="text" name="mileage" data-sanitize="trim" placeholder="<?php echo maxwheels_strings('mw_mileage_field'); ?>" value="<?php echo esc_attr($mileage); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_mileage'] == 1) {  ?> data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo maxwheels_strings('mw_req_asize'); ?>" <?php } ?> />
</div>
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_drive'] == 1) { ?>
                        <div class="theme-row">
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_drive_field'); ?>" name="drive" <?php if($maxwheels_options['mw_required_fields']['mw_drive'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                          <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php maxwheels_framework_terms_parents('mw-drive' , $drive); ?>
                        </select>
                     </span>
                  </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_exterior'] == 1) { ?>
                        <div class="theme-row">
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_exterioe_field'); ?>" name="extrtior" <?php if($maxwheels_options['mw_required_fields']['mw_exterior'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                          <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php maxwheels_framework_terms_parents('mw-exterior-color' ,$extrtior); ?>
                        </select>
                     </span>
                  </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_interior'] == 1) { ?>
                        <div class="theme-row">
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo esc_attr__('Select','maxwheels').' '.maxwheels_strings('mw_interior_field'); ?>" name="interior" <?php if($maxwheels_options['mw_required_fields']['mw_interior'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                          <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php maxwheels_framework_terms_parents('mw-interior-color' , $interior); ?>
                        </select>
                     </span>
                  </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
                <?php } ?>
            <?php if($maxwheels_options['mw_show_hide_fields']['mw_keys'] == 1 || $maxwheels_options['mw_show_hide_fields']['mw_highway'] == 1 ||  $maxwheels_options['mw_show_hide_fields']['mw_city'] == 1 ||  $maxwheels_options['mw_show_hide_fields']['mw_enginesize'] == 1 ||  $maxwheels_options['mw_show_hide_fields']['mw_owners'] == 1 ||  $maxwheels_options['mw_show_hide_fields']['mw_type'] == 1) { ?>    
            <div class="custom-card-board">
                <div class="card-board-heading">
                    <h4><i class="card-board-icon fas fa-key"></i> <?php echo maxwheels_strings('mw_info_heading'); ?></h4>
                    <div class="card-board-content">
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_keys'] == 1) { ?>
                        <div class="theme-row">
                            <label><?php echo maxwheels_strings('mw_no_keys'); ?><?php if($maxwheels_options['mw_required_fields']['mw_keys'] == 1) {  ?><span>*</span><?php } ?></label>
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo maxwheels_strings('mw_no_keys'); ?>" name="keys" <?php if($maxwheels_options['mw_required_fields']['mw_keys'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                          <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <option value="1" <?php selected('1', $keys);?>>1</option>
                            <option value="2" <?php selected('2', $keys);?>>2</option>
                            <option value="3" <?php selected('3', $keys);?>>3+</option>
                        </select>
                     </span>
                  </div>
                        <?php } ?>
						<div class="row">
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_highway'] == 1) { ?>
						<div class="col">	 
                        	<div class="theme-row">
                           <div class="input-group input-group-sm">
                          <div class="input-group-prepend">
                              <span class="input-group-text" ><span class="zero-auto"><?php echo maxwheels_strings('mw_average_unit'); ?></span></span>
                          </div>
                           <input type="text" name="highway" data-sanitize="trim" placeholder="<?php echo maxwheels_strings('mw_highway_field'); ?>" value="<?php echo esc_attr($highway); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_highway'] == 1) {  ?> data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo maxwheels_strings('mw_req_asize'); ?>" <?php } ?> />
                           </div> 
                        </div>
						</div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_city'] == 1) { ?>
							<div class="col">	
                       			 <div class="theme-row">
                           <div class="input-group input-group-sm">
                          <div class="input-group-prepend">
                              <span class="input-group-text" ><span class="zero-auto"><?php echo maxwheels_strings('mw_average_unit'); ?></span></span>
                          </div>
                           <input type="text" name="city" data-sanitize="trim" placeholder="<?php echo maxwheels_strings('mw_cityhway_field'); ?>" value="<?php echo esc_attr($city); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_city'] == 1) {  ?> data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo maxwheels_strings('mw_req_asize'); ?>" <?php } ?> />
                           </div> 
                        </div>
							</div>
                        <?php } ?>
						</div>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_enginesize'] == 1) { ?>
                        <div class="theme-row">
                           <div class="input-group input-group-sm">
                          <div class="input-group-prepend">
                              <span class="input-group-text" ><span class="zero-auto"><?php echo maxwheels_strings('mw_enginesize_unit'); ?></span></span>
                          </div>
                           <input type="text" name="enginesize" data-sanitize="trim" placeholder="<?php echo maxwheels_strings('mw_enginesize_field'); ?>" value="<?php echo esc_attr($enginesize); ?>"  class="form-control text" <?php if($maxwheels_options['mw_required_fields']['mw_enginesize'] == 1) {  ?> data-validation="number" data-validation-allowing="number" data-validation-error-msg="<?php echo maxwheels_strings('mw_req_asize'); ?>" <?php } ?> />
                           </div> 
                        </div>
                        <?php } ?>
                        <?php if($maxwheels_options['mw_show_hide_fields']['mw_owners'] == 1) { ?>
                        <div class="theme-row">
                     <span class="wrap">
                        <select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo maxwheels_strings('mw_owners_field'); ?>" name="owners" <?php if($maxwheels_options['mw_required_fields']['mw_owners'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
                          <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
                            <?php maxwheels_framework_terms_parents('mw-owners' ,$owners); ?>
                        </select>
                     </span>
                  </div>
                        <?php } ?>
						<?php if($maxwheels_options['mw_show_hide_fields']['mw_type'] == 1) { ?>
						<div class="theme-row">
							 <span class="wrap">
								<select class="theme-selects" data-sanitize="trim"  data-placeholder="<?php echo maxwheels_strings('mw_field_type'); ?>" name="type" <?php if($maxwheels_options['mw_required_fields']['mw_type'] == 1) {  ?> data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" <?php } ?>>
								  <option value=""><?php echo esc_html__('Select an Option','maxwheels'); ?></option>
									<?php maxwheels_framework_terms_parents('mw-Labels' ,$type); ?>
								</select>
							 </span>
                  		</div>
						<?php } ?>
                    </div>
                </div>
            </div>
            <?php } ?>    
                <div class="custom-card-board">
                    <div class="d-flex">
                         <input type="hidden" name="is_edit" id="is_edit" value="<?php echo esc_attr($is_edit); ?>">
                         <input type="hidden" name="listing_id" id="listing_id" value="<?php echo esc_attr($listing_id); ?>">
                         <?php if(isset($_SESSION) && isset($_SESSION['listing-id']) && $_SESSION['listing-id']!='' || isset($_GET) && isset($_GET['edit_listing']) && $_GET['edit_listing']!='')
{
                            $link =  maxwheels_framework_get_link('page-submit-listings-step2.php').'?edit_listing='.esc_attr($listing_id).'';
                         ?>
                         <a class="text-success mt-10" href="<?php echo esc_url($link); ?>"> <?php echo esc_html__('Step 2','maxwheels'); ?> <i class="fas fa-long-arrow-alt-right"></i></a>
                        <?php } ?>
                        <button type="submit" class="btn btn-theme sonu-button  ms-auto" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo maxwheels_strings('mw_step1_btn'); ?></button>
                    </div>
                </div>
            </form>
        </div>
    </div>
  </div>
</section>