<?php 
$container_class = 'container';
if(maxwheels_strings('mw_top_container') == 2)
{
	$container_class = 'container-fluid';
}
?>
<div class="topbar-3">
	 <div class="<?php echo esc_attr($container_class); ?>">
	  <div class="topbar-inner">
		<div class="row">
		  <div class="col-12">
			<div class="d-block d-md-flex">
			  <?php if(!empty(maxwheels_currency_switcher())) { ?>	
			  <div class="me-3 d-inline-block currency-dropdown">
				<?php echo maxwheels_currency_switcher(); ?>
			  </div>
			  <?php } ?>
			  <?php if(!empty(maxwheels_strings('mw_top_email'))) { ?>	
			  <div class="me-3 d-inline-block">
				<a href="mailto:<?php echo esc_url(maxwheels_strings('mw_top_email')); ?>"><i class="far fa-paper-plane mr-2"></i><?php echo esc_html(maxwheels_strings('mw_top_email')); ?></a>
			  </div>
			  <?php } ?>
			  <?php if(!empty(maxwheels_strings('mw_top_contactno'))) { ?>	
			  <div class="me-3 d-inline-block">
				<a href="tel:<?php echo str_replace(" ", "", maxwheels_strings('mw_top_contactno')); ?>"><i class="fas fa-phone-alt mr-2"></i><?php echo esc_html(maxwheels_strings('mw_top_contactno')); ?></a>
			  </div>
			  <?php } ?>
			  <?php if(!empty(maxwheels_strings('mw_top_hours'))) { ?>	
			  <div class="d-inline-block mw-woking-hours d-sm-none d-md-block d-lg-block d-xl-block d-xxl-block">
				<span><i class="mr-2 far fa-clock"></i><?php echo esc_html(maxwheels_strings('mw_top_hours')); ?></span>
			  </div>
			  <?php } ?>
			  <?php
				if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
				{
					$social_links = array();	
					$social_links = maxwheels_framework_social_links();
					if(!empty($social_links) && is_array($social_links) && count($social_links) > 0)
					{
						$allowed_html = maxwheels_allowed_html();
				?>	
				<div class="social-linked d-inline-block ms-auto d-sm-none d-md-none d-lg-block d-xl-block d-xxl-block">
					<ul class="list-inline">
					<?php
					foreach($social_links as $social)
					{
					?>	
						<li class="list-inline-item"><a href="<?php echo esc_url($social['url']); ?>" target="_blank"><?php echo wp_kses($social['icon'],$allowed_html); ?></a></li>
					<?php
					}
					?>
					</ul>
			  </div>
				<?php
				  }
				}
				?>
			</div>
		  </div>
		</div>
	  </div>
	</div>
</div>