<?php 
$container_class = 'container';
if(maxwheels_strings('mw_top_container') == 2)
{
	$container_class = 'container-fluid';
}
if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) 
{
?>
<div class="shop-top-header d-none d-md-block">
        <div class="<?php echo esc_attr($container_class); ?>">
            <div class="row align-items-center">
                <div class="col-lg-7 col-md-8">
                	<div class="shop-top-header-left">
                    	<div class="shop-top-header-left-offer">
							<?php if(!empty(maxwheels_strings('mw_shoptagline')))
							{
								echo maxwheels_strings('mw_shoptagline');
						    } 
							?>
                        </div>
						<?php if(!empty(maxwheels_strings('mw_app_text')) || !empty(maxwheels_strings('mw_app_link_android')) || !empty(maxwheels_strings('mw_app_link_ios'))) { ?>
                        <div class="shop-top-header-apps">
							<?php if(!empty(maxwheels_strings('mw_app_text'))) {?>
                            <span><?php echo maxwheels_strings('mw_app_text'); ?></span>
							<?php } ?>
							<?php if(!empty(maxwheels_strings('mw_app_link_android')) || !empty(maxwheels_strings('mw_app_link_ios'))) {?>
                            <ul class="shop-top-header-apps-list">
								<?php if(!empty(maxwheels_strings('mw_app_link_android'))) {?>
								<li><a href="<?php echo esc_url(maxwheels_strings('mw_app_link_android')); ?>"><i class="fab fa-android"></i></a></li>
								<?php } ?>
								<?php if(!empty(maxwheels_strings('mw_app_link_android'))) {?>
								<li><a href="<?php echo esc_url(maxwheels_strings('mw_app_link_android')); ?>"><i class="fab fa-apple"></i></a></li>
								<?php } ?>
                            </ul>
							<?php } ?>
                        </div>
						<?php } ?>
                    </div>
                </div>
                <div class="col-lg-5 col-md-4">
                	<div class="shop-top-header-right d-flex flex-wrap justify-content-center align-items-center justify-content-sm-end">
				  <?php	
					if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
					{
						$signuplink  = maxwheels_framework_get_link('page-signup.php');
						$signupin    = maxwheels_framework_get_link('page-signin.php');
					?>		
					  <ul class="logged-user-profile">
						<?php
							$pages = array();
							$pages = maxwheels_strings('mw_top_pages');
							if(!empty($pages) && is_array($pages))
							{
								foreach($pages as $page)
								{
								?>	 
								<li><a href="<?php echo esc_url(get_the_permalink($page)); ?>"><?php echo get_the_title($page); ?></a></li>
								<?php
								}
							 }
							?>
						  <?php if (!is_user_logged_in()) { ?>
						   <li>
							   <a href="<?php echo esc_url($signupin); ?>"><i class="fas fa-lock"></i><?php echo esc_html__('Log In','maxwheels'); ?></a> 
							   <span class="mw-orr">or</span>
							  <a href="<?php echo esc_url($signuplink); ?>"><i class="fas fa-user"></i><?php echo esc_html__('Sign Up','maxwheels'); ?></a>
						  </li>
						  <?php } ?>
						  <?php if (is_user_logged_in()) { 
							$local = maxwheels_localization();
							$image_id = '';
							$dashboard_page = '#';
							$dashboard_page = maxwheels_framework_get_link('page-dashboard.php');
							
						?>
						  <li class="nav-item nav-profile dropdown">
							<a class="dropdown-toggle" href="#" data-bs-toggle="dropdown" id="authDropdown"><i class="far fa-user-circle"></i><?php echo esc_html__('My Account','maxwheels'); ?></a>
							<div class="dropdown-menu dropdown-menu-right navbar-dropdown profile-top" aria-labelledby="authDropdown">
								<a href="<?php echo esc_url($dashboard_page); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>  <?php echo esc_html($local['dashboard']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=my-profile'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
										<circle cx="12" cy="7" r="4"></circle>
									</svg> <?php echo esc_html($local['profile']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=publish'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<circle cx="12" cy="12" r="3"></circle>
										<path d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>
									</svg> <?php echo esc_html($local['my_properties']); ?></a>

								<a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
										<polyline points="16 17 21 12 16 7"></polyline>
										<line x1="21" y1="12" x2="9" y2="12"></line>
									</svg> <?php echo esc_html($local['logout']); ?></a>
							</div>
						</li>
						  <?php } ?>
					  </ul>
				  <?php
					}
					?>		
                </div>
                </div>
            </div>
        </div>
    </div>
<?php
}
?>