<?php
/**
 * Show messages
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/notices/success.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! $notices ) {
	return;
}

?>
<div class="alert custom-alert custom-alert--success" role="alert">
  <div class="custom-alert__top-side d-flex align-items-center">
	<span class="alert-icon custom-alert__icon fas fa-check-circle"></span>
	<div class="custom-alert__body d-flex w-100">
	  <div class="custom-alert__content d-flex w-100 align-items-center">
	  <?php foreach ( $notices as $notice ) : ?>
		<?php echo wc_kses_notice( $notice['notice'] ); ?>
	  <?php endforeach; ?>
	  </div>
	</div>
  </div>
</div>