<?php
// Theme localization Fields
if( !function_exists('maxwheels_localization') )
{
    function maxwheels_localization()
	{
		global $localization;
        $localization = array
	    (
		    'keyword' => esc_html__('Keyword','maxwheels'),
	   		'dealer_name' => esc_html__('Dealer Name','maxwheels'),
			'my_mob' => esc_html__('Mobile Number','maxwheels'),
			'my_whatsapp' => esc_html__('WhatsApp Number','maxwheels'),
			'my_weburl' => esc_html__('Website Url','maxwheels'),
			'my_dealer_loc' => esc_html__('Dealer Location','maxwheels'),
			'my_about_dealer' => esc_html__('About Dealer','maxwheels'),
			'social_media' => esc_html__('Social Media','maxwheels'),
			'working_hours' => esc_html__('Working Hours','maxwheels'),
			'account_settings' => esc_html__('Account Settings','maxwheels'),
			'desc' => esc_html__('Description Box','maxwheels'),
			'gallery' => esc_html__('Gallery','maxwheels'),
			'zip_code' => esc_html__('Zipcode','maxwheels'),
			'street_location' => esc_html__('Street Address','maxwheels'),
			'map' => esc_html__('Map','maxwheels'),
			'coordinates' => esc_html__('Coordinates','maxwheels'),
			'location' => esc_html__('Location (Country / State / Town)','maxwheels'),
			'pass_required' => esc_html__('Please choose a password with at least 3-12 characters.','maxwheels'),
			'dashboard' => esc_html__('Dashboard','maxwheels'),
			'profile' => esc_html__('My Profile','maxwheels'),
			'my_fb' => esc_html__('Facebook URL','maxwheels'),
			'my_tw' => esc_html__('Twitter URL','maxwheels'),
			'my_ln' => esc_html__('LinkedIn URL','maxwheels'),
			'my_insta' => esc_html__('Instagram URL','maxwheels'),
			'fav_prop' 	=>   esc_html__('Favorites Listings','maxwheels'),
			'my_expiry' => esc_html__('Expire On','maxwheels'),
			'my_you' => esc_html__('Youtube URL','maxwheels'),
			'my_pint' => esc_html__('Pinterest URL','maxwheels'),
			'my_addr' => esc_html__('Address','maxwheels'),
			'my_coord' => esc_html__('Coordinates','maxwheels'),
			'dealer_loc' => esc_html__('Dealer Location','maxwheels'),
			'save_changes' => esc_html__('Save Changes','maxwheels'),
			'request' => esc_html__('Request','maxwheels'),
			'my_profile' => esc_html__('My Profile','maxwheels'),
			'my_properties' => esc_html__('My Listings','maxwheels'),
			'ad_property' => esc_html__('Add New Property','maxwheels'),
			'pub' => esc_html__('Published','maxwheels'),
			'pend' => esc_html__('Pending','maxwheels'),
			'feat' => esc_html__('Featured','maxwheels'),
			'exp' => esc_html__('Expired','maxwheels'),
            'sold' => esc_html__('Sold','maxwheels'),
			'a_listing' => esc_html__('Search listing','maxwheels'),
			'action' => esc_html__('Action','maxwheels'),
			'price' => esc_html__('Price','maxwheels'),
			'listed_in' => esc_html__('Listed In','maxwheels'),
			'listing' => esc_html__('Listing','maxwheels'),
			'publish' => esc_html__('Published Listings','maxwheels'),
			'expired' => esc_html__('Expired Listings','maxwheels'),
			'pending' => esc_html__('Pending Listings','maxwheels'),
			'featured' => esc_html__('Featured Listings','maxwheels'),
            'msold' => esc_html__('Sold Listings','maxwheels'),
			'approval' => esc_html__(' Approval Required!','maxwheels'),
			'approval_notify' => esc_html__('Waiting for admin approval. ','maxwheels'),
			'agents' => esc_html__('Agents','maxwheels'),
			'agent_name' => esc_html__('Agent Name','maxwheels'),
			'display_name' => esc_html__('Display Name','maxwheels'),
			'add_new_agent' => esc_html__('Add New Agent','maxwheels'),
			'view_all_agent' => esc_html__('View All Agent','maxwheels'),
			'username' => esc_html__('Username','maxwheels'),
			'email' => esc_html__('Email','maxwheels'),
			'agent_type' => esc_html__('Agent Type','maxwheels'),
			'agent_type_req' => esc_html__('Agent type is required.','maxwheels'),
			'contact_num' => esc_html__('Mobile Number','maxwheels'),
			'pass' => esc_html__('Password','maxwheels'),
			'u_required' => esc_html__('Username is required.','maxwheels'),
			'submit' => esc_html__('Submit','maxwheels'),
			'feat_img' => esc_html__('Featured Image','maxwheels'),
			'edit_pass' => esc_html__('Edit Password','maxwheels'),
			'current_pass' => esc_html__('Current Password','maxwheels'),
			'new_pass' => esc_html__('New Password','maxwheels'),
			'conf_pass' => esc_html__('Confirm Password','maxwheels'),
			'change_pass_btn' => esc_html__('Change My Password','maxwheels'),
			'accn_delete' => esc_html__('Account Deletion','maxwheels'),
			'accn_delete_msg' => esc_html__('If you want to delete your account your all data will be removed from this site.','maxwheels'),
			'accn_delete_btn' => esc_html__('Delete My Account','maxwheels'),
			'skype' => esc_html__('Skype','maxwheels'),
			'working_hours' => esc_html__('Working Hours','maxwheels'),
			'home' => esc_html__('Home','maxwheels'),
			'page' => esc_html__('Page','maxwheels'),
			'off' => esc_html__('of','maxwheels'),
			'user_type' => esc_html__('User Type','maxwheels'),
			'all_fields_error' 	=>   esc_html__('All fields are required.','maxwheels'),
			'logout' 	=>   esc_html__('Logout','maxwheels'),
			'signup' 	=>   esc_html__('Sign Up','maxwheels'),
			'log' 	=>   esc_html__('Sign In','maxwheels'),
			'or_reg' 	=>   esc_html__('Or Register With','maxwheels'),
			'or_log' 	=>   esc_html__('Or Login With','maxwheels'),
			'processing' 	=>   esc_html__('Processing...','maxwheels'),
			'google' 	=>   esc_html__('Google','maxwheels'),
			'fb' 	=>   esc_html__('Facebook','maxwheels'),
			'details' 	=>   esc_html__('View Detials','maxwheels'),
			'price' 	=>   esc_html__('Price','maxwheels'),
			'mw_additional' 	=>   esc_html__('Additional Detials','maxwheels'),
			'review_title' 	=>   esc_html__('Review Title','maxwheels'),
			'your_review' 	=>   esc_html__('Your Review','maxwheels'),
			'review_write' 	=>   esc_html__('Write a Review','maxwheels'),
			'rating' 	=>   esc_html__('Rating','maxwheels'),
			'fav' 	=>   esc_html__('Favourite','maxwheels'),
			'favorites' 	=>   esc_html__('Favorites','maxwheels'),
			'pkgs' 	=>   esc_html__('Packages','maxwheels'),
			'plans' 	=>   esc_html__('Plans','maxwheels'),
			'lplans' 	=>   esc_html__('Listing Plans','maxwheels'),
			'pplans' 	=>   esc_html__('Profile Plans','maxwheels'),
			'compare' 	=>   esc_html__('Compare','maxwheels'),
			'member_since' 	=>   esc_html__('Member Since','maxwheels'),
			'featured_listings' 	=>   esc_html__('Featured Listings ','maxwheels'),
			'display_name' 	=>   esc_html__('Display Name','maxwheels'),
			'displayname_popover' 	=>   esc_html__('Dealer or Buyer display name eg (Dany Motors)','maxwheels'),
			'get_directions' 	=>   esc_html__('Get Directions','maxwheels'),
			'working_hours' 	=>   esc_html__('Working Hours','maxwheels'),
			'near_me' 	=>   esc_html__('Near Me','maxwheels'),
			'verified_listing' 	=>   esc_html__('Verified Listing','maxwheels'),
			'total_published' 	=>   esc_html__('Total Published','maxwheels'),
			'total_pending' 	=>   esc_html__('Total Pending','maxwheels'),
			'total_featured' 	=>   esc_html__('Total Featured','maxwheels'),
			'total_expired' 	=>   esc_html__('Total Expired','maxwheels'),
			'total_views' 	=>   esc_html__('Views','maxwheels'),
			'reviews' 	=>   esc_html__('Property Reviews','maxwheels'),
			'profile_reviews' 	=>   esc_html__('Reviews','maxwheels'),
			'submitted' 	=>   esc_html__('Submitted Reviews','maxwheels'),
			'received' 	=>   esc_html__('Received Reviews','maxwheels'),
			'invoices' 	=>   esc_html__('Invoices','maxwheels'),
			'invoice_status' 	=>   esc_html__('Status','maxwheels'),
			'invoice_transaction' 	=>   esc_html__('Transaction ID','maxwheels'),
			'invoice_total' 	=>   esc_html__('Total','maxwheels'),
			'invoice_mw_id' 	=>   esc_html__('Property ID','maxwheels'),
			'invoice_order_history' 	=>   esc_html__('Orders History','maxwheels'),
			'invoice_method' 	=>   esc_html__('Method','maxwheels'),
			'total_avg' 	=>   esc_html__('Total Average','maxwheels'),
			'total_reviews' 	=>   esc_html__('Total Reviews','maxwheels'),
			'total_stars' 	=>   esc_html__('Total Stars','maxwheels'),
			'recommendations' 	=>   esc_html__('Recommendations','maxwheels'),
			'welcome' 	=>   esc_html__('Welcome back,','maxwheels'),
			'dashboard' 	=>   esc_html__('Dashboard','maxwheels'),
			'recent_act' 	=>   esc_html__('Recent Activities','maxwheels'),
			'stock' 	=>   esc_html__('Stock ID #','maxwheels'),
			'manu_year' 	=>   esc_html__('Year of Manufacture ','maxwheels'),
			'bodytype' 	=>   esc_html__('Body Type','maxwheels'),
			'fuel' 	=>   esc_html__('Fuel','maxwheels'),
			'make' 	=>   esc_html__('Make','maxwheels'),
			'transmission' 	=>   esc_html__('Transmission','maxwheels'),
			'drive' 	=>   esc_html__('Drive','maxwheels'),
			'mileage' 	=>   esc_html__('Mileage','maxwheels'),
			'engine' 	=>   esc_html__('Engine','maxwheels'),
			'stock' 	=>   esc_html__('Stock #','maxwheels'),
			'fdealers' 	=>   esc_html__('Find Dealers','maxwheels'),
			'filter_result' 	=>   esc_html__('Filter Result','maxwheels'),
			'offer_for' 	=>   esc_html__('Make an offer for','maxwheels'),
			'schedule_drive' 	=>   esc_html__('Schedule test drive for','maxwheels'),
	   );
	   return $localization;
    }
}
add_action( 'after_theme_setup', 'maxwheels_localization' );

// Theme Error Messages
if( !function_exists('maxwheels_localization_msgs') )
{
    function maxwheels_localization_msgs()
	{
		global $messages;
        $messages = array
	    (
			'name_error' => esc_html__('Name field is required.','maxwheels'),
	   		'mob_error' => esc_html__('Please enter a valid mobile number.','maxwheels'),
			'email_error' 	=> esc_html__('You have not given a correct e-mail address.','maxwheels'),
			'whatsapp_error' 	=> esc_html__('Please enter a WhatsApp number.','maxwheels'),
			'office_no_error' 	=> esc_html__('Please enter a office number.','maxwheels'),
			'fax_error' 	=> esc_html__('Fax number is required.','maxwheels'),
			'license_error' 	=> esc_html__('License is required.','maxwheels'),
			'tax_error' 	=> esc_html__('Tax number is required.','maxwheels'),
			'web_url_error' 	=> esc_html__('Please enter a valid Website URL.','maxwheels'),
			'loc_error' 	=>   esc_html__('Location is required.','maxwheels'),
			'about_error' 	=>   esc_html__('About field is required.','maxwheels'),
			'fb_error' 	=>   esc_html__('Please enter a valid Facebook URL.','maxwheels'),
			'tw_error' 	=>   esc_html__('Please enter a valid Twitter URL.','maxwheels'),
			'ln_error' 	=>   esc_html__('Please enter a valid LinkedIn URL.','maxwheels'),
			'insta_error' 	=>   esc_html__('Please enter a valid Instagram URL.','maxwheels'),
			'you_error' 	=>   esc_html__('Please enter a valid Youtube URL.','maxwheels'),
			'pin_error' 	=>   esc_html__('Please enter a valid Pinterest URL.','maxwheels'),
			'addr_error' 	=>   esc_html__('Address field is required.','maxwheels'),
			'all_fields_error' 	=>   esc_html__('All fields are required.','maxwheels'),
			'type_error' 	=>   esc_html__('Type fields is required.','maxwheels'),
			'working_hours' 	=>   esc_html__('The working hours field is required.','maxwheels'),
			'skype' 	=>   esc_html__('The skype field is required.','maxwheels'),
			'position' 	=>   esc_html__('The position field is required.','maxwheels'),
			//You have not answered all required fields
	   );
	   return $messages;
    }
}
add_action( 'after_theme_setup', 'maxwheels_localization_msgs' );