<?php
// Theme Typography Styling
if (!function_exists('maxwheels_typo'))
{
    function maxwheels_typo()
	{
		if ( ! class_exists( 'Redux' ) ) {
       		 return;
    	}
		$navigation_clr = $bread  = $to = $from = $mw_status_type = $mw_type = $labelhex_code = $mw_label_label = $mw_label = $mw_status = $mw_status_label = ''; $active_clr  = $hover_clr   = $main_clr = $regular_clr = '';
		global $maxwheels_options;
		//theme primary color
        $main_clr = $maxwheels_options['mw_theme_clr'];
		//theme btn color
        $regular_clr = $maxwheels_options['mw_btn_plate']['regular'];
        $hover_clr   = $maxwheels_options['mw_btn_plate']['hover'];
        $active_clr  = $maxwheels_options['mw_btn_plate']['active'];
		if(isset($maxwheels_options['mw-breadsolid-color']) && $maxwheels_options['mw-breadsolid-color'] !="")
		{
			$bread   	 = $maxwheels_options['mw-breadsolid-color'];
		}
		if(isset($maxwheels_options['opt-color-gradients']['from']) && $maxwheels_options['opt-color-gradients']['from'] !="")
		{
			$from        = $maxwheels_options['opt-color-gradients']['from'];
		}
		if(isset($maxwheels_options['opt-color-gradients']['to']) && $maxwheels_options['opt-color-gradients']['to'] !="")
		{
			$to          = $maxwheels_options['opt-color-gradients']['to'];
		}
		if(isset($maxwheels_options['mw-opt-color']) && $maxwheels_options['mw-opt-color'] !="")
		{
			$navigation_clr  = $maxwheels_options['mw-opt-color'];
		}
		$btn_text_clr  = '';
		if(isset($maxwheels_options['mw_themebtn_clr']) && $maxwheels_options['mw_themebtn_clr'] !="")
		{
			$btn_text_clr  = $maxwheels_options['mw_themebtn_clr'];
		}
		$canvas = $head_clr = '';
		//header colors
		//header no 5
		if($maxwheels_options['mw-header-btnset'] == 1 && $maxwheels_options['mw_selected_header'] == 5)
		{
			$head_clr = ".mw-own-header {
				background: {$maxwheels_options['mw-solid-color']};
			}";
			if(get_post_meta( get_the_ID(), 'show_trans_header', true )!="" && get_post_meta( get_the_ID(), 'show_trans_header', true )=="1")
			{
				$head_clr = ".make-me-trans.i_am_scroll .mw-own-header {
				background: {$maxwheels_options['mw-solid-color']};
			}";
			}
			
			$canvas = ".hc-offcanvas-nav .nav-content > h2{
				background-color: {$maxwheels_options['mw-solid-color']};
			}";
			
		}
		if($maxwheels_options['mw-header-btnset'] == 2 && $maxwheels_options['mw_selected_header'] == 5)
		{
			$head_clr = ".mw-own-header {
				background: {$maxwheels_options['mw-opt-color-rgba']['rgba']};
			}";
			$canvas = ".hc-offcanvas-nav .nav-content > h2{
				background-color: {$maxwheels_options['mw-opt-color-rgba']['rgba']};
			}";
		}
		if($maxwheels_options['mw-header-btnset'] == 3 && $maxwheels_options['mw_selected_header'] == 5)
		{
			$canvas = ".hc-offcanvas-nav .nav-content > h2{
				background-color: {$from};
			}";
		}
		//header no 1
		if($maxwheels_options['mw-header-btnset'] == 1 && $maxwheels_options['mw_selected_header'] == 1)
		{
			$head_clr = ".sb-header.header-1 {
				background: {$maxwheels_options['mw-solid-color']};
			}";
		}
		if($maxwheels_options['mw-header-btnset'] == 2 && $maxwheels_options['mw_selected_header'] == 1)
		{
			$head_clr = ".sb-header.header-1 {
				background: {$maxwheels_options['mw-opt-color-rgba']['rgba']};
			}";
		}
		
		//header no 4
		if($maxwheels_options['mw-header-btnset'] == 1 && $maxwheels_options['mw_selected_header'] == 4)
		{
			$head_clr = ".sb-header.header-minimal {
				background: {$maxwheels_options['mw-solid-color']};
			}";
		}
		if($maxwheels_options['mw-header-btnset'] == 2 && $maxwheels_options['mw_selected_header'] == 4)
		{
			$head_clr = ".sb-header.header-minimal {
				background: {$maxwheels_options['mw-opt-color-rgba']['rgba']};
			}";
		}
		$canvas_clr = '';
		if($maxwheels_options['mw-header-btnset'] == 1 && $maxwheels_options['mw_selected_header'] == 'shop')
		{
			$head_clr = ".mw-shop-header {
				background: {$maxwheels_options['mw-solid-color']};
			}";
			$canvas = ".hc-offcanvas-nav .nav-content > h2{
				background-color: {$maxwheels_options['mw-solid-color']};
			}";
			$canvas_clr = ".mw-shop-header .hc-nav-trigger span, .mw-shop-header .hc-nav-trigger span::before, .mw-shop-header .hc-nav-trigger span::after {
				background: {$navigation_clr};
			}";

		}
		//top bars
		$top_1 = '';
		if($maxwheels_options['mw_show_topbar'] == true && isset($maxwheels_options['mw_topbar_style']) && $maxwheels_options['mw_topbar_style'] == 1)
		{
			$top_1= ".topbar-1 {
				background: {$maxwheels_options['mw_top_background']};
			}
			.topbar-1 ul li a{
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.currency-dropdown .select2-container--classic .select2-selection--single .select2-selection__placeholder {
    			color: {$maxwheels_options['mw_top_nav_clr']};
            }
			.select2-container--classic .select2-selection--single .select2-selection__arrow b {
    			border-color: {$maxwheels_options['mw_top_nav_clr']} transparent transparent transparent;
			}";
		}
		$top_2 = '';
		if($maxwheels_options['mw_show_topbar'] == true && isset($maxwheels_options['mw_topbar_style']) && $maxwheels_options['mw_topbar_style'] == 2)
		{
			$top_2= ".topbar-2 {
				background: {$maxwheels_options['mw_top_background']};
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.topbar-2 ul.listnone > li > a {
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.topbar-2 .currency-dropdown .select2-container--classic .select2-selection--single .select2-selection__placeholder {
    			color: {$maxwheels_options['mw_top_nav_clr']};
            }
			.topbar-2 .select2-container--classic .select2-selection--single .select2-selection__arrow b {
    			border-color: {$maxwheels_options['mw_top_nav_clr']} transparent transparent transparent;
			}";
		}
		$top_3 = '';
		if($maxwheels_options['mw_show_topbar'] == true && isset($maxwheels_options['mw_topbar_style']) && $maxwheels_options['mw_topbar_style'] == 3)
		{
			$top_3= ".topbar-3 {
				background: {$maxwheels_options['mw_top_background']};
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.topbar-3 .topbar-inner a, .topbar-3 .topbar-inner .mw-woking-hours span {
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.topbar-3 .currency-dropdown .select2-container--classic .select2-selection--single .select2-selection__placeholder {
    			color: {$maxwheels_options['mw_top_nav_clr']};
            }
			.topbar-3 .currency-dropdown .select2 .select2-selection--single .select2-selection__rendered {
    				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.topbar-3 .select2-container--classic .select2-selection--single .select2-selection__arrow b {
    			border-color: {$maxwheels_options['mw_top_nav_clr']} transparent transparent transparent;
			}";
		}
		$top_4 = '';
		if($maxwheels_options['mw_show_topbar'] == true && isset($maxwheels_options['mw_topbar_style']) && $maxwheels_options['mw_topbar_style'] == 4)
		{
			$top_4= ".topbar-4 {
				background: {$maxwheels_options['mw_top_background']};
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.topbar-4 .top4-info-left li span, .topbar-4 .top4-info-left li a, .topbar-4 .top4-info-rigth li span, .topbar-4 .top4-info-rigth li a , .topbar-4 .social-linked li a {
				color: {$maxwheels_options['mw_top_nav_clr']};
			}";
		}
		$border_rgba = $top_5 = '';
		if($maxwheels_options['mw_show_topbar'] == true && isset($maxwheels_options['mw_topbar_style']) && $maxwheels_options['mw_topbar_style'] == 'shop')
		{
			$border_rgba = '';
			if(isset($maxwheels_options['mw_top_nav_clr_boder']['rgba']) && $maxwheels_options['mw_top_nav_clr_boder']['rgba']!="")
			{
				$border_rgba = $maxwheels_options['mw_top_nav_clr_boder']['rgba'];
			}
			$top_5=".shop-top-header {
				background: {$maxwheels_options['mw_top_background']};
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.shop-top-header a , .shop-top-header-left-offer , .shop-top-header b, .shop-top-header strong,  .shop-top-header ul li,  .shop-top-header ul li a,  .shop-top-header ul li a i {
				color: {$maxwheels_options['mw_top_nav_clr']};
			}
			.shop-top-header-left-offer , .shop-top-header-right ul li {
				border-right:1px solid {$border_rgba};
			}
			";
		}
		// Conditions
		if(taxonomy_exists('mw-Labels'))
		{
			$mw_type = get_terms( 'mw-Labels' );
			if(is_array($mw_type) && count($mw_type) > 0)
			{
				foreach($mw_type as $term)
				{
					$term_id = $term->term_id;
					if(get_term_meta($term_id, 'labels_title_color', true )!="")
					{
						$hex_code = get_term_meta($term_id, 'labels_title_color', true );
						$mw_status_type.= "
						.badge-type-{$term_id} {
							background-color: {$hex_code};
						}";
					}
				}
			}
		}
		// Type / Labels
		if(taxonomy_exists('mw-condition'))
		{
			$mw_status = get_terms( 'mw-condition' );
			if(is_array($mw_status) && count($mw_status) > 0)
			{
				foreach($mw_status as $term)
				{
					$term_id = $term->term_id;
					if(get_term_meta($term_id, 'status_title_color', true )!="")
					{
						$hex_code = get_term_meta($term_id, 'status_title_color', true );
						$mw_status_label .= "
						.badge-label-{$term_id} {
							background-color: {$hex_code};
						}";
					}
				}
			}
		}
		$trans_header = '';
		if(get_post_meta(get_the_ID(), 'show_trans_header', true )!="" && get_post_meta(get_the_ID(), 'primary_color', true )!="")
		{
			$color = get_post_meta(get_the_ID(), 'primary_color', true );
			$trans_header = ".sb-header.make-me-trans .sb-menu ul li a , .sb-header.nhome-3.make-me-trans .call-us .call-text p , .sb-header.nhome-3.make-me-trans .call-us .call-text h3 {
			color: {$color};}";
		}
        $body = '';
		$custom_css  = $canvas.$head_clr.$body.$mw_label_label.$mw_status_label.$trans_header.$mw_status_type.$top_1.$top_2.$top_3.$top_4.$top_5.$canvas_clr."
			.full-brdc .newbrd ol li.clr-yal, .blog-read-more a, .blog-section-2 .blog-inner-box .blog-lower-box h2 a:hover, .blog-sidebar .widget ul li a:hover, .header-2 .sb-menu ul li.current-menu > a, .header-1 .sb-menu ul li:hover > a, .full-brdc .newbrd ol li a:hover,  blockquote::after, .ag-about .about-content .cal-action ul li i, .ag-about .about-content .cal-action ul li.border-li span , .clr-theme, .sec-heading p, .ag-about .about-content p.mytag, .ag-hero .search-data .search-box .search-inner label, .dark-footer .list li i , .card.ad-card-4 .list-inline .list-inline-item .clr-yal, .prop-location .clr-yal , .upper-contain .clr-yal , .w-exp .list-unstyled .list-inline-item .clr-blu , .property-data .text-inner p .clr-yal , .property-data .ul-text li a , .property-data .text-inner .main-reg-price , .cat-type-img .cat-type-title h4 a:hover , ul.category-list-data li a:hover, .card-agent-4 .card-body .card-title:hover, .card-agent-4 .card-body .agent-info ul li i, .card.agent-1 .clr-yal, .type-3-box a:hover, .clr-yal , .property-meta-relative .item-price , .card.ad-card-7 .property-meta-relative .item-price , .card.card-agent-2 .category , .packages-grid-content p , .packages-price,a.clr-black:hover, .view-detail .detail-button a:hover strong , .btn-outline , .pointer , .custom-card-board .card-board-icon , .main-home-sec7 .hading p.app-tag, .cou h3 , .woocommerce .product-selling-price , .woocommerce .shop-sidebar .shop-widget .woocommerce-Price-amount, .woocommerce .mw-shop-detial .shopping-cart-items .card .woocommerce-Price-amount , .woocommerce .mw-shop-detial p.price .woocommerce-Price-amount, .woocommerce .mw-shop-detial .woocommerce-variation-price span.price , .wcmp-main-section .product-selling-price , .wcmp-main-section .column-class aside.widget .product_list_widget li .woocommerce-Price-amount , #wcmp-store-conatiner .wcmp-store-list-wrap.list-3 .wcmp-vendor-details .wcmp-topProduct , .addr li a , .footer-sec .widget-latest-posts .product-selling-price, .agency-1 .agent-detail a:hover, .body-types-makes:hover .mk-head h3, .max-bodytype14-box a:hover, .compare-price, .lisd-link:hover , .user-profile-information ul.profile-info li a:hover , .contact-us ul li a:hover, .dealer-author .author-content h4 a:hover, .max-home-detail-list .max-home-list-details h3 a:hover, .blog-grids .entry-body .cat ,.blog-grids .entry-body h3 a:hover , .listing-data .selling-price span, .card.ad-card-7 .selling-price span, .user-menu__new-account a:hover , .testimonial-4 span , .site-info__item svg , .clr-blu{
    			color: {$main_clr} !important;
			}
			.header-1 .sb-menu ul li > a {
				color: {$navigation_clr};
			}
			.btn-theme {
				color: {$btn_text_clr} !important;
			}
			.max-hero9-form{
    			border-top: 4px solid {$main_clr};
			}
			.header-minimal .sb-menu ul li > a
			{
				color: {$navigation_clr};
			}
			.mw-breads {
				background: {$bread} !important;
			}
			.svg-icon path,.svg-icon polygon,.svg-icon rect {
  				fill: {$main_clr} !important;
            }
			.woocommerce .mw-shop-detial div.product .woocommerce-tabs ul.tabs li.active a , .mw-dealers-tag .nav-tabs .nav-item.show .nav-link, .mw-dealers-tag .nav-tabs .nav-link.active
			{
				border-top: 3px solid {$main_clr} !important;
			}
			.svg-icon circle {
  				stroke: {$main_clr} !important;
			}
			.homebg-top2 .nav-tabs .nav-link.active, .stv-radio-button:checked + label , .filters-nav li button.active-grid {
    			background:{$main_clr};
				border-color: {$main_clr};
			}
			.woocommerce ul.products .mw-product-grid:hover .btn-outline-custom , .mw-shop-header .btn-search{
				background-color:{$main_clr} !important;
				border: 1px solid {$main_clr} !important;
			}
			
			.home-6-sec2 .pro-detail .icons , .irs--round .irs-bar , .cou .card-image .property-tools + .property-tools , .ui-slider .ui-slider-range , .cart-action , .widget-tags a:hover , .testimonial-4.owl-theme .owl-dots .owl-dot.active span, .testimonial-4.owl-theme .owl-dots .owl-dot:hover span , .max-bodytype-8-browse span:hover{
				background:{$main_clr} !important;
			}
			.checkout-cart {
    			border-top: 2px solid {$main_clr} !important;
			}
			.no-container > .right-area > .inner-content .widget-inner-icon , .btn-search{
				background: {$main_clr}; 
				border: 1px solid {$main_clr};
			}
			.ag-about .about-content .cal-action ul li.border-li {
				border-left: 2px solid {$main_clr};
			}
			.ag-about .about-content .cal-action ul li.border-li span{
				border: 2px solid {$main_clr};
			}
            
			.btn-border
			{
				border: 1px solid {$main_clr};
				color: {$main_clr} !important;
			}
			.home-6-sec2 .pro-detail {
				border-bottom: 3px solid {$main_clr};
			}
			
			.preloader-site .lds-ripple div, .irs--round .irs-handle{
    			border: 4px solid {$main_clr};
			}
			.heading-dots .h-dot.line-dot {
    			border-right: 40px solid {$main_clr};
			}
			.heading-dots .h-dot {
    			border-right: 3px solid {$main_clr};
			}
			
			.btn-face:hover, .btn-google:hover {
				border-color: {$regular_clr};
			}
          
			 .btn-theme, .realestate-search-blog .input-group .input-group-append .blog-search-btn, .page-item.active .page-link, .page-link:hover , .scroll-top, .modal-content .modal-from .modal-header , .walkscore-container .walkscore-score-div div , .agent-list1:hover .btn-light , .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button , .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt , #wcmp-store-conatiner input[type=submit] , .details-box-btn .seller-detial .btn-outline-custom:hover, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button , .woocommerce ul.products .mw-product-grid:hover .btn-outline-custom, .mw-product-grid:hover .btn-outline-custom   {
				background: {$regular_clr} !important; 
				border: 1px solid {$regular_clr} !important;
			 }
			 .btn-theme:focus, .btn-theme:hover , .btn-outline:hover, .header-1 .sb-menu > ul.auth-elements > li.submit-btn:last-child > a:hover , .scroll-top:hover ,  .nhome-3 .sb-menu > ul.auth-elements > li.submit-btn:last-child > a:hover , .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .header-minimal .sb-menu .menu-right-area li a.btn-theme:hover .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover{
			    background-color: {$hover_clr} !important;
				border-color: {$hover_clr} !important;
			 }
			.btn-theme:active {
						  background-color: {$active_clr};
						
						  border-color: {$active_clr};
			}
			
			.btn-theme.btn-second {
				background-color: {$hover_clr};
				border-color: {$hover_clr};
			}
			
			.btn-theme.btn-second:hover {
				background: {$regular_clr}; 
				border: 1px solid {$regular_clr};
			}
			
			.ag-hero .search-data .search-box button , .classic-search-bar button , #breadcrumb-custom li a, #breadcrumb-custom li:nth-child(2n) a, .woocommerce .maxwheels-shop nav.woocommerce-pagination ul li a:focus, .woocommerce .maxwheels-shop nav.woocommerce-pagination ul li a:hover, .woocommerce .maxwheels-shop nav.woocommerce-pagination ul li span.current{
				background: {$regular_clr}; 
			}
			
			#breadcrumb-custom li:nth-child(even) a:before {
				border-color: {$regular_clr};
				border-left-color: transparent;
			}
			
			.ag-hero .search-data .search-box button:hover, .classic-search-bar button:hover {
				background: {$hover_clr}; 
			}
			 .woocommerce .shop-sidebar .shop-widget ul li.current-cat a::after , .woocommerce .shop-sidebar .shop-widget ul li.chosen a::after, .woocommerce .shop-sidebar .shop-widget ul li.current-cat a::after {
				background-color: {$regular_clr} !important;	
			}
			.scrollprogress, .select2-container--classic .select2-results__option--highlighted[aria-selected], .property-detial-page  .flex-direction-nav a:hover , .walkscore-container .walkscore-score-div::after {
				background: {$regular_clr};	
			}
			.pretty input:checked ~ .state.p-primary label::after, .pretty.p-toggle .state.p-primary label::after, .featured-slider-prop .owl-nav .owl-next, .featured-slider-prop .owl-nav .owl-pre {
				background-color: {$regular_clr} !important;	
			}
#breadcrumb-custom li a::after {
 
    border-left-color: {$regular_clr};
}
";
		wp_add_inline_style('maxwheels-main', $custom_css);
	}
}
add_action('wp_enqueue_scripts', 'maxwheels_typo', 999);