<?php get_header(); ?>
<?php
if (have_posts()): while ( have_posts()){the_post();
?>
<div class="mw-breads white-bg">
	<div class="container">
		<div class="row">
			<div class="col-xxl-12 col-lg-12 col-md-12 col-sm-12 col-12">
				<ol class="breadcrumb">
				  <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url( '/' )); ?>"><i class="fas fa-home"></i> <?php echo esc_html__('Home','maxwheels'); ?></a></li>
				  <li class="breadcrumb-item"><a href="<?php echo esc_url(get_post_type_archive_link( 'post' )); ?>"><?php echo esc_html__('Latest News & Trends','maxwheels'); ?></a></li>
				  <li class="breadcrumb-item active" aria-current="page"><?php echo esc_html(get_the_title()); ?></li>
				</ol>			
			</div>	
		</div>
	</div>	
</div>
<section class="blog-detial-page blog-detail-section-2 light-bg custom-padding">
    <div class="container">
     <div class="row">
        <?php
		 global $maxwheels_options;
	     $layout = '';
         $layout = isset( $maxwheels_options['mw_p_blog_singlelayout']['enabled']) ? $maxwheels_options['mw_p_blog_singlelayout']['enabled'] : '';
            if ($layout): foreach ($layout as $key=>$value) {
                switch($key) {
                    case 'singlepost': get_template_part( 'template-parts/blog/blog-detial/content', 'area');
                    break;
             
                    case 'singlesidebar': get_template_part( 'template-parts/blog/blog-detial/sidebar','blog');
                    break;
                }
            }
            else:
                get_template_part( 'template-parts/blog/blog-detial/content', 'area');
                get_template_part( 'template-parts/blog/blog-detial/sidebar', 'blog');
            endif;
        ?>
        </div>
    </div>
</section>
<?php
}
else:
 get_template_part( 'template-parts/content', 'none' );
endif;
?>
<?php get_footer(); ?>