<?php
   $localization = maxwheels_localization();
   $signuplink = $term_conditions = '#';
   $image_id = '';
   if(maxwheels_strings('mw_terms_page') != '')
   {
	  $term_conditions = esc_url(get_the_permalink(maxwheels_strings('mw_terms_page')));
   }
   $signuplink = maxwheels_framework_get_link('page-signup.php');
   $custom_height = '';
   if( is_page_template('page-signin.php') && maxwheels_strings('mw_enable_head_foot') == true)
   {
	   $custom_height = 'hv-custom';
   }


?>
<!--<button onclick="myFunction()">Click me</button>-->
<div class="clearfix"></div>
<div class="container-fluid auth-form-fields light-bg">
        <div class="row align-items-center">
            <div class="col-md-12 col-xl-4 col-xxl-4 col-lg-8 col-md-12 col-12 mx-auto">
                <div class="login-form mt-5 mt-md-0">
                    <?php
					if(is_page_template('page-signup.php') && maxwheels_strings('mw_enable_head_foot') == false || is_page_template('page-signin.php') && maxwheels_strings('mw_enable_head_foot') == false)
					{
						echo maxwheels_site_logo_only();
					}
					?>
					<?php if(maxwheels_strings('mw_signin_form_txt') != '') { ?>
					<h1><?php echo maxwheels_strings('mw_signin_form_txt'); ?></h1>
                    <?php } ?>
                    <?php if(maxwheels_strings('mw_signin_slogan') != '') { ?>
                    	<p class="mt-1 mb-4 mb-md-6"><?php echo maxwheels_strings('mw_signin_slogan'); ?><br></p>
                    <?php } ?>
                    <form class="my-form" name="signinForm" method="POST" id="signinForm">
                    <div class="row">
            	<div class="col-md-12 col-lg-12 col-xl-12 col-12">
                  <div class="theme-row">
                     <label><?php echo esc_html($localization['email']); ?><span class="req-mark">*</span></label>
                     <span class="wrap">
                     <input type="email" autocomplete="off" data-validation="email" data-sanitize="trim" name="email" class="form-control text "  data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>">
                     </span>
                  </div>
                  </div>
                  </div>
                  <div class="theme-row">
                     <label><?php echo esc_html($localization['pass']); ?> <span class="req-mark">*</span></label>
                     <span class="wrap">
                     <input type="password" autocomplete="off" data-sanitize="trim" data-validation="length" data-validation-length="3-16" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" name="password" class="form-control text">
                     </span>
                  </div>
                  <div class="my-checkbox term-conditions">
                  <a href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#resetmypass"><?php echo esc_html__('Forgot password?', 'maxwheels'); ?></a>
			</div>

             <?php wp_nonce_field( 'prop-login-nonce', 'login_nonce' ); ?>
           <button type="submit" class="btn btn-theme btn-block sonu-button" name="sigin" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html($localization['log']); ?></button>
            <?php if(maxwheels_strings('mw_enable_social') == true) { ?>
            <div class="text-center w-full auth-or">
                <span class="txt1"><?php echo esc_html($localization['or_log']); ?></span>
            </div>
            <div class="social-log-area">
                    <?php if(maxwheels_strings('mw_fb_key') !='') { ?>
                 <button type="button" class="btn-face fb-btn m-b-10" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>" onclick="hello('facebook').login({scope:'email'})" >
                    <i class="fab fa-facebook-f"></i>
                        <?php echo esc_html($localization['fb']); ?>
                    </button>
                    <?php } ?>
                    <?php if(maxwheels_strings('mw_google_key') !='') { ?>
                    <button type="button" class="btn-socialz gog-btn btn-google m-b-10" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>" onclick="hello('google').login({scope: 'email'})">
                    <img src="<?php echo esc_url(trailingslashit( get_template_directory_uri () )."libs/images/icon-google.webp"); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>">
                        <?php echo esc_html($localization['google']); ?>
                    </button>
                    <?php } ?>
            </div>
            <div class="dont-have">
            	<p><?php echo esc_html__("Don't have an account?",'maxwheels');?> <a href="<?php echo esc_url($signuplink); ?>"><?php echo esc_html__("Sign up now!",'maxwheels');?></a></p>
            </div>
            <?php } ?>
			</form>
                </div>
            </div>
            <div class="col-md-12 col-lg-7 creative-container d-flex justify-content-center align-items-center image-background <?php echo esc_attr($custom_height); ?>" <?php echo (maxwheels_bg_src('mw_signin_bg')); ?>>
                <div class="creative-container-content my-signup">
					<?php if(maxwheels_strings('p_signin_first') != '') { ?>
                    <h3><?php echo maxwheels_strings('p_signin_first'); ?></h3>
                    <?php } ?>
                    <?php if(maxwheels_strings('p_signin_second') != '') { ?>
                    <h2><?php echo maxwheels_strings('p_signin_second'); ?></h2>
                    <?php } ?>
                    <div class="auth-btn-links">
                        <a class="btn btn-theme" href="#"><?php echo esc_html__("Sell your Car Today", 'maxwheels'); ?></a>
                        <a class="btn btn-theme btn-second" href="#" ><?php echo esc_html__("Search Cars", 'maxwheels'); ?></a>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
    
    <div class="modal fade" id="resetmypass">
   						 <div class="modal-dialog">
        <div class="modal-content">
        <form class="modal-from" name="forgetPass" method="POST" id="forgetPass">
            <div class="modal-header">
                <h3 class="modal-title"><?php echo esc_html__('Forgot your password?', 'maxwheels'); ?></h3>
                <button type="button" class="close" data-bs-dismiss="modal"><span>&times;</span></button>
            </div>
                <div class="modal-body">
                        <div class="theme-row">
                         <label><?php echo esc_html($localization['email']); ?><span class="req-mark">*</span></label>
                         <span class="wrap">
                         <input autocomplete="off" data-validation="email" data-sanitize="trim" name="email" class="form-control text"  data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>">
                         </span> 
                      </div>
                   
                </div>
                <div class="modal-footer">
                    <?php wp_nonce_field( 'prop-reset-nonce', 'reset_nonce' ); ?>
                    <button type="submit" class="btn btn-theme btn-reset" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html__("Reset My Password", 'maxwheels'); ?></button>
                </div>
            </form>
        </div>
    </div>
					</div>