<?php
	global $maxwheels_options;
	$buyer_id	=	get_the_ID();
	$propes = array();
    $image_id = '';
	$author_id = get_post_field( 'post_author', $buyer_id );
	$args	=	array
	(
		'post_type' => 'mx-listings',
		'author' => $author_id,
		'post_status' => 'publish',
		'posts_per_page' => 12,
        'fields' => 'ids',
		'paged' => 1,
		'meta_key' => 'mw_is_feature_listing',
		'orderby'  => array(
			'meta_value_num' => 'DESC',
			'post_date'      => 'DESC',
		),
		'meta_query'    => array(
			array(
				'key'       => 'mw_status',
				'value'     => '1',
				'compare'   => '=',
			),
		),
		'order'=> 'DESC',
	 );
	 $query = new WP_Query( $args );
	 if($query->have_posts())
	 {
		 while ($query->have_posts())
         {
				$query->the_post();
				$mw_idz	=	get_the_ID();
				$propes[] .= $mw_idz;
		 }
		 wp_reset_postdata();
	 }
?>
<section class="simple-user-area custom-padding light-bg">
	<div class="container">
		<div class="row">
			<div class="col-lg-12 col-xl-3 col-xxl-3 col-md-12 col-12">
			   <div class="user-profile-information position-relative">
				   <div class="ag-logo">
						<div class="image-container">
						 <img src="<?php echo esc_url(maxwheels_placeholder_images('buyer',$buyer_id,'large')); ?>" class="img-fluid img-full" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"/>
						</div> 
    				</div>
				  <div class="profile-title">
					 <h3><?php echo get_the_title($buyer_id); ?></h3>
				  </div>
				  <ul class="profile-info">
					  <?php if(get_post_meta($buyer_id, 'buyer_email', true ) !="") { ?>
					 <li>
						<span><?php echo esc_html__('Email','maxwheels'); ?>:</span>
						<a href="mailto:<?php echo esc_attr(get_post_meta($buyer_id, 'buyer_email', true )); ?>"><?php echo esc_html(get_post_meta($buyer_id, 'buyer_email', true )); ?></a>
					 </li>
					  <?php } ?>
					 <?php if(get_post_meta($buyer_id, 'buyer_mobile', true ) !="") { ?>
					 <li>
						<span><?php echo esc_html__('Contact No','maxwheels'); ?></span>
						<a href="tel:<?php echo esc_attr(get_post_meta($buyer_id, 'buyer_mobile', true )); ?>"><?php echo esc_html(get_post_meta($buyer_id, 'buyer_mobile', true )); ?></a>
					 </li>
					 <?php } ?>
					 <?php if(get_post_meta($buyer_id, 'buyer_url', true ) !="") { ?>
					 <li>
						<span><?php echo esc_html__('Website','maxwheels'); ?></span>
						<a href="<?php echo esc_url(get_post_meta($buyer_id, 'buyer_url', true )); ?>"><?php echo esc_html__('View Link','maxwheels'); ?></a>
					 </li>
					 <?php } ?> 
				  </ul>
				  <div class="profile-contact">
					 <?php echo get_template_part('template-parts/generic-sections/sidebar/contact/contact2'); ?>
				  </div>
			   </div>
			</div>
			<div class="col-lg-12 col-xl-9 col-xxl-9 col-12">
			<?php
				set_query_var( 'dealer-listings', $propes );
				echo get_template_part('template-parts/dealer-detial/listings/properties2');
			?>
			</div>
		</div>
	</div>
</section>