<?php
$extra_front_padding = $image_id = $is_transparent = '';
if ( get_post_meta( get_the_ID(), 'show_trans_header', true ) != "" && get_post_meta( get_the_ID(), 'show_trans_header', true ) == "1" ) {
  if ( wp_is_mobile() ) {
    $is_transparent = '';
  } else {
    $is_transparent = 'make-me-trans';
  }
}
$defual_img = trailingslashit( get_template_directory_uri() ) . 'libs/images/phoneold.png';
global $maxwheels_options;
if ( isset( $maxwheels_options[ 'mw_contact_icon' ][ "url" ] ) && $maxwheels_options[ 'mw_contact_icon' ][ "url" ] != "" ) {
  $defual_img = $maxwheels_options[ 'mw_contact_icon' ][ "url" ];
}
if ( is_page_template( 'page-dashboard.php' ) ) {
  $extra_front_padding = 'extra-front-padding';
}
$class = '';
if ( is_user_logged_in() ) {
  $class = 'user-authorized-in';
}
?>
<div class="header__middle">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <div class="header__middle-inner">
                                    <div class="header__middle-left">
                                            <?php echo maxwheels_site_logo(); ?>
                                    </div>
									
                                    <div class="header__middle-middle d-none d-lg-block">
                                        <div class="site-info">
                                            <div class="site-info__item">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><path d="M15.05 5A5 5 0 0 1 19 8.95M15.05 1A9 9 0 0 1 23 8.94m-1 7.98v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>  
                                                <div class="site-info__content">
                                                    <span class="site-info__title">001 735 9193</span>
                                                    <span class="site-info__text"><a href="mailto:info@example.com">info@example.com</a></span>
                                                </div>
                                            </div>
                                            <div class="site-info__item">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><path d="M21 10c0 7-9 13-9 13s-9-6-9-13a9 9 0 0 1 18 0z"></path><circle cx="12" cy="10" r="3"></circle></svg> 
                                                <div class="site-info__content">
                                                    <span class="site-info__title">350 Fifth Avenue</span>
                                                    <span class="site-info__text">New York, NY 90210</span>
                                                </div>
                                            </div>
                                            <div class="site-info__item">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><circle cx="12" cy="12" r="10"></circle><polyline points="12 6 12 12 15 15"></polyline></svg> 
                                                <div class="site-info__content">
                                                   <span class="site-info__title">7:30 AM - 7:30 PM</span>
                                                    <span class="site-info__text">Monday to Saturday</span> 
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
<div class="sb-header header-m1 <?php echo esc_attr($is_transparent); ?> <?php echo esc_attr($extra_front_padding); ?>">
  <div class="container">
    <div class="sb-header-container">
      <div class="burger-menu">
        <div class="line-menu line-half first-line"></div>
        <div class="line-menu"></div>
        <div class="line-menu line-half last-line"></div>
      </div>
      <nav class="sb-menu menu-caret submenu-top-border submenu-scale">
        <ul class="menu-items">
          <?php echo maxwheels_main_menu( 'main_theme_menu' ); ?>
        </ul>
        <?php
        if ( in_array( 'maxwheels-framework/index.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
          ?>
        <?php if (maxwheels_strings('mw_dashboard') == true) { ?>
        <ul class="auth-elements logged-user-profile <?php echo esc_attr($class); ?>">
          <?php
          // login & profile
          $custom_class = 'disable-registrations ';
          //echo maxwheels_auth_settings();
          if ( maxwheels_strings( 'mw_other_btn' ) == true ) {
            $page_url = '';
            if ( !empty( maxwheels_strings( 'mw_anotherbtn_page' ) ) ) {
              $page_url = maxwheels_strings( 'mw_anotherbtn_page' );
            }
            ?>
		   <?php if (!is_user_logged_in()) {
			$signuplink  = maxwheels_framework_get_link('page-signup.php');
			$signupin    = maxwheels_framework_get_link('page-signin.php');	
			?>		
          <li class=""><a href="<?php echo esc_url($signupin); ?>"><?php echo esc_html__('Log In','maxwheels'); ?></a></li>
          <?php  if(maxwheels_strings('mw_enable_registration') == true) {?>
          <li class=""><a href="<?php echo esc_url($signuplink); ?>"><?php echo esc_html__('Sign Up','maxwheels'); ?></a></li>
          <?php } ?>
		  <?php }
			if (is_user_logged_in()) 
			{
				$local = maxwheels_localization();
				$image_id = '';
				$dashboard_page = '#';
				$dashboard_page = maxwheels_framework_get_link('page-dashboard.php');
				$type = '';
				$user_id = get_current_user_id();
				if(get_user_meta($user_id, 'user_role_type', true) !="")
				{
					$type = get_user_meta($user_id, 'user_role_type', true);	
				}
				$post_id = '';
				if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
				{
					$post_id = get_user_meta( $user_id, 'mw_post_id' , true);
				}
			?>	
			<li class="nav-item nav-profile dropdown ">
							<a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" id="authDropdown">
								<img src="<?php echo esc_url(maxwheels_placeholder_images($type,$post_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" />
							</a>
							<div class="dropdown-menu dropdown-menu-right navbar-dropdown profile-top" aria-labelledby="authDropdown">
								<div class="profile-header d-flex align-items-center">
									<div class="thumb-area">
										<img src="<?php echo esc_url(maxwheels_placeholder_images($type,$post_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>">
									</div>
									<div class="content-text">
										<h6><?php echo get_the_title($post_id); ?></h6>
                                        <p class="mb-0 text-capitalize"><?php echo esc_html($type); ?></p>
									</div>
								</div>
								
								<a href="<?php echo esc_url($dashboard_page); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>  <?php echo esc_html($local['dashboard']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=my-profile'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
										<circle cx="12" cy="7" r="4"></circle>
									</svg> <?php echo esc_html($local['profile']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=publish'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<circle cx="12" cy="12" r="3"></circle>
										<path d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>
									</svg> <?php echo esc_html($local['my_properties']); ?></a>

								<a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
										<polyline points="16 17 21 12 16 7"></polyline>
										<line x1="21" y1="12" x2="9" y2="12"></line>
									</svg> <?php echo esc_html($local['logout']); ?></a>
							</div>
						</li>
			<?php
			}
			?>
		  <?php
				if(maxwheels_strings('mw_other_btn') == true || is_user_logged_in())
				{
					$page_url = maxwheels_framework_get_link('page-submit-listings.php');
				?>	
          <li class="submit-btn <?php echo esc_attr($custom_class); ?>"><a class="btn btn-theme" href="<?php echo esc_url($page_url); ?>"> <i class="fas fa-plus-circle h1-menu-plus clr-white "></i> <?php echo maxwheels_strings('mw_anotherbtn_txt'); ?></a></li>
			<?php 
				}
			    ?>
          <?php
          }
          ?>
        </ul>
        <?php } ?>
        <?php
        }
        ?>
      </nav>
    </div>
  </div>
</div>
