<?php
$container= 'container';
$layout_type = '';
$layout_type = maxwheels_strings('mw_listing_search_layout');
if(is_page_template('page-dashboard.php') || is_page_template('page-listing-search.php') && $layout_type == 'modern' && maxwheels_strings('mw_selected_header') == 1)
{
	$container = 'container-fluid';
}
$is_transparent = '';
if(get_post_meta( get_the_ID(), 'show_trans_header', true )!="" && get_post_meta( get_the_ID(), 'show_trans_header', true )=="1")
{
	if ( wp_is_mobile() ) {
		$is_transparent = '';
	}
	else
	{
		$is_transparent = 'make-me-trans';	
	}
}
$class = '';
if ( is_user_logged_in() )
{
	$class = 'user-authorized-ins';	
}
?>

<div class="maxwheel-top-bar">
  <div class="container">
	  <div class="row">
	  	<div class="col-12">
			<div class="maxwheel-top-bar-container">
				<div class="left-cont">
					<?php echo maxwheels_site_logo(); ?>
					</div>
			     <?php
                  if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
                  {
					  $signuplink  = maxwheels_framework_get_link('page-signup.php');
					  $signupin    = maxwheels_framework_get_link('page-signin.php');
                  ?>
					<div class="right-cont <?php echo esc_attr($class ); ?>">
						<?php
					  		if( class_exists( 'SitePress' ) ) {
								 echo do_action('wpml_add_language_selector');
							}
					    ?>
						<ul class="menu-right-area logged-user-profile">
						<?php if (!is_user_logged_in()) { ?>
						<li>
							<div class="login-signup">
							 <a href="<?php echo esc_url($signupin); ?>"><?php echo esc_html__('Log In','maxwheels'); ?></a> <?php if(maxwheels_strings('mw_enable_registration') == true) { ?> <?php echo esc_html__('Or','maxwheels'); ?> <a href="<?php echo esc_url($signuplink); ?>"><?php echo esc_html__('Sign Up','maxwheels'); ?></a><?php } ?>
							</div>
						</li>
						<?php } 
						else
						{
							$local = maxwheels_localization();
							$image_id = '';
							$dashboard_page = '#';
							$dashboard_page = maxwheels_framework_get_link('page-dashboard.php');
							$type = '';
							$user_id = get_current_user_id();
							if(get_user_meta($user_id, 'user_role_type', true) !="")
							{
								$type = get_user_meta($user_id, 'user_role_type', true);	
							}
							$post_id = '';
							if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
							{
								$post_id = get_user_meta( $user_id, 'mw_post_id' , true);
							}
						?>
							<li class="nav-item nav-profile dropdown ">
							<a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" id="authDropdown">
								<img src="<?php echo esc_url(maxwheels_placeholder_images($type,$post_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" />
							</a>
							<div class="dropdown-menu dropdown-menu-right navbar-dropdown profile-top" aria-labelledby="authDropdown">
								<div class="profile-header d-flex align-items-center">
									<div class="thumb-area">
										<img src="<?php echo esc_url(maxwheels_placeholder_images($type,$post_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>">
									</div>
									<div class="content-text">
										<h6><?php echo get_the_title($post_id); ?></h6>
                                        <p class="mb-0 text-capitalize"><?php echo esc_html($type); ?></p>
									</div>
								</div>
								
								<a href="<?php echo esc_url($dashboard_page); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>  <?php echo esc_html($local['dashboard']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=my-profile'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
										<circle cx="12" cy="7" r="4"></circle>
									</svg> <?php echo esc_html($local['profile']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=publish'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<circle cx="12" cy="12" r="3"></circle>
										<path d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>
									</svg> <?php echo esc_html($local['my_properties']); ?></a>

								<a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
										<polyline points="16 17 21 12 16 7"></polyline>
										<line x1="21" y1="12" x2="9" y2="12"></line>
									</svg> <?php echo esc_html($local['logout']); ?></a>
							</div>
						</li>
						<?php
						}
						?>
						<?php
						if(maxwheels_strings('mw_other_btn') == true || is_user_logged_in())
						{
							$page_url = maxwheels_framework_get_link('page-submit-listings.php');
						?>
						<li>  
						<a class="btn btn-theme" href="<?php echo esc_url($page_url); ?>"><?php echo maxwheels_strings('mw_anotherbtn_txt'); ?> </a>
						</li>
						<?php 
						}
						?>
					</ul>
				 	</div>
				  <?php
				  }
				  ?>
			</div>
		</div>
	  </div>
  </div>
</div>

<div class="sb-header header-on-demand viewport-lg">
		<div class="<?php echo esc_attr($container); ?>">
			<div class="sb-header-container">
				<div class="burger-menu">
					<div class="line-menu line-half first-line"></div>
					<div class="line-menu"></div>
					<div class="line-menu line-half last-line"></div>
				</div>
               <nav class="sb-menu menu-caret submenu-top-border submenu-scale">
                <ul class="menu-items">
					<?php echo maxwheels_main_menu('main_theme_menu' );?>
                </ul>
				   
              </nav>
			</div>
		</div>
	</div>
<div class="clearfix"></div>