<?php
$signupin = $signuplink  = $search_page = $is_transparent = '';
$position = 'position-relative';
if(get_post_meta( get_the_ID(), 'show_trans_header', true )!="" && get_post_meta( get_the_ID(), 'show_trans_header', true )=="1")
{
	if ( wp_is_mobile() ) {
		$is_transparent = '';
	}
	else
	{
		$is_transparent = 'make-me-trans';	
	}
	$position = 'position-absolute';
}
$optsetlect = '0';
?>
<header class="mw-shop-header">
            <div class="container-fluid position-relative">
                <div class="row align-items-center">
                    <div class="col-6 col-lg-3">
						<ul class="content-area-log">
						  <li>
							<div class="toggle">
							<span></span>
						  </div>
						  </li>
						  <li><?php echo maxwheels_site_logo(); ?></li>
						</ul>
                    </div>
                    <div class="col-md-6 col-lg-5  d-none d-lg-block">
                        <form method="get" action="<?php echo esc_url(get_permalink( woocommerce_get_page_id( 'shop' ) )); ?>">
                            <div class="input-group">
                                <div class="input-group-text">
									<?php
									  if (isset($_REQUEST['product_cat']) && !empty($_REQUEST['product_cat'])) {
										  $optsetlect = $_REQUEST['product_cat'];
									  } else {
										  $optsetlect = 0;
									  }
									  $args = array(
										  'show_option_all' => esc_html__('All Categories', 'maxwheels'),
										  'hierarchical'      => 1,
										  'class' => 'cat',
										  'value_field' => 'slug',
										  'selected' => $optsetlect,
									  );
									  $args['taxonomy'] = 'product_cat';
									  $args['name'] = 'product_cat';
									  $args['class'] = 'cate-dropdown hidden-xs form-control theme-selects';
									  wp_dropdown_categories($args);
  									?>
                                </div>
                                <input type="text" name="s" value="<?php echo get_search_query(); ?>" class="form-control" placeholder="<?php esc_attr(esc_html_e( 'Enter your search keyword ...', 'maxwheels' )); ?> ">
                                <div class="input-group-text border-0 bg-trans">
                                    <button class="btn-search btn btn-hover-dark" type="submit">
                                        Search
                                    </button>
                                </div>
                            </div>
							<input type="hidden" name="post_type" value="product" />
                        </form>
                    </div>
                    <div class="col-6 col-lg-4">
                        <div class="d-flex align-items-center justify-content-end justify-content-lg-between justify-content-xl-end">
                            <div class="d-none d-lg-flex flex-wrap">
								<?php
								if(!empty(maxwheels_strings('mw_shop_workinghours')) && is_array(maxwheels_strings('mw_shop_workinghours')) && count(maxwheels_strings('mw_shop_workinghours')) > 0) 
								{
								?>
                                <div class="media">
                                    <i class="<?php echo esc_attr(maxwheels_strings('mw_shop_workinghours')['box1']); ?>"></i>
                                    <div class="media-body">
                                        <h4 class="title"><?php echo esc_html(maxwheels_strings('mw_shop_workinghours')['box2']); ?></h4>
                                        <p><?php echo esc_html(maxwheels_strings('mw_shop_workinghours')['box3']); ?></p>
                                    </div>
                                </div>
								<?php
								}
								?>
								<?php
								if(!empty(maxwheels_strings('mw_shop_workingnumber')) && is_array(maxwheels_strings('mw_shop_workingnumber')) && count(maxwheels_strings('mw_shop_workingnumber')) > 0) 
								{
								?>
                                <div class="media ms-sm-4">
                                   <i class="<?php echo esc_attr(maxwheels_strings('mw_shop_workingnumber')['box1']); ?>"></i>
                                    <div class="media-body">
                                        <h4 class="title"><?php echo esc_html(maxwheels_strings('mw_shop_workingnumber')['box2']); ?></h4>
                                        <p><?php echo esc_html(maxwheels_strings('mw_shop_workingnumber')['box3']); ?></p>
                                    </div>
                                </div>
								<?php
								}
								?>
                            </div>
                            <div class="d-flex align-items-center">
                                <div class="block-cart-btn-wrapp">
                                    <button class="cart-action">
                                        <i class="fas fa-cart-arrow-down"></i>
                                        <span class="badge bg-dark"><?php echo absint( is_a( WC()->cart, 'WC_Cart' ) ? WC()->cart->get_cart_contents_count() : 0 ); ?></span>
                                    </button>
                                    <div class="checkout-cart">
										<?php if ( is_a( WC()->cart, 'WC_Cart' ) && ! WC()->cart->is_empty() )  { ?>
											<div class="checkout-scroll">
												<?php echo woocommerce_mini_cart(); ?>
											</div>
										<?php
										} 
										else
										{
										?>
										<div class=" pt-3 pb-2 text-center">
											<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="36" height="36" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 36 36"><circle cx="13.33" cy="29.75" r="2.25" class="clr-i-outline--badged clr-i-outline-path-1--badged" fill="#626262"/><circle cx="27" cy="29.75" r="2.25" class="clr-i-outline--badged clr-i-outline-path-2--badged" fill="#626262"/><path d="M22.57 7a7.52 7.52 0 0 1-.07-1a7.52 7.52 0 0 1 .07-1H11.49l.65 2z" class="clr-i-outline--badged clr-i-outline-path-3--badged" fill="#626262"/><path d="M30 13.5h-.42L28.33 19h-15L8.76 4.53a1 1 0 0 0-.66-.65L4 2.62a1 1 0 1 0-.59 1.92L7 5.64l4.59 14.5l-1.64 1.34l-.13.13A2.66 2.66 0 0 0 9.74 25A2.75 2.75 0 0 0 12 26h16.69a1 1 0 0 0 0-2H11.84a.67.67 0 0 1-.56-1l2.41-2h15.44a1 1 0 0 0 1-.78l1.57-6.91a7.51 7.51 0 0 1-1.7.19z" class="clr-i-outline--badged clr-i-outline-path-4--badged" fill="#626262"/><circle cx="30" cy="6" r="5" class="clr-i-outline--badged clr-i-outline-path-5--badged clr-i-badge" fill="#626262"/></svg>
										<p class="text-muted font-size-sm mb-0"><?php esc_html_e( 'No products in the cart.', 'maxwheels' ); ?></p>
										</div>
										<?php
										}
										?>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
	<nav id="main-nav" class="none">
	<ul class="first-nav">
	   <?php echo maxwheels_main_menu( 'main_theme_menu' ); ?>
	</ul>
</nav>
    </header>