<?php
	$newdistacne = $lat_lng_meta_query = $nearby_idz = $calculated_distance = array();
	$mw_id	=	get_the_ID();
	$cacl_distance = $second_long = $second_lat = $selected_long = $selected_latt = '';
	if(get_post_meta($mw_id, 'mw_latt', true ) !="" &&  get_post_meta($mw_id, 'mw_long', true )!="")
	{
		$distance_unit = array(
			'miles' => array('dis_name'=>esc_html__('Miles', 'maxwheels' ), 'dis_abbt' =>esc_html__('mi', 'maxwheels' ) ),
			'kilometers' => array('dis_name'=>esc_html__('Kilometers', 'maxwheels' ), 'dis_abbt' =>esc_html__('km', 'maxwheels' ) ),
		 );
		$selected_distance_unit = 'kilometers';
		$selected_latt = get_post_meta($mw_id, 'mw_latt', true );
		$selected_long = get_post_meta($mw_id, 'mw_long', true );
		$data_array = array("latitude" => $selected_latt, "longitude" => $selected_long, "distance" => '1000');
		$lats_longs = maxwheels_min_max_latt_long($data_array);
		if(is_array($lats_longs) && !empty($lats_longs) && count($lats_longs) > 0)
		{
				$lat_lng_meta_query[] = array(
                    'key' => 'mw_latt',
                    'value' => array($lats_longs['lat']['min'], $lats_longs['lat']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				$lat_lng_meta_query[] = array(
                    'key' => 'mw_long',
                    'value' => array($lats_longs['long']['min'], $lats_longs['long']['max']),
                    'compare' => 'BETWEEN',
                    'type' => 'DECIMAL',
                );
				add_filter('get_meta_sql', 'maxwheels_decimal_precision');
                if (!function_exists('maxwheels_decimal_precision'))
				{
                    function maxwheels_decimal_precision($array)
					{
                        $array['where'] = str_replace('DECIMAL', 'DECIMAL(10,3)', $array['where']);
                        return $array;
                    }
                }
				$args = array(
					'post_type' => 'mx-listings',
					'post_status' => 'publish',
					'post__not_in' => array($mw_id),
					'posts_per_page' => 5,
					'order' => 'DESC',
					'orderby' => 'date',
                    'fields' => 'ids',
					'meta_query' => array(
						 array(
							'key' => 'mw_status',
							'value' => '1',
							'compare' => '='
						 ),
						 $lat_lng_meta_query,
					 ),
				 );
			  $query = new WP_Query( $args );
			  if($query->have_posts())
			  {
				  $listingz = new maxwheels_getlistings();
			  ?>	  
				<div class="sidebar-widget-seprator">
                    <div class="sidebar-widget-header">
                      <h4><?php echo esc_html(maxwheels_strings('mw_sidebar_nearby')); ?></h4>
                    </div>
                    <div class="sidebar-widget-body">
                            <ul class="widget-inner-container nearby-listing">
                            <?php    
							  while ($query->have_posts())
							  {
								   $query->the_post();
								   $new_mw_idz = get_the_ID();
								   if (get_post_meta($new_mw_idz, 'mw_latt', true) != "" && get_post_meta($new_mw_idz, 'mw_long', true) != "")
								   {
									   $second_lat = get_post_meta($new_mw_idz, 'mw_latt', true );
									   $second_long = get_post_meta($new_mw_idz, 'mw_long', true );
									   $newdistacne = maxwheels_get_distance_between_ponits($selected_latt, $selected_long, $second_lat, $second_long);
									  $cacl_distance = round($newdistacne[$selected_distance_unit],1);
									  $dis_abbt = $distance_unit[$selected_distance_unit]['dis_abbt'];
									  $listingz->maxwheels_listings_nearby($new_mw_idz,$cacl_distance,$dis_abbt); 
								   }
							  }
							   wp_reset_postdata();
							  ?>
                            </ul>
                     </div>
                </div>            
              <?php    
			  }
		}
	}