<?php

global $maxwheels_options;
$grid_type = 'type3';


if(!empty(get_query_var('mw-layout-type')) && get_query_var('mw-layout-type') =="grid")
{
	if(isset($maxwheels_options['mw_listing_search_grids']) && $maxwheels_options['mw_listing_search_grids'] !="")
	{
		$grid_type = $maxwheels_options['mw_listing_search_grids'];

	}
}
else
{
	$grid_type = 'list1';
}

$page_type = 'sidebar';
$col_size = '2';
$page_type = maxwheels_strings('mw_listing_search_layout');
if(!empty($page_type) && $page_type == 'modern')
{
    $col_size = '4';
}
else
{
  $col_size = '3';
}
$map_listings = $fetch_output = '';
$layout_type = new maxwheels_getlistings();

while ($results->have_posts())
{
    $results->the_post();
    $mw_id = get_the_ID();
    $function = "maxwheels_listings_$grid_type";
    $fetch_output .= $layout_type->$function($mw_id,$col_size);
	//listing on maps
	if(!empty(maxwheels_strings('mw_listing_search_layout')) && maxwheels_strings('mw_listing_search_layout') == 'map')
	{
	    if (get_post_meta($mw_id, 'mw_latt', true) != "" && get_post_meta($mw_id, 'mw_long', true) != "")
		{
			$mapfunction = "maxwheels_listings_map_listings";
			$map_listings .= $layout_type->$mapfunction($mw_id);
		}
	}
}
if(!empty(maxwheels_strings('mw_listing_search_layout')) && maxwheels_strings('mw_listing_search_layout') == 'map')
{
	echo '<script> var listing_markers = ['.$map_listings.']; </script>';
}
wp_reset_postdata();