<?php
global $localization;
//near me
$none_class = 'none';
$current_min = 20;
$distance = $long = $latt = '';
if (isset($_GET['latt']) && $_GET['latt'] != "" && isset($_GET['long']) && $_GET['long'] != "" && isset($_GET['distance']) && $_GET['distance'] != "")
{
	$latt = $_GET['latt'];
	$long = $_GET['long'];
	$distance = $_GET['distance'];
	$current_min = $distance;
	$none_class = '';
}
$layout_type_selection = 'grid';
if (isset($_GET['layout-type']) && $_GET['layout-type'] == "list") {
	$layout_type_selection = 'list';
}
?>
<div class="no-container">
        <div class="left-area">
        	<div id="mapid" class="map"></div>
        </div>
        <div class="right-area">
            <div class="inner-content">
                <div class="map-with-filters">
                <div class="project-sidebar">
                    <form id="mw-search-inv">
                          <?php
                            if (is_active_sidebar('mw_search_seach_bar'))
                            {
                                dynamic_sidebar('mw_search_seach_bar');
                            }                
                          ?>
                        <div class="submit-btn">
							<input type="hidden" name="layout-type" value="<?php echo esc_attr($layout_type_selection); ?>">
                            <button class="btn btn-theme btn-block filter-results" type="button"> <?php echo esc_html($localization['filter_result']); ?></button>
                        </div>
                    </form>
                </div>    
                </div>        
            <div class="data-with-result">          		
                   <div class="filter-sorting-bar d-flex flex-wrap justify-content-between align-items-center">
                    <h4>
                    <?php echo wp_sprintf(__('Showing 1 - %s of <span class="clr-yal"> %d Listings </span>', 'maxwheels'), get_option('posts_per_page'),esc_attr($results->found_posts)); ?>
                    </h4>
                    <div class=" d-flex d-block">
                    <span class="sort-label align-self-center"><?php echo esc_html__('Short by', 'maxwheels'); ?>:</span>
                    <div class="short-by">
                   <select name="sort-by" id="sort-by" class="sort-selects" data-placeholder="<?php echo esc_attr__('Newest To Oldest', 'maxwheels'); ?>">
                  <option value="newest"><?php echo esc_html__('Newest To Oldest', 'maxwheels'); ?></option>
                  <option value="oldest"><?php echo esc_html__('Oldest To New', 'maxwheels'); ?></option>
                  <option value="price-asc"><?php echo esc_html__('Price: Low to High', 'maxwheels'); ?></option>
                  <option value="price-desc"><?php echo esc_html__('Price: High to Low', 'maxwheels'); ?></option>
                  <option value="mileage-asc"><?php echo esc_html__('Mileage: Low to High', 'maxwheels'); ?></option>
                  <option value="mileage-desc"><?php echo esc_html__('Mileage: High to Low', 'maxwheels'); ?></option>
                  <option value="year-desc"><?php echo esc_html__('Model Year: Latest First', 'maxwheels'); ?></option>
                  <option value="year-asc"><?php echo esc_html__('Model Year: Oldest First', 'maxwheels'); ?></option>
                </select>
                    </div>
                    </div>
                    </div>
                   <div class="my-filer-tags">
                    <?php
                    if (!empty($_GET)) {
                    echo '<div class="filter-tags"><ul class="filter-tags-list">
                    <li class="filter-tags-render">
                    <span class="filter-reset">'.esc_html__('Clear All', 'maxwheels').':</span>'.esc_html__('Filters', 'maxwheels').'
                    <a href="javascript:void(0)" id="reset_ajax_result" class="filter-reset-btn">×</a>
                    </li>
                    </ul></div>';
                    }
                    ?>
                    </div>
                   <div class="row grid">
                    <?php
                    $fetch_output = '';
                    if ($results->have_posts())
                    {
                     require trailingslashit(get_template_directory()) . "template-parts/search/listing-search/grids/grids.php";
                     echo maxwheels_strings_allow_html($fetch_output);
                    }
                    else
                    {
                    echo maxwheels_framework_no_result_found(); 
                    }
                    ?>
                    </div>
                   <?php if(!empty(maxwheels_pagination_search($results))) { ?>
                     <div class="row">
                           <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 margin-bottom-30"> 
                             <div id="listing_ajax_pagination"><?php echo maxwheels_pagination_search($results); ?></div>
                          </div>
                     </div>
                  <?php } ?>				
           </div>
       </div>
    </div>
</div>