<?php
	global $localization;
//near me
$none_class = 'none';
$current_min = 20;
$distance = $long = $latt = '';
if (isset($_GET['latt']) && $_GET['latt'] != "" && isset($_GET['long']) && $_GET['long'] != "" && isset($_GET['distance']) && $_GET['distance'] != "")
{
	$latt = $_GET['latt'];
	$long = $_GET['long'];
	$distance = $_GET['distance'];
	$current_min = $distance;
	$none_class = '';
}
$layout_type_selection = 'grid';
if (isset($_GET['layout-type']) && $_GET['layout-type'] == "list") {
	$layout_type_selection = 'list';
}
//by author
$author_id = '';
if (isset($_GET['inventory-author']) && $_GET['inventory-author'] != "")
{
	$author_id = $_GET['inventory-author'];
}
?>
<div class="clearfix"></div>
<div class="container-fluid search-modern search-section">
        <div class="row flex-xl-nowrap ">
            <div class="bd-sidebar col-12 col-md-12 col-lg-3 col-xl-2 col-xxl-2 no-padding">
                <nav class="bd-links " id="bd-docs-nav">
          			<div class="project-sidebar ">
            <div class="form-submit">
				<form id="mw-search-inv">
					  <?php
						if (is_active_sidebar('mw_search_seach_bar'))
						{
							dynamic_sidebar('mw_search_seach_bar');
						}                
					  ?>
					<div class="submit-btn">
						<input type="hidden" name="layout-type" value="<?php echo esc_attr($layout_type_selection); ?>">
						<input type="hidden" name="inventory-author" value="<?php echo esc_attr($author_id); ?>">
						<button class="btn btn-theme btn-block filter-results" type="button"> <?php echo esc_html__('Filter Result','maxwheels'); ?></button>
					</div>
				</form>
            </div>
          </div>
                </nav>
            </div>
            <main class="col-12 col-md-12 col-lg-9 col-xl-10 col-xxl-10 bd-content custom-padding" role="main">
                <div class="row">
      	<div class="col-12 col-xl-12 col-md-12 col-sm-12">
        <div class="filter-sorting-bar d-flex flex-wrap justify-content-between align-items-center">
            <h4>
                <?php echo wp_sprintf(__('<span class="clr-yal"> %d </span> Results Found ', 'maxwheels'),esc_attr($results->found_posts)); ?>
            </h4>
            <div class=" d-flex d-block">
			<span id="result_reset" class=" d-flex flex-wrap align-items-center">
			<i class="fas fa-sync-alt" aria-hidden="true"></i> <a class="main-listing__clear" href="<?php echo esc_url(maxwheels_framework_get_link('page-listing-search.php')); ?>"><?php echo esc_html__('Reset All Filters','maxwheels') ?></a> 
			</span>
             <div class="short-by">
                <select name="sort-by" id="sort-by" class="sort-selects" data-placeholder="<?php echo esc_attr__('Newest To Oldest', 'maxwheels'); ?>">
                  <option value="newest"><?php echo esc_html__('Newest To Oldest', 'maxwheels'); ?></option>
                  <option value="oldest"><?php echo esc_html__('Oldest To New', 'maxwheels'); ?></option>
                  <option value="price-asc"><?php echo esc_html__('Price: Low to High', 'maxwheels'); ?></option>
                  <option value="price-desc"><?php echo esc_html__('Price: High to Low', 'maxwheels'); ?></option>
                  <option value="mileage-asc"><?php echo esc_html__('Mileage: Low to High', 'maxwheels'); ?></option>
                  <option value="mileage-desc"><?php echo esc_html__('Mileage: High to Low', 'maxwheels'); ?></option>
                  <option value="year-desc"><?php echo esc_html__('Model Year: Latest First', 'maxwheels'); ?></option>
                  <option value="year-asc"><?php echo esc_html__('Model Year: Oldest First', 'maxwheels'); ?></option>
                </select>
              </div>
                 <ul class="filters-nav" role="tablist">
					 <li><button type="button" name="layout-type" value="grid" class="active-grid sel-class"><i class="fas fa-th"></i></button></li>
					 <li><button type="button"  name="layout-type" value="list" class="make-me-dark sel-class"><i class="fas fa-bars"></i></button></li>
				</ul>
            </div>
		</div>
        <div class="my-filer-tags">
         <?php if (!empty($_GET)) {echo maxwheels_framework_search_filters_tags($_GET);}?>
       </div>
		</div>
	  </div>
                <div class="row grid mysearch-page">
        <?php
		 $fetch_output = '';
		 if ($results->have_posts())
		 {
			 require trailingslashit(get_template_directory()) . "template-parts/search/listing-search/grids/grids.php";
			 echo maxwheels_strings_allow_html($fetch_output);
		 }
		 else
		 {
			echo maxwheels_framework_no_result_found(); 
		 }
		 ?>
       </div>
                <div class="my-loading-bar">     
        			<div class="loaders"></div>
      			</div>
                <?php if(!empty(maxwheels_pagination_search($results))) { ?>
				 <div class="row">
					   <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 margin-bottom-30"> 
						 <div id="listing_ajax_pagination"><?php echo maxwheels_pagination_search($results); ?></div>
					  </div>
				 </div>
      <?php } ?>
            </main>
        </div>
    </div>