<?php 
$container_class = 'container';
if(maxwheels_strings('mw_top_container') == 2)
{
	$container_class = 'container-fluid';
}
$no_top_pad = '';
if(maxwheels_strings('mw_top_btnset') == 2) { 
	$no_top_pad = 'no-t-pad';
}
?>
<div class="topbar-2 <?php echo esc_attr($no_top_pad); ?>">
	<div class="<?php echo esc_attr($container_class); ?>">
	   <div class="row d-flex align-items-center">
		<?php
		if(!empty(maxwheels_strings('mw_top_pages')) && is_array(maxwheels_strings('mw_top_pages')) && count(maxwheels_strings('mw_top_pages')) > 0 || !empty(maxwheels_currency_switcher()) )
		{
		?> 
		  <div class="header-top-left col-md-6 col-sm-6 col-xs-12 hidden-xs">
			 <ul class="listnone">
				<?php if(!empty(maxwheels_currency_switcher())) { ?>
				<li class="currency-dropdown">
					<?php echo maxwheels_currency_switcher(); ?>
				</li>
				<?php } ?>
				<?php
				$pages = array();
				$pages = maxwheels_strings('mw_top_pages');
				foreach($pages as $page)
				{
				?>	 
				<li class="list-inline-item"><a href="<?php echo esc_url(get_the_permalink($page)); ?>"><?php echo get_the_title($page); ?></a></li>
				<?php
				}
				?>
			 </ul>
		  </div>
		<?php
		}
		?>
		<?php	
		if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
		{
			$signuplink  = maxwheels_framework_get_link('page-signup.php');
			$signupin    = maxwheels_framework_get_link('page-signin.php');
		?> 
		  <div class="header-right col-md-6 col-sm-6 col-xs-12 ms-auto">
			 <div class="float-end">
				 <ul class="listnone logged-user-profile">
					<?php if(maxwheels_strings('mw_top_btnset') == 2) { ?>
				    	<?php if (!is_user_logged_in()) { ?>	 
				    <li><a href="<?php echo esc_url($signupin); ?>"><svg data-prefix="far" data-icon="sign-in-alt" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="svg-inline--fa fa-sign-in-alt fa-w-16 fa-fw fa-lg"><path fill="currentColor" d="M144 112v51.6H48c-26.5 0-48 21.5-48 48v88.6c0 26.5 21.5 48 48 48h96v51.6c0 42.6 51.7 64.2 81.9 33.9l144-143.9c18.7-18.7 18.7-49.1 0-67.9l-144-144C195.8 48 144 69.3 144 112zm192 144L192 400v-99.7H48v-88.6h144V112l144 144zm80 192h-84c-6.6 0-12-5.4-12-12v-24c0-6.6 5.4-12 12-12h84c26.5 0 48-21.5 48-48V160c0-26.5-21.5-48-48-48h-84c-6.6 0-12-5.4-12-12V76c0-6.6 5.4-12 12-12h84c53 0 96 43 96 96v192c0 53-43 96-96 96z" class=""></path></svg> Log in</a></li>
				    <li><a href="<?php echo esc_url($signuplink); ?>"><svg aria-hidden="true" focusable="false" data-prefix="far" data-icon="sign-out-alt" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="svg-inline--fa fa-sign-out-alt fa-w-16 fa-fw fa-lg"><path fill="currentColor" d="M272 112v51.6h-96c-26.5 0-48 21.5-48 48v88.6c0 26.5 21.5 48 48 48h96v51.6c0 42.6 51.7 64.2 81.9 33.9l144-143.9c18.7-18.7 18.7-49.1 0-67.9l-144-144C323.8 48 272 69.3 272 112zm192 144L320 400v-99.7H176v-88.6h144V112l144 144zM96 64h84c6.6 0 12 5.4 12 12v24c0 6.6-5.4 12-12 12H96c-26.5 0-48 21.5-48 48v192c0 26.5 21.5 48 48 48h84c6.6 0 12 5.4 12 12v24c0 6.6-5.4 12-12 12H96c-53 0-96-43-96-96V160c0-53 43-96 96-96z" class=""></path></svg>Register</a></li>
					<?php } ?> 
				   <?php 
					if (is_user_logged_in())
					{ 
						$local = maxwheels_localization();
						$image_id = '';
						$dashboard_page = '#';
						$dashboard_page = maxwheels_framework_get_link('page-dashboard.php');
						$type = '';
						$user_id = get_current_user_id();
						if(get_user_meta($user_id, 'user_role_type', true) !="")
						{
							$type = get_user_meta($user_id, 'user_role_type', true);	
						}
						$post_id = '';
						if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
						{
							$post_id = get_user_meta( $user_id, 'mw_post_id' , true);
						}
					?>
			  		<li class="nav-item nav-profile dropdown">
							<a  href="#" id="authDropdown" class="dropdown-toggle" data-bs-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
								<span class="myname hidden-xs"> <?php echo get_the_title($post_id); ?></span></a>
							</a>
							<div class="dropdown-menu dropdown-menu-right navbar-dropdown profile-top" aria-labelledby="authDropdown">
								<div class="profile-header d-flex align-items-center">
									<div class="thumb-area">
										<img src="<?php echo esc_url(maxwheels_placeholder_images($type,$post_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>">
										
									</div>
									<div class="content-text">
										<h6><?php echo get_the_title($post_id); ?></h6>
										<p class="mb-0 text-capitalize"><?php echo esc_html($type); ?></p>
									</div>
								</div>
								
								<a href="<?php echo esc_url($dashboard_page); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>  <?php echo esc_html($local['dashboard']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=my-profile'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
										<circle cx="12" cy="7" r="4"></circle>
									</svg> <?php echo esc_html($local['profile']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=publish'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<circle cx="12" cy="12" r="3"></circle>
										<path d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>
									</svg> <?php echo esc_html($local['my_properties']); ?></a>

								<a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
										<polyline points="16 17 21 12 16 7"></polyline>
										<line x1="21" y1="12" x2="9" y2="12"></line>
									</svg> <?php echo esc_html($local['logout']); ?></a>
							</div>
						</li>
		    	    <?php } ?>
					<?php 
					if(maxwheels_strings('mw_other_btn') == true)
					{
						$page_url = maxwheels_framework_get_link('page-submit-listings.php');
					?>
					<li>
					  <a href="<?php echo esc_url($page_url); ?>" class="btn btn-theme"><i class="<?php echo esc_attr(maxwheels_strings('mw_anotherbtn_icon'));?>"></i><span> <?php echo maxwheels_strings('mw_anotherbtn_txt'); ?></span></a>
					</li>
					<?php
					}
					?>
			  		<?php } ?>
			  		<?php if(maxwheels_strings('mw_top_btnset') == 1)
					{
						$otherpages = array();
						$otherpages = maxwheels_strings('mw_top_otherpages');
						foreach($otherpages as $pages)
						{
			        ?>
			 			 <li><a href="<?php echo esc_url(get_the_permalink($pages)); ?>"><?php echo get_the_title($pages); ?></a></li>
			  		<?php
						}
					} 
			       ?>
				</ul>
			 </div>
		  </div>
	    <?php
		}
		?>
	   </div>
	</div>
</div>