<?php
$image_id = '';
if(is_page_template('page-signup.php') && maxwheels_strings('mw_enable_head_foot') == false || is_page_template('page-signin.php') && maxwheels_strings('mw_enable_head_foot') == false)
{
}
else
{
	echo maxwheels_site_footer();
}
?>
<button class="scroll-top scroll-to-target" data-target="html"><span class="fas fa-angle-up"></span></button>
<?php get_template_part( 'template-parts/authorization/password','reset' );  ?>
<?php get_template_part( 'template-parts/dashboard/role/assign','role' );  ?>
<?php get_template_part( 'template-parts/compare/compare','listings' );  ?>
<?php get_template_part( 'template-parts/modals/modals','listings' );  ?>
<?php get_template_part( 'template-parts/mobile/nav' );  ?>
<?php
$rtl = 0;
if ( is_rtl() ){$rtl = 1;}
?>
<input type="hidden" name="is_rtl" value="<?php echo esc_attr($rtl); ?>">
<?php
$is_curr_loc = 0;
if(isset($_COOKIE['user_current_latt']) && isset($_COOKIE['user_current_long']))
{
	$is_curr_loc = 1;
}
?>
<input type="hidden" name="is_curr_location" value="<?php echo esc_attr($is_curr_loc); ?>">
<div class="modal fade" id="vinModalCenter" tabindex="-1" role="dialog" aria-hidden="true">
<div class="modal-dialog modal-dialog-centered" role="document">
	<div class="modal-content">
	  <div class="modal-body">
			  <img src="<?php echo esc_url(get_template_directory_uri() . "/libs/images/vin.png"); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" class="img-fluid mx-auto d-block p-3" />
			<h3><?php echo esc_html__('Where is my VIN?','maxwheels'); ?></h3>
		   <p><?php echo esc_html__('The VIN is a unique identification number for your vehicle. It is 17 characters in length.','maxwheels'); ?></p>
		   <ol>
				<li>
					<h4><?php echo esc_html__('Under the windscreen wipers','maxwheels'); ?></h4>
					<p><?php echo esc_html__('Visible through the bottom of the windscreen','maxwheels'); ?></p>                       
				</li>
				<li>
					<h4><?php echo esc_html__('Engine Bay','maxwheels'); ?></h4>
					<p><?php echo esc_html__('Under the bonnet, usually at the front or back','maxwheels'); ?></p>                       
				</li>
				<li>
					<h4><?php echo esc_html__('Stamped on the chassis','maxwheels'); ?></h4>
					<p><?php echo esc_html__('Some utes and 4WDs, visible within a wheel arch','maxwheels'); ?></p>                       
				</li>
				<li>
					<h4><?php echo esc_html__('Inside front door','maxwheels'); ?></h4>
					<p><?php echo esc_html__('Open the door and look on the frame','maxwheels'); ?></p>                       
				</li>
		 </ol>
	</div>
	</div>
</div>
</div>
<?php wp_footer(); ?>
</body>
</html>