<?php
if (!class_exists('maxwheels_get_dealers'))
{
	 class maxwheels_get_dealers 
	 {
		 
		 function maxwheels_get_dealers_grid1($dealer_id,$col_size = '')
		{
			if ($col_size == 3){$col_size = 'col-xl-4 col-xxl-4 col-lg-6 col-md-6 col-sm-12 col-12';} 
			else if ($col_size == 2){$col_size = 'col-xxl-6 col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 4){$col_size = 'col-xxl-3 col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';}
			else if ($col_size == 12){$col_size = 'col-xxl-12 col-xl-12 col-md-12 col-sm-12 col-12';}
			else {$col_size = 'col-xxl-4 col-xl-4 col-lg-6 col-md-6 col-sm-12 col-12';}
			$ratings = array();
			$badge_html = $ang_status = $is_featured = '';
			$overview = $email = $number = $badge_limit = $badge_html  = $ang_status = $location =  $star_ratings =  $badge_clr = $badge_txt = $badge = $location =  $star_ratings = $badge_limit = ''; 
			$badge_limit = 0;
			$badge_limit = maxwheels_strings('mw_ag_recommended_badge');
			$allowed_html = maxwheels_allowed_html();
			$localization = maxwheels_localization();
			$owner = get_post_field( 'post_author', $dealer_id );
			//featured
			$sponsered = '';
			if(get_post_meta($dealer_id, 'mw_sponsored_profile', true ) == 1)
			{
				$sponsered = 'sponsered-profile';
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Sponsored','maxwheels').' </span>';
			}
			//ratings
			$ratings = maxwheels_reviews_stats_average($dealer_id,'property-dealer','dealer');
			if(!empty($ratings) && is_array($ratings) )
			{
				if($ratings['rated_no_of_times'] >= $badge_limit)
				{
				$badge_html = '<div class="is_agen_recommended"><button class="btn" type="button" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_html__('Most Recommended','maxwheels').'"><i class="fas fa-shield-alt"></i></button></div>';
				$star_ratings = '<span class="ratings">'.wp_kses($ratings['total_stars'],$allowed_html).'<span class="rating-avg">'.$ratings['total_average'].'</span></span>';
				}
				else
				{
					$star_ratings = '<span class="ratings">'.wp_kses($ratings['total_stars'],$allowed_html).'<span class="rating-avg">'.$ratings['total_average'].'</span></span>';
				}
			}
			//badge text
			if(get_post_meta($dealer_id, 'dealer_badge_txt', true ) !="" && get_post_meta($dealer_id, 'dealer_badge_clr', true )!="")
			{
				$badge_txt = get_post_meta($dealer_id, 'dealer_badge_txt', true );
				$badge_clr = get_post_meta($dealer_id, 'dealer_badge_clr', true );
				$badge = '<div class="is_agen_trusted"><button class="btn" type="button" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($badge_txt).'"><i class="fas fa-thumbs-up"></i></button></div>';
			}
			 //address
			if(get_post_meta($dealer_id, 'dealer_street_addr', true )!="")
			{
				$location = '<p>'.esc_html(get_post_meta($dealer_id, 'dealer_street_addr', true )).'</p>';
			}
			//mobile number
			if(get_post_meta($dealer_id, 'dealer_mobile', true )!="")
			{
				$number = '<li><svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="0.63em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 320 512"><path d="M272 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h224c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM160 480c-17.7 0-32-14.3-32-32s14.3-32 32-32s32 14.3 32 32s-14.3 32-32 32zm112-108c0 6.6-5.4 12-12 12H60c-6.6 0-12-5.4-12-12V60c0-6.6 5.4-12 12-12h200c6.6 0 12 5.4 12 12v312z" fill="#626262"/></svg><p><span class="click-reveal phonenumber">'.esc_html(get_post_meta($dealer_id, 'dealer_mobile', true )).'</span></p></li>';
			}
			//email
			if(get_post_meta($dealer_id, 'dealer_email', true )!="")
			{
				$email = '<li>
					<i class="clr-yal fa fa-map-marker-alt"></i>
					<p>'.esc_html(get_post_meta($dealer_id, 'dealer_email', true )).'</p>
				</li>';
			}
			//featured
			if(get_post_meta($dealer_id, 'dealer_is_featured', true ) =="1")
			{
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Featured','maxwheels').' </span>';
			}
			//listings
			$listing_count = '<li><svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 26 26"><path d="M1 0C.449 0 0 .449 0 1v16c0 .551.449 1 1 1h16c.551 0 1-.449 1-1V1c0-.551-.449-1-1-1H1zm1 2h14v12H2V2zm17 .906v2.031l1.813.313L19 15.75V17c0 1.104-.897 2-2 2H6.406l12.688 2.188a1 1 0 0 0 1.156-.813l2.688-15.781a.999.999 0 0 0-.813-1.157L19 2.907zM9 3.937c-1.151 0-2.125.792-2.125 2.282c0 .974.434 1.952 1.031 2.562c.234.61-.164.842-.25.875c-1.206.436-2.625 1.245-2.625 2.031v1.282h7.938v-1.281c0-.81-1.422-1.614-2.688-2.032c-.058-.019-.417-.18-.187-.875c.595-.61 1.062-1.593 1.062-2.562c0-1.49-1.005-2.282-2.156-2.282zm14.406 3.97l-.343 1.968l.718.156l-2.75 11.688l-.406-.094a1.954 1.954 0 0 1-1.719.531L5.063 19.781L4.78 20.97a1.023 1.023 0 0 0 .75 1.218l15.563 3.657a1.023 1.023 0 0 0 1.218-.75L25.938 9.53c.127-.536-.18-1.091-.718-1.219l-1.813-.406z" fill="#626262"/></svg><p>'.wp_sprintf(esc_html__('Total Listings : %s ', 'maxwheels'), maxwheels_count_listing($owner)).'</p>
			</li>';
			return '<div class="'.esc_attr($col_size).' margin-bottom-30 grid-item my-dealer-1">
            <div class="bg-autoh2 bgclr-white agnc '.esc_attr($sponsered).'">
			'.wp_kses($ang_status,$allowed_html).'
              <div class="upper-contain">
				<div class="agen-thumb-img">
					<a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_responsive_images($dealer_id,'full','dealer').'</a>
				</div>
              </div>
			  <div class="all-content-area">
				 <h2>
					<a class="clr-black" href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_title_limit($dealer_id,45).'</a>
				</h2>
				'.wp_kses($location,$allowed_html).'
				'.$star_ratings.'
					<ul class="short-desc">
						'.$listing_count .'
						'.$number.'
					</ul>
				</div>
            </div>
          </div>';
		}
		 
		 
		function maxwheels_get_dealers_minimal($dealer_id,$col_size = '')
		{
			$ratings = array();
			$badge_html = $ang_status = $is_featured = '';
			$overview = $email = $number = $badge_limit = $badge_html  = $ang_status = $location =  $star_ratings =  $badge_clr = $badge_txt = $badge = $location =  $star_ratings = $badge_limit = ''; 
			$badge_limit = 0;
			$badge_limit = maxwheels_strings('mw_ag_recommended_badge');
			$allowed_html = maxwheels_allowed_html();
			$localization = maxwheels_localization();
			$owner = get_post_field( 'post_author', $dealer_id );
			//featured
			$sponsered = '';
			if(get_post_meta($dealer_id, 'mw_sponsored_profile', true ) == 1)
			{
				$sponsered = 'sponsered-profile-';
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Sponsored','maxwheels').' </span>';
			}
			
			//badge text
			if(get_post_meta($dealer_id, 'dealer_badge_txt', true ) !="" && get_post_meta($dealer_id, 'dealer_badge_clr', true )!="")
			{
				$badge_txt = get_post_meta($dealer_id, 'dealer_badge_txt', true );
				$badge_clr = get_post_meta($dealer_id, 'dealer_badge_clr', true );
				$badge = '<div class="is_agen_trusted"><button class="btn" type="button" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr($badge_txt).'"><i class="fas fa-thumbs-up"></i></button></div>';
			}
			 //address
			if(get_post_meta($dealer_id, 'dealer_street_addr', true )!="")
			{
				$location = '<p>'.esc_html(get_post_meta($dealer_id, 'dealer_street_addr', true )).'</p>';
			}
			//mobile number
			if(get_post_meta($dealer_id, 'dealer_mobile', true )!="")
			{
				$number = '<li><svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="0.63em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 320 512"><path d="M272 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h224c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM160 480c-17.7 0-32-14.3-32-32s14.3-32 32-32s32 14.3 32 32s-14.3 32-32 32zm112-108c0 6.6-5.4 12-12 12H60c-6.6 0-12-5.4-12-12V60c0-6.6 5.4-12 12-12h200c6.6 0 12 5.4 12 12v312z" fill="#626262"/></svg><p><span class="click-reveal phonenumber">'.esc_html(get_post_meta($dealer_id, 'dealer_mobile', true )).'</span></p></li>';
			}
			//email
			if(get_post_meta($dealer_id, 'dealer_email', true )!="")
			{
				$email = '<li>
					<i class="clr-yal fa fa-map-marker-alt"></i>
					<p>'.esc_html(get_post_meta($dealer_id, 'dealer_email', true )).'</p>
				</li>';
			}
			//featured
			if(get_post_meta($dealer_id, 'dealer_is_featured', true ) =="1")
			{
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Featured','maxwheels').' </span>';
			}
			
			
			return '<div class="not-lef col-xl-4 col-xxl-3 col-lg-4 col-md-6 col-sm-6 col-12">
                        <div class="dealers-minimal">
                            '.wp_kses($ang_status,$allowed_html).'
                            <div class="deal-min-img">
                               <a class="clr-black" href="'.esc_url(get_the_permalink($dealer_id)).'"> '.maxwheels_responsive_images($dealer_id,'full','dealer').'</a>
                            </div>
                            <div class="agency-grid-6-content">
                                  <span class="agency-grid-6-properties">'.esc_html__('Listings ', 'maxwheels').maxwheels_count_listing($owner).'</span>
                                <h3><a class="clr-black" href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_title_limit($dealer_id,45).'</a></h3>
                            </div>
                        </div>
                    </div>';
		}
		
		//dealer List style 1
		function maxwheels_get_dealers_list1($dealer_id)
		{
			$owner = get_post_field( 'post_author', $dealer_id );
			$ratings = array();
			$badge_limit = $badge_html  = $ang_status = $location =  $star_ratings = '';
			$allowed_html = maxwheels_allowed_html();
			//ratings
			$ratings = maxwheels_reviews_stats_average($dealer_id,'property-dealer','dealer');
			if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0)
			{
				$star_ratings = '<span class="ratings">'.wp_kses($ratings['total_stars'],$allowed_html).' &nbsp; '.wp_sprintf(esc_html__('(%s Reviews)', 'maxwheels'), $ratings['rated_no_of_times']).'</span>';
			}
            $direction = 'me-3';
            $direction_2 = 'me-2';
            $direction_3 = 'me-4';
            $margin = 'ms-auto';
			if(is_rtl())
            {
                $direction = 'ms-3';
                $direction_2 = 'ms-2';
                $direction_3 = 'ms-4';
                $margin = 'ms-auto';
            }
			//address
			if(get_post_meta($dealer_id, 'dealer_street_addr', true )!="")
			{
				$location = '<p>'.esc_html(get_post_meta($dealer_id, 'dealer_street_addr', true )).'</p>';
			}
			//featured
			$sponsered = '';
			if(get_post_meta($dealer_id, 'mw_sponsored_profile', true ) == 1)
			{
				$sponsered = 'sponsered-profile';
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Sponsored','maxwheels').' </span>';
			}
			return '<div class="col-12 col-xl-12 col-sm-12 col-lg-12 grid-item dealer-list-2">
			  <div class="card align-self-center '.esc_attr($sponsered).'">
				<div class="d-flex justify-content-center card-body p-3 align-self-center agen-list-1">
				 '.wp_kses($ang_status,$allowed_html).'
					<div class="agen-list-img-box '.esc_attr($direction).'"> 
					<a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_responsive_images($dealer_id,'full','dealer','').'</a>
					</div>
				  <div class="align-self-center"> 
					<h4><a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_title_limit($dealer_id,25).'</a></h4>
					'.wp_kses($location,$allowed_html).'
					  <div class="rating-stars-container '.esc_attr($direction_2).'">
						'.$star_ratings.' 
					  </div>
				  </div>
				  <div class="align-self-center '.esc_attr($margin).'"> <a class="btn btn-light '.esc_attr($direction_3).'" href="'.esc_url(get_the_permalink($dealer_id)).'">'.wp_sprintf(esc_html__('%s Listings', 'maxwheels'), maxwheels_count_listing($owner)).'</a> </div>
				</div>
			  </div>
			</div>';
		}
		
		//dealer List style 2
		function maxwheels_get_dealers_list2($dealer_id)
		{
			$owner = get_post_field( 'post_author', $dealer_id );
			$ratings = array();
			$overview = $email = $number = $badge_limit = $badge_html  = $ang_status = $location =  $star_ratings = '';
			$allowed_html = maxwheels_allowed_html();
			//address
			if(get_post_meta($dealer_id, 'dealer_street_addr', true )!="")
			{
				$location = '<li>
				<div class="widget-inner-elements">
					<div class="widget-inner-icon"> <i class="fas fa-map-marker-alt"></i> </div>
					<div class="widget-inner-text">'.esc_html(get_post_meta($dealer_id, 'dealer_street_addr', true )).'</div>
				 </div>
				</li>';
			}
			//mobile number
			if(get_post_meta($dealer_id, 'dealer_mobile', true )!="")
			{
				$number = '<li>
				 <div class="widget-inner-elements">
					<div class="widget-inner-icon"> <i class="fas fa-phone-alt"></i> </div>
					<div class="widget-inner-text"><span class="click-reveal phonenumber">'.esc_html(get_post_meta($dealer_id, 'dealer_mobile', true )).'</span></div>
				 </div>
				 </li>';
			}
			//email
			if(get_post_meta($dealer_id, 'dealer_email', true )!="")
			{
				$email = '<li>
				<div class="widget-inner-elements">
					<div class="widget-inner-icon"> <i class="fas fa-envelope-open-text"></i> </div>
					<div class="widget-inner-text">'.esc_html(get_post_meta($dealer_id, 'dealer_email', true )).'</div>
				 </div>
				</li>';
			}
			//featured
			$sponsered = '';
			if(get_post_meta($dealer_id, 'mw_sponsored_profile', true ) == 1)
			{
				$sponsered = 'sponsered-profile';
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Sponsored','maxwheels').' </span>';
			}
			//listings
			$listing_count = '<li>
				<div class="widget-inner-elements">
					<div class="widget-inner-icon"> <i class="fas fa-layer-group"></i> </div>
					<div class="widget-inner-text"> '.wp_sprintf(esc_html__('Total Listings : %s ', 'maxwheels'), maxwheels_count_listing($owner)).' </div>
				 </div>
			</li>';
			
			return '<div class="col-lg-12 col-sm-12 col-xl-12 col-12 grid-item dealer-list-2">
			<div class="row gx-0 agen-list-2">
			
			<div class="col-12 col-md-5 col-sm-12 col-xxl-4 align-self-center">
				<div class="agen-list-2-thumbnail">
								<a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_responsive_images($dealer_id,'full','dealer').'</a>
							</div>
							'.wp_kses($ang_status,$allowed_html).'
						</div>
						<div class="col-md-7 col-xxl-8 col-sm-12 ag-content-area '.esc_attr($sponsered).'">
								<h3><a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_title_limit($dealer_id,35).'</a></h3>
							<p class="mb-2 mt-2">'.wp_trim_words(get_the_content(), 22, '...' ).'</p>
							<ul class="short-desc">
							    '.$listing_count .'
								'.wp_kses($number,$allowed_html).'
								'.wp_kses($location,$allowed_html).'
							</ul>
					</div>	
				</div>
			</div>';
		}
		
		//dealer List style 3
		function maxwheels_get_dealers_list3($dealer_id)
		{
			$owner = get_post_field( 'post_author', $dealer_id );
			$ratings = array();
			$hours = $whats = $fax = $office  = $overview = $email = $number = $badge_limit = $badge_html  = $ang_status = $location =  $star_ratings = '';
			$allowed_html = maxwheels_allowed_html();
			//address
			if(get_post_meta($dealer_id, 'dealer_street_addr', true )!="")
			{
				$location = '<div class="ag-loc">
					<svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 512 512"><path fill="#626262" d="M253.924 127.592a64 64 0 1 0 64 64a64.073 64.073 0 0 0-64-64zm0 96a32 32 0 1 1 32-32a32.037 32.037 0 0 1-32 32z"/><path fill="#626262" d="M376.906 68.515A173.922 173.922 0 0 0 108.2 286.426l120.907 185.613a29.619 29.619 0 0 0 49.635 0l120.911-185.613a173.921 173.921 0 0 0-22.747-217.911zm-4.065 200.444l-118.916 182.55l-118.917-182.55c-36.4-55.879-28.593-130.659 18.563-177.817a141.92 141.92 0 0 1 200.708 0c47.156 47.158 54.962 121.938 18.562 177.817z"/></svg><p>'.esc_html(get_post_meta($dealer_id, 'dealer_street_addr', true )).'</p>
				</div>';
			}
			//mobile number
			if(get_post_meta($dealer_id, 'dealer_mobile', true )!="")
			{
				$number = '<li><strong>'.esc_html__('Mobile','maxwheels').' : </strong>'.esc_html(get_post_meta($dealer_id, 'dealer_mobile', true )).'</li>';
			}
			//email
			if(get_post_meta($dealer_id, 'dealer_email', true )!="")
			{
				$email ='<li><strong>'.esc_html__('Email','maxwheels').' : </strong>'.esc_html(get_post_meta($dealer_id, 'dealer_email', true )).'</li>';
			}
			
			//Whatsapp number
			if(get_post_meta($dealer_id, 'dealer_whats', true )!="")
			{
				$whats ='<li><strong>'.esc_html__('WhatsApp','maxwheels').' : </strong>'.esc_html(get_post_meta($dealer_id, 'dealer_whats', true )).'</li>';
			}
			//Working Hours
			if(get_post_meta($dealer_id, 'dealer_hours', true )!="")
			{
				$hours ='<li><strong>'.esc_html__('Working Hours','maxwheels').' : </strong>'.esc_html(get_post_meta($dealer_id, 'dealer_hours', true )).'</li>';
			}
			//featured
			$sponsered = '';
			if(get_post_meta($dealer_id, 'mw_sponsored_profile', true ) == 1)
			{
				$sponsered = 'sponsered-profiles';
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Sponsored','maxwheels').' </span>';
			}
			//listings
			$listing_count = '<li><i class="clr-yal far fa-bullseye-arrow"></i>
			<p>'.wp_sprintf(esc_html__('Total Listings : %s ', 'maxwheels'), maxwheels_count_listing($owner)).'</p>
			</li>';
			return '<div class="col-lg-12 col-sm-12 col-xl-12 col-12 grid-item ">
			<div class="row g-0 agen-list-3">
			<div class="col-12 col-md-4 col-sm-12 ag-3-col">
				<div class="agen-list-3-thumbnail h-100 ">
								<a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_responsive_images($dealer_id,'full','dealer').'</a>
							</div>
							'.wp_kses($ang_status,$allowed_html).'
						</div>
						<div class="col-md-8 col-sm-12 ag-content-area '.esc_attr($sponsered).'">
								<h3><a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_title_limit($dealer_id,35).'</a></h3>
								'.$location.'
							<p class="mb-2">'.wp_trim_words(get_the_content(), 16, '...' ).'</p>
							<ul class="list-unstyled">
							  '.$number.'
							  '.$whats.'
							  '.$email.'	
							  '.$hours.'	
                    		</ul>
					</div>	
				</div>
			</div>';
			
		}
		
	
		//Trusted Agencies
		function maxwheels_get_trusted_agencies($dealer_id)
		{
			$owner = get_post_field( 'post_author', $dealer_id );
			return '<li class="list-group-item">
				<div class="avatar avatar-online">
				<a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_responsive_images($dealer_id,'maxwheels-user-thumb','dealer').'</a>
				</div>
				<div class="list-body">
				  <h6><a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_title_limit($dealer_id,24).'</a></h6>
					<div class="list-meta">
					 <ul>
						<li class="list-meta-with-icons single-d-views">'.wp_sprintf(esc_html__('Listings : %s', 'maxwheels'), maxwheels_count_listing($owner)).'</li>
						<li class="list-meta-with-icons single-d-views">'.wp_sprintf(esc_html__('Views : %s', 'maxwheels'), maxwheels_number_format_short(get_post_meta($dealer_id, 'mw_dealer_singletotal_views', true))).' </li>
					 </ul>
					</div>
				</div>
			  </li>';
		}
		
		
		//Most Viewed Agencies
		function maxwheels_get_most_viewed_agencies($dealer_id)
		{
			$ratings = array();
			$badge_html = $ang_status = $is_featured = '';
			$image_id = $badge_clr = $badge_txt = $badge = $location =  $star_ratings = $badge_limit = ''; 
			$allowed_html = maxwheels_allowed_html();
			//featured
			if(get_post_meta($dealer_id, 'dealer_is_featured', true ) =="1")
			{
				$ang_status = '<span class="theme-custom-ribbon"> '.esc_html__('Featured','maxwheels').' </span>';
			}
			//ratings
			$ratings = maxwheels_reviews_stats_average($dealer_id,'property-dealer','dealer');
			if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] >= $badge_limit)
			{
				$star_ratings = '<span class="ratings">'.wp_kses($ratings['total_stars'],$allowed_html).'<span class="rating-avg">'.$ratings['total_average'].'</span></span>';
			}
			
			$cover_img = '';
			$cover_img = maxwheels_placeholder_cover_thumbnail($dealer_id,'maxwheels-background');
			return '<div class="card agen-cards">
			'.wp_kses($ang_status,$allowed_html).'
				<img src="'.esc_url($cover_img).'" alt="'.esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)).'" class="card-img">
				<div class="agen-card-content">
					<div class="card-body d-flex justify-content-end">
						<div class="avatar-group d-flex">
							<div class="avatar avatar-xs">
								<a href="'.esc_url(get_the_permalink($dealer_id)).'">
								'.maxwheels_responsive_images($dealer_id,'maxwheels-user-thumb','dealer','avatar-img rounded-circle').'
								</a>
							</div>
						</div>
					</div>
					<div class="agen-card-area card-body">
						<small class="d-flex">'.wp_sprintf(esc_html__('Views : %s', 'maxwheels'), maxwheels_number_format_short(get_post_meta($dealer_id, 'mw_dealer_singletotal_views', true))).'</small>
						'.$star_ratings.'
						<h4><a href="'.esc_url(get_the_permalink($dealer_id)).'">'.maxwheels_title_limit($dealer_id,24).'</a></h4>
					</div>
				</div>
			</div>';
		}
	 }
}