<?php
   $localization = maxwheels_localization();
   global $maxwheels_options;
   $term_conditions = '#';
   $image_id = '';
   if(maxwheels_strings('mw_terms_page') != '')
   {
	  $term_conditions = get_the_permalink(maxwheels_strings('mw_terms_page'));
   }
   $custom_height = '';
   if(is_page_template('page-signup.php') && maxwheels_strings('mw_enable_head_foot') == true)
   {
	   $custom_height = 'hv-custom';
   }
?>
<div class="clearfix"></div>
<div class="container-fluid auth-form-fields light-bg">
        <div class="row align-items-center">
            <div class="col-md-12 col-sm-12 col-12 col-xl-5 col-xxl-4 col-lg-12 mx-auto">
                <div class="login-form mt-5 mt-md-0">
                    <?php 
					if(is_page_template('page-signup.php') && maxwheels_strings('mw_enable_head_foot') == false || is_page_template('page-signin.php') && maxwheels_strings('mw_enable_head_foot') == false)
					{
						echo maxwheels_site_logo_only();
					}
					?>
                    <?php if(maxwheels_strings('mw_signup_form_txt') != '') { ?>
					<h1><?php echo maxwheels_strings('mw_signup_form_txt'); ?></h1>
                    <?php } ?>
                    <?php if(maxwheels_strings('mw_signup_slogan') != '') { ?>
                    	<p class="mt-1 mb-4 mb-md-6"><?php echo maxwheels_strings('mw_signup_slogan'); ?><br></p>
                    <?php } ?>
                    <form class="my-form" name="signupForm" method="POST" id="signupForm">
                    
					<?php if($maxwheels_options['mw_user_role_type'] == '' || $maxwheels_options['mw_user_role_type']  == 'both') { ?>	
                    <div class="theme-row">
                     <label><?php echo esc_html($localization['user_type']); ?> <span class="req-mark">*</span></label>
                     <span class="wrap">
                     <select class="form-control theme-selects" data-sanitize="trim" name="usertype" data-placeholder="<?php echo esc_attr__('Select User Type','maxwheels');?>" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>">
                         <option value="dealer"><?php echo esc_html__('Dealer','maxwheels');?></option>
                         <option value="buyer"><?php echo esc_html__('Buyer/Individual','maxwheels');?></option>
					</select>
                     </span> 
                  </div>
					<?php } ?>
					<?php if($maxwheels_options['mw_show_mobile_number'] != '' && $maxwheels_options['mw_show_mobile_number']  == true) { ?>	
					<div class="row">
						<div class="col-md-12 col-lg-12 col-xl-12 col-12">
							  <div class="theme-row">
								 <label><?php echo esc_html($localization['my_mob']); ?> <span class="req-mark">*</span></label>
								 <span class="wrap">
								 <input type="text" autocomplete="off" data-sanitize="trim" name="contactno" class="form-control text" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>">
								 </span> 
							  </div>
						  </div>
                  	</div>	
                    <?php } ?>
                    <div class="row">
            	<div class="col-md-12 col-lg-6 col-xl-6 col-12">
                  <div class="theme-row">
                     <label><?php echo esc_html($localization['username']); ?> <span class="req-mark">*</span></label>
                     <span class="wrap">
                     <input type="text" autocomplete="off" data-sanitize="trim" name="username" class="form-control text" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>">
                     </span> 
                  </div>
                  </div>
                  <div class="col-md-12 col-lg-6 col-xl-6 col-12">
                  <div class="theme-row">
                     <label><?php echo esc_html($localization['display_name']); ?>  <i class="far fa-question-circle" data-bs-toggle="popover" data-bs-placement="top" data-content="<?php echo esc_attr($localization['displayname_popover']); ?>"></i></label>
                     <span class="wrap">
                     <input type="text" autocomplete="off" data-sanitize="trim" name="displayname" class="form-control text" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>">
                     </span> 
                  </div>
                  </div>
                  
                  </div>
                  
                  <div class="theme-row">
                     <label><?php echo esc_html($localization['email']); ?> <span class="req-mark">*</span></label>
                     <span class="wrap">
                     <input type="email" autocomplete="off" data-validation="email" data-sanitize="trim" name="email" class="form-control text" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>">
                     </span> 
                  </div>
                  
                  <div class="theme-row">
                     <label><?php echo esc_html($localization['pass']); ?> <span class="req-mark">*</span></label>
                     <span class="wrap">
                     <input type="password" id="password-field" autocomplete="off" data-sanitize="trim" data-validation="length" data-validation-length="3-16" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" name="password" class="form-control text">
                     </span> 
                     <div data-bs-toggle="#password-field" class="fa fa-fw fa-eye field-icon toggle-password"></div>
                  </div>
                  
                  <div class="my-checkbox  term-conditions ">
				<div class="pretty p-default">
                    <input type="checkbox" data-validation="required" />
                    <div class="state p-primary">
                        <label></label> 
                    </div>
    			</div>
    <?php echo wp_sprintf(__( 'I agree to the <a href="%s">terms of service</a>', 'maxwheels' ), esc_url($term_conditions));?>
			</div>
             <?php wp_nonce_field( 'prop-register-nonce', 'register_nonce' ); ?>     
           <button type="submit" class="btn btn-theme btn-block sonu-button" name="signup" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html($localization['signup']); ?> </button>
            <?php if(maxwheels_strings('mw_enable_social') == true) { ?>
            <div class="text-center w-full auth-or">
                <span class="txt1"><?php echo esc_html($localization['or_reg']); ?></span>
            </div>
            <div class="social-log-area is-signup">
                    <?php if(maxwheels_strings('mw_fb_key') !='') { ?>
                 <button type="button" class="btn-face fb-btn m-b-10" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>" onclick="hello('facebook').login({scope:'email'})" >
                    <i class="fab fa-facebook-f"></i>
                        <?php echo esc_html($localization['fb']); ?>
                    </button>
                    <?php } ?>
                    <?php if(maxwheels_strings('mw_google_key') !='') { ?>
                    <button type="button" class="btn-socialz gog-btn btn-google m-b-10" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>" onclick="hello('google').login({scope: 'email'})">
                    <img src="<?php echo esc_url(trailingslashit( get_template_directory_uri () )."libs/images/icon-google.webp"); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>">
                        <?php echo esc_html($localization['google']); ?>
                    </button>
                    <?php } ?>
            </div>
            <?php } ?>
			</form>
                </div>
            </div>
            <div class="col-md-12 col-sm-12 col-12 col-xl-7 col-xxl-7 col-lg-12 creative-container just-for-signup d-flex justify-content-center align-items-center image-background <?php echo esc_attr($custom_height); ?>" <?php echo (maxwheels_bg_src('mw_signup_bg')); ?>>
                <div class="creative-container-content">
					<?php if(maxwheels_strings('p_signup_first') != '') { ?>
                    <h3><?php echo maxwheels_strings('p_signup_first'); ?></h3>
                    <?php } ?>
                    <?php if(maxwheels_strings('p_signup_second') != '') { ?>
                    <h2><?php echo maxwheels_strings('p_signup_second'); ?></h2>
                    <?php } ?>
                    <div class="auth-btn-links">
                        <a class="btn btn-theme" href="#"><?php echo esc_html__("Sell your Car Today", 'maxwheels'); ?></a>
                        <a class="btn btn-theme btn-second" href="#" ><?php echo esc_html__("Search Cars", 'maxwheels'); ?></a>
                    </div>    
                </div>
            </div>
            
            
        </div>
    </div>