<?php
	global $maxwheels_options;
	$dealer_id	=	get_the_ID();
	$author_id = get_post_field( 'post_author', $dealer_id );
	//get properties
	$image_id = '';
	$comments = $agents = $propes = array();
	$paged = 1;
    $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
	$args	=	array
	(
		'post_type' => 'mx-listings',
		'author' => $author_id,
		'post_status' => 'publish',
		'posts_per_page' => 5,
        'fields' => 'ids',
		'paged' => $paged,
		'meta_key' => 'mw_is_feature_listing',
		'orderby'  => array(
			'meta_value_num' => 'DESC',
			'post_date'      => 'DESC',
		),
		'meta_query'    => array(
			array(
				'key'       => 'mw_status',
				'value'     => '1',
				'compare'   => '=',
			),
		),
		'order'=> 'DESC',
	);
	 $query = new WP_Query( $args );
	 if($query->have_posts())
	 {
		 while ($query->have_posts())
         {
				$query->the_post();
				$mw_idz	=	get_the_ID();
				$propes[] .= $mw_idz;
		 }
		 wp_reset_postdata();
	 }
	 
	 //agents
	 $agent_args	=	array
	 (
		'post_type' => 'property-agents',
		'posts_per_page' => '2',
		'paged' => '1',
		'order'=> 'DESC',
		'orderby' => 'date',
        'fields' => 'ids',
		'meta_key' => 'agent_dealer_id',
		'meta_value' => $dealer_id,
		'meta_query'    => array(
			array(
				'key'       => 'agent_status',
				'value'     => '1',
				'compare'   => '=',
			),
		),
	 );
	 $agent_query = new WP_Query($agent_args);
	 if($agent_query->have_posts())
	 {
		 while ($agent_query->have_posts())
		 {
			 $agent_query->the_post();
			 $agent_idz	=	get_the_ID();
			 $agents[] .= $agent_idz;
		 }
		 wp_reset_postdata();
	 }
	 //reviews
	 $no_off = 5;
	 if(!empty(maxwheels_strings('mw_review_limit')))
	 {
		$no_off = maxwheels_strings('mw_review_limit');
	 }
	 $comments = get_comments(array('post_id' => $dealer_id, 'orderby' => 'post_date' ,'order' => 'DESC', 'post_type' => 'mw-dealer',  'status'  => 'approve','parent'=>0, 'number' => $no_off));
	 
	 $auth_status = '';	
	 $allowed_html = maxwheels_allowed_html(); 
	if(get_post_meta($dealer_id, 'dealer_badge_txt', true ) !="" && get_post_meta($dealer_id, 'dealer_badge_clr', true )!="")
	{
		$badge_txt = get_post_meta($dealer_id, 'dealer_badge_txt', true );
		$badge_clr = get_post_meta($dealer_id, 'dealer_badge_clr', true );
		$auth_status = '<span class="badge badge-verified" style="background-color:'.$badge_clr.'">'. esc_html($badge_txt).'</span>';
	}
	$is_featured = '';
	if(get_post_meta($dealer_id, 'dealer_is_featured', true ) !="" && get_post_meta($dealer_id, 'dealer_is_featured', true )=="1")
	{ 
	   $is_featured = '<div class="featured-ribbon" data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="'.esc_attr__('Featured','maxwheels').'">
						<div><i class="fas fa-star"></i></div>
					</div>';
	}
	$reference = 'dealer';
	$type = 'mw-dealer';
	$ratings = array();
	$ratings = maxwheels_reviews_stats_average($dealer_id,$type,$reference);
	$cover_img = '';
	$cover_img = maxwheels_placeholder_cover($dealer_id);
	$search_page_link = maxwheels_framework_get_link('page-property-search.php');
	$author_id = get_post_field( 'post_author', $dealer_id );
	$auth_name = basename(get_permalink($dealer_id));
?>
<div class="single-agency-agents">
<div class="agency-agent-classic" <?php echo maxwheels_strings_allow_html($cover_img);  ?>>
  <div class="container">
    <div class="row page-section ag-short-detail">
      <div class="col-sm-12 col-md-12 col-lg-3 col-xl-3 col-12">
      </div>
      <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12">
        <div class="short-detail d-flex flex-column justify-content-end"> 
		  <div class="d-flex flex-row">
		  <?php 
              echo wp_kses($auth_status,$allowed_html);
           ?>
          </div> 
			<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
               <span class="ratings p-relative"> <?php echo wp_kses($ratings['total_stars'],$allowed_html) ; ?></span>
             <?php } ?>
          <div class="list-heading">
            <h1><?php echo get_the_title($dealer_id); ?> <span class="verified"></span></h1> 
          </div>
          <div class="m-listing-addr">
            <?php if(get_post_meta($dealer_id, 'dealer_street_addr', true )!="") { ?>
            <i class="fas fa-location-arrow clr-yal"></i> <?php echo esc_html(get_post_meta($dealer_id, 'dealer_street_addr', true )); ?> 
            <?php } ?>
            <?php if(get_post_meta($dealer_id, 'dealer_latt', true )!="" && get_post_meta($dealer_id, 'dealer_long', true )!="") { ?>
            <a class="m-listing-map" href="https://www.google.com/maps?daddr=<?php echo esc_attr(get_post_meta($dealer_id, 'dealer_latt', true )); ?>,<?php echo esc_attr(get_post_meta($dealer_id, 'dealer_long', true )); ?>" target="_blank"><?php echo esc_html__('Get Directions','maxwheels');?></a>
            <?php } ?>
          </div>
          <div class="list-meta">
            <ul>
            <?php if(get_post_meta($dealer_id, 'dealer_mobile', true )!="") { ?>
              <li  class="single-d-mobile"> <span class="list-posted-date"><i class="fas fa-phone-alt clr-yal"></i> <a class="click-reveal phonenumber" href="javascript:void(0)"><?php echo esc_html(get_post_meta($dealer_id, 'dealer_mobile', true )); ?></a></span> </li>
            <?php } ?> 
             <?php
			 if(intval(get_post_meta($dealer_id, 'mw_'.$reference.'_singletotal_views', true)!="")) { ?>
              <li class="list-meta-with-icons single-d-views"><?php echo esc_html__('Views','maxwheels'); ?> : <?php echo maxwheels_number_format_short(get_post_meta($dealer_id, 'mw_'.$reference.'_singletotal_views', true));?></li>
             <?php } ?> 
            </ul>
          </div>
        </div>
      </div>
      <div class="col-md-12 col-lg-3 col-sm-12 col-xs-12 d-flex flex-column justify-content-end align-items-end text-end">
        <div class="margin-from-top-minimal">
			<?php if(!empty($ratings) && is_array($ratings) && $ratings['rated_no_of_times'] > 0) { ?>
			<div class="head"><div class="score"><span><em><?php echo esc_html($ratings['rated_no_of_times']) . '&nbsp;'. esc_html(maxwheels_strings('mw_detail_sidebar_reviews')); ?></em></span><strong><?php echo esc_html($ratings['total_average']); ?></strong></div></div>
			<?php } ?>
			<div class="list-single-hero-links">
				<a class="lisd-link" href="#"><svg class="svg-icon-own" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path d="M15.73 3H8.27L3 8.27v7.46L8.27 21h7.46L21 15.73V8.27L15.73 3zM12 17.3c-.72 0-1.3-.58-1.3-1.3c0-.72.58-1.3 1.3-1.3c.72 0 1.3.58 1.3 1.3c0 .72-.58 1.3-1.3 1.3zm1-4.3h-2V7h2v6z" fill="#626262"/></svg><?php echo esc_html__('Report','maxwheels'); ?></a>
				<a class="custom-scroll-link lisd-link" href="#sec6"><svg class="svg-icon-own" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" focusable="false" width="1em" height="1em" style="-ms-transform: rotate(360deg); -webkit-transform: rotate(360deg); transform: rotate(360deg);" preserveAspectRatio="xMidYMid meet" viewBox="0 0 36 36"><path class="clr-i-outline clr-i-outline-path-1" d="M27.19 34a2.22 2.22 0 0 1-1.24-.38l-7.46-5a.22.22 0 0 0-.25 0l-7.46 5a2.22 2.22 0 0 1-3.38-2.41l2.45-8.64a.23.23 0 0 0-.08-.24l-7.06-5.55a2.22 2.22 0 0 1 1.29-4l9-.34a.23.23 0 0 0 .2-.15l3.1-8.43a2.22 2.22 0 0 1 4.17 0l3.1 8.43a.23.23 0 0 0 .2.15l9 .34a2.22 2.22 0 0 1 1.29 4L27 22.33a.22.22 0 0 0-.08.24l2.45 8.64A2.23 2.23 0 0 1 27.19 34zm-8.82-7.42a2.21 2.21 0 0 1 1.23.42l7.46 5a.22.22 0 0 0 .34-.25l-2.45-8.64a2.21 2.21 0 0 1 .77-2.35l7.06-5.55a.22.22 0 0 0-.13-.4l-9-.34a2.22 2.22 0 0 1-2-1.46l-3.1-8.43a.22.22 0 0 0-.42 0L15.06 13a2.22 2.22 0 0 1-2 1.46l-9 .34a.22.22 0 0 0-.13.4L11 20.76a2.22 2.22 0 0 1 .77 2.35l-2.44 8.64a.21.21 0 0 0 .08.24a.2.2 0 0 0 .26 0l7.46-5a2.22 2.22 0 0 1 1.23-.37z" fill="#626262"/></svg><?php echo esc_html__('Write a review','maxwheels'); ?></a>
			</div>
			
         </div>
      </div>
    </div>
  </div>
</div>
<div class="agency-6">
  <div class="agt-8-taber">
    <div class="container">
      <div class="row">
        <div class="col-sm-3 position-relative">
		  <div class="ag-logo">
        <div class="image-container">
       	   <?php 
              echo wp_kses($is_featured,$allowed_html);
           ?>
         <img src="<?php echo esc_url(maxwheels_placeholder_images('dealer',$dealer_id,'large')); ?>" class="img-fluid img-full" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>"/>
        </div> 
    </div>
		  </div>
        <div class="col-sm-12 col-md-12 col-lg-9 col-xl-9 col-12">
          <div class="menu-des d-flex">
            <ul class="list-unstyled ssg">
             <?php if(!empty(get_the_content($dealer_id)) && isset( $maxwheels_options['mw_ag_detail_sections']['enabled']) &&  !empty($maxwheels_options['mw_ag_detail_sections']['enabled']['over'])) { ?>
              <li class="list-inline-item"><a href="#p-overview" class="cl-class acmenu-pro-6"><?php echo maxwheels_strings('mw_settings_detail_sections'); ?></a></li>
             <?php } ?>  
             <?php if(!empty($propes) && is_array($propes) && count($propes) > 0 && isset( $maxwheels_options['mw_ag_detail_sections']['enabled']) &&  !empty($maxwheels_options['mw_ag_detail_sections']['enabled']['props']))  { ?>
              <li class="list-inline-item"><a href="#p-listings" class="cl-class"><?php echo maxwheels_strings('mw_settings_detail_menulistings'); ?></a></li>
              <?php } ?>
               <?php if(!empty($comments) && is_array($comments) && count($comments) > 0 && isset( $maxwheels_options['mw_ag_detail_sections']['enabled']) &&  !empty($maxwheels_options['mw_ag_detail_sections']['enabled']['review'])) { ?>
              <li class="list-inline-item"><a href="#p-reviews" class="cl-class"><?php echo maxwheels_strings('mw_settings_detail_menureviews'); ?></a></li>
               <?php } ?>
               <?php if(isset( $maxwheels_options['mw_ag_detail_sections']['enabled']) &&  !empty($maxwheels_options['mw_ag_detail_sections']['enabled']['write_review'])) { ?> 
              <li class="list-inline-item"><a href="#p-write-review" class="cl-class"><?php echo maxwheels_strings('mw_settings_detail_reviews_menuwrite'); ?></a></li>
              <?php } ?>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</div>
<section class="custom-padding light-bg">
    <div class="container">
        <div class="row">
             <div class="col-xl-8 col-lg-8 col-sm-12 col-md-12 col-12">
             <?php
				$layout = '';
				$layout = isset( $maxwheels_options['mw_ag_detail_sections']['enabled']) ? $maxwheels_options['mw_ag_detail_sections']['enabled'] : '';
				 if ($layout): foreach ($layout as $key => $value)
				 {
						set_query_var( 'propsingle-propes', $propes );
						set_query_var( 'propsingle-agents', $agents );
						set_query_var( 'propsingle-comments', $comments );
						switch ($key)
						{
							case 'over': get_template_part('template-parts/dealer-detial/overview/overview');
							break;
							
							case 'props': get_template_part('template-parts/dealer-detial/listings/properties');
							break;
							
							case 'review': get_template_part('template-parts/generic-sections/reviews/reviews');
							break;
							
							case 'write_review': get_template_part('template-parts/generic-sections/reviews/form');
							break;
						}
				 }
				endif;
             ?> 
             </div>
             <div class="col-xl-4 col-lg-4 col-sm-12 col-md-12 col-12">
             	<div class="single-sidebar mt-300s">
                <?php
				$sidebar_layout = '';
				$sidebar_layout = isset( $maxwheels_options['mw_ag_detail_sidebar_agency']['enabled']) ? $maxwheels_options['mw_ag_detail_sidebar_agency']['enabled'] : '';
				 if ($sidebar_layout): foreach ($sidebar_layout as $key => $value)
				 {
					switch ($key)
					{
						case 'info': get_template_part('template-parts/generic-sections/sidebar/info/info');
						break;
						
						case 'featured': get_template_part('template-parts/generic-sections/sidebar/featured/featured');
						break;
						
						case 'slot1': get_template_part('template-parts/generic-sections/sidebar/advertizment/advertizment1');
						break;
						
						case 'contact': get_template_part('template-parts/generic-sections/sidebar/contact/contact');
						break;
													
						case 'most': get_template_part('template-parts/generic-sections/sidebar/most/most');
						break;
						
						case 'slot2': get_template_part('template-parts/generic-sections/sidebar/advertizment/advertizment2');
						break;
					}
				 }
				endif;
				 ?>
        		</div>
             </div>
        </div>
    </div>
</section>