<?php 
	$single_id   =	get_the_ID();
	$localization = maxwheels_localization();
?>
<form name="contact_author" method="POST" id="mw_singlecontact_author">
	  <div class="theme-row">
		 <span class="wrap">
			<input type="text" autocomplete="off" placeholder="<?php echo esc_attr__('Your Name','maxwheels'); ?>" data-sanitize="trim" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" name="username" class="form-control text">
		 </span> 
	  </div>
	  <div class="theme-row">
   <span class="wrap">
   <input type="email" autocomplete="off" data-validation="email" placeholder="<?php echo esc_attr__('Email','maxwheels'); ?>"  data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="email" />
   </span> 
</div>
	<div class="theme-row">
               <span class="wrap for-my-phone">
               <input type="tel" autocomplete="off" id="myphone" data-validation="required" data-validation-error-msg="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" class="form-control text" name="contact-no" />
               </span> 
            </div>
	  <div class="theme-row">
 
   <span class="wrap">
   <textarea cols="10" class="form-control" autocomplete="off" placeholder="<?php echo esc_attr__('Your Message','maxwheels'); ?>" data-validation="required" data-validation-error-msg-required="<?php echo esc_attr($localization['all_fields_error']); ?>" data-sanitize="trim" rows="5"  name="msg"></textarea>
   </span> 
</div>
<?php wp_nonce_field( 'prop-single-profile-nonce', 'single_profile_nonce' ); ?>
<input type="hidden" name="profile_id" value="<?php echo esc_attr($single_id); ?>">
<button type="submit" class="btn btn-theme btn-block sonu-button" data-spinner-text="<?php echo esc_attr($localization['processing']); ?>"><?php echo esc_html__('Send Message','maxwheels'); ?></button>
</form>