<?php
$container= 'container';
$layout_type = '';
$layout_type = maxwheels_strings('mw_listing_search_layout');
if(is_page_template('page-dashboard.php') || is_page_template('page-listing-search.php') && $layout_type == 'modern' && maxwheels_strings('mw_selected_header') == 1)
{
	$container = 'container-fluid';
}
$is_transparent = '';
if(get_post_meta( get_the_ID(), 'show_trans_header', true )!="" && get_post_meta( get_the_ID(), 'show_trans_header', true )=="1")
{
	if ( wp_is_mobile() ) {
		$is_transparent = '';
	}
	else
	{
		$is_transparent = 'make-me-trans';	
	}
}
$class = '';
if ( is_user_logged_in() )
{
	$class = 'user-authorized-in';	
}
?>
<div class="sb-header  header-1 <?php echo esc_attr($is_transparent); ?>">
		<div class="<?php echo esc_attr($container); ?>">
			<div class="sb-header-container">
                <?php echo maxwheels_site_logo(); ?>
				<div class="burger-menu">
					<div class="line-menu line-half first-line"></div>
					<div class="line-menu"></div>
					<div class="line-menu line-half last-line"></div>
				</div>
               <nav class="sb-menu menu-caret submenu-top-border submenu-scale">
                <ul class="menu-items">
					<?php echo maxwheels_main_menu('main_theme_menu' );?>
                </ul>
                  <?php
                  if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
                  {
                  ?>
                            <?php if (maxwheels_strings('mw_dashboard') == true) { ?>   
                            <ul class="auth-elements <?php echo esc_attr($class); ?>">
                                <?php
                                // login & profile
								echo maxwheels_auth_settings();
                                $custom_class = 'disable-registrations ';
                                if(maxwheels_strings('mw_other_btn') == true || is_user_logged_in())
                                {
                                    $page_url = maxwheels_framework_get_link('page-submit-listings.php');
                                ?>
                                <li class="submit-btn <?php echo esc_attr($custom_class); ?>"><a class="btn btn-theme" href="<?php echo esc_url($page_url); ?>"> <i class="<?php echo esc_attr(maxwheels_strings('mw_anotherbtn_icon'));?> h1-menu-plus clr-white"></i> <?php echo maxwheels_strings('mw_anotherbtn_txt'); ?></a></li>
                                <?php
                                }
                                ?>
                            </ul>
                            <?php } ?> 
                  <?php
                  }
                  ?>
              </nav>
			</div>
		</div>
	</div>
<div class="clearfix"></div>