<?php
$signupin = $signuplink  = $search_page = $is_transparent = '';
$position = 'position-relative';
if(get_post_meta( get_the_ID(), 'show_trans_header', true )!="" && get_post_meta( get_the_ID(), 'show_trans_header', true )=="1")
{
	if ( wp_is_mobile() ) {
		$is_transparent = '';
	}
	else
	{
		$is_transparent = 'make-me-trans';	
	}
	$position = 'position-absolute';
}
?>
<div class="<?php echo esc_attr($position); ?> w-100 <?php echo esc_attr($is_transparent); ?> preselected-header">
<header class="mw-own-header position-fixed w-100 top-0 start-0 end-50">
  <div class="container ">
    <div class="header-content ">
      <div class="header-left-area">
        <ul class="content-area-log">
          <li>
            <div class="toggle">
            <span></span>
          </div>
          </li>
          <li><?php echo maxwheels_site_logo(); ?></li>
        </ul>
      </div>
	  <?php	
		if(in_array('maxwheels-framework/index.php', apply_filters('active_plugins', get_option('active_plugins'))))
		{
			$search_page = maxwheels_framework_get_link('page-listing-search.php');
			$signuplink  = maxwheels_framework_get_link('page-signup.php');
			$signupin    = maxwheels_framework_get_link('page-signin.php');
		?>
	  	<div class="main-searching-area">	
		  <form class="custom-style-search" method="get" action="<?php echo esc_url($search_page); ?>">
			<div class="typeahead__container">
				<div class="typeahead__field">
					<div class="typeahead__query">
						<input autocomplete="off" type="search" class="for_main_hero form-control specific_search" placeholder="Search, Whatever you looking for... (e.g 'Honda')">
					</div>
					<div class="typeahead__button">
					<button type="submit">
						<i class="fas fa-search"></i>
					</button>
				</div>
				</div>
			</div>
			  <input type="hidden" name="by_title" value="">
			  <input type="hidden" name="category" value="">
		  </form>
	  </div>	
      <div class="header-right-area">
		    <?php
			if (!is_user_logged_in()) { ?>
			<ul class="content-area-log">
				<li><a href="<?php echo esc_url($signupin); ?>" class="header-user"><i class="fas fa-lock"></i><span><?php echo esc_html__('Log In','maxwheels'); ?></span></a></li>
                <?php if(maxwheels_strings('mw_enable_registration') == true) {  ?>
				<li><a href="<?php echo esc_url($signuplink); ?>"><i class="fas fa-user"></i><span><?php echo esc_html__('Sign Up','maxwheels'); ?></span></a></li>
			    <?php } ?>
            </ul>
		    <?php } ?>
		    <?php if (is_user_logged_in()) { 
				$local = maxwheels_localization();
				$image_id = '';
				$dashboard_page = '#';
				$dashboard_page = maxwheels_framework_get_link('page-dashboard.php');
				$type = '';
				$user_id = get_current_user_id();
				if(get_user_meta($user_id, 'user_role_type', true) !="")
				{
					$type = get_user_meta($user_id, 'user_role_type', true);	
				}
				$post_id = '';
				if(get_user_meta( $user_id, 'mw_post_id' , true ) !="")
				{
					$post_id = get_user_meta( $user_id, 'mw_post_id' , true);
				}
		    ?>
			  <ul class="logged-user-profile">
			  <li class="nav-item nav-profile dropdown">
							<a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" id="authDropdown">
								<img src="<?php echo esc_url(maxwheels_placeholder_images($type,$post_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>" />
							</a>
							<div class="dropdown-menu dropdown-menu-right navbar-dropdown profile-top" aria-labelledby="authDropdown">
								<div class="profile-header d-flex align-items-center">
									<div class="thumb-area">
										<img src="<?php echo esc_url(maxwheels_placeholder_images($type,$post_id,'full')); ?>" alt="<?php echo esc_attr(get_post_meta($image_id, '_wp_attachment_image_alt', TRUE)); ?>">
									</div>
									<div class="content-text">
										<h6><?php echo get_the_title($post_id); ?></h6>
                                        <p class="mb-0 text-capitalize"><?php echo esc_html($type); ?></p>
									</div>
								</div>
								
								<a href="<?php echo esc_url($dashboard_page); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-activity"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>  <?php echo esc_html($local['dashboard']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=my-profile'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
										<circle cx="12" cy="7" r="4"></circle>
									</svg> <?php echo esc_html($local['profile']); ?></a>

								<a href="<?php echo esc_url($dashboard_page.'?page-type=publish'); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<circle cx="12" cy="12" r="3"></circle>
										<path d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z"></path>
									</svg> <?php echo esc_html($local['my_properties']); ?></a>

								<a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>" class="dropdown-item"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
										<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
										<polyline points="16 17 21 12 16 7"></polyline>
										<line x1="21" y1="12" x2="9" y2="12"></line>
									</svg> <?php echo esc_html($local['logout']); ?></a>
							</div>
						</li>
			  </ul>
		    <?php } ?>
		  
			<?php 
			if(maxwheels_strings('mw_other_btn') == true || is_user_logged_in())
            {
            	$page_url = maxwheels_framework_get_link('page-submit-listings.php');
			?>	
        		<a href="<?php echo esc_url($page_url); ?>" class="btn btn-theme"><i class="<?php echo esc_attr(maxwheels_strings('mw_anotherbtn_icon'));?>"></i><span> <?php echo maxwheels_strings('mw_anotherbtn_txt'); ?></span></a>
		    <?php
			}
			?>
		</div>
		<?php
		}
		?>
    </div>
  </div>
</header>
<nav id="main-nav" class="none">
	<ul class="first-nav">
	   <?php echo maxwheels_main_menu( 'main_theme_menu' ); ?>
	</ul>
</nav>
</div>