<?php
$mw_id	=	get_the_ID();
$allowed_html = maxwheels_allowed_html();
$mydate = $labels = $get_all_prices = '';
$get_all_prices =  maxwheels_framework_fetch_price($mw_id);
$mydate =  get_the_date(get_option('date_format'), $mw_id);
//labels
if(!empty(maxwheels_getlabels($mw_id)))
{
	$text_direction = 'text-start';
	if(is_rtl())
	{
		$text_direction = 'text-end';
	}
	$labels = '<div class="property-labels absolute-no">
				<div class="label-badges">
					<ul class="list-unstyled '.esc_attr($text_direction).'">
					'.maxwheels_getlabels($mw_id).'
					</ul>
				</div>
			  </div>';	
}
?>
<div class="row">
<div class="single-car-detail-2 margin-bottom-30">
	<div class="single-car-detail-3">
		<?php echo wp_kses($labels,$allowed_html); ?> 
		<h1><?php echo esc_html(get_the_title($mw_id)); ?></h1>
		<?php
		if ( wp_is_mobile() ) 
		{
		?>
		<div class="res-mob-meta">
			<ul>
				<li class="list-meta-with-icons"><i class="far fa-clock"></i> <?php echo esc_html(date_i18n( get_option( 'date_format' ), strtotime($mydate))); ?></li>
				<?php if(get_post_meta($mw_id, 'mw_street_addr', true ) !='') { ?>
				<li class="list-meta-with-icons"><i class="fas fa-location-arrow" aria-hidden="true"></i> <?php echo esc_html(get_post_meta($mw_id, 'mw_street_addr', true )); ?></li>
				<?php } ?>
				<li class="list-meta-with-icons"><i class="far fa-eye"></i> <?php echo number_format(get_post_meta($mw_id, 'mw_listing_total_views', true)); ?></li>
			</ul> 
		</div>	
		<?php
		}
		else
		{
		?>
		<div class="list-meta-two">
			<ul>
				<li><span class="list-posted-date"><?php echo esc_html__('Listed On','maxwheels') ?> : <?php echo esc_html(date_i18n( get_option( 'date_format' ), strtotime($mydate))); ?></span></li>
				<?php if(get_post_meta($mw_id, 'mw_street_addr', true ) !='') { ?>
				<li class="list-meta-with-icons"><i class="fas fa-location-arrow clr-blu" aria-hidden="true"></i> <?php echo esc_html(get_post_meta($mw_id, 'mw_street_addr', true )); ?></li>
				<?php } ?>
				<li class="list-meta-with-icons"><?php echo esc_html__('Views', 'maxwheels'); ?> : <?php echo number_format(get_post_meta($mw_id, 'mw_listing_total_views', true)); ?></li>
			</ul>   
		</div>
		<?php
		}
		?>
	</div>
	<div class="single-car-detail-4">
		<span><?php echo esc_html__('Stock #','maxwheels'); ?><?php echo esc_html($mw_id); ?></span>
		<ul>
			<?php if(!empty($get_all_prices)) { ?>
			<li class="for-price">
				<div class="pricetag"><?php echo esc_html($get_all_prices); ?></div>
			</li>
			<?php } ?>
		</ul>
	</div>
</div>
</div>	