<?php
global $maxwheels_options;
global $localization;
//near me
$none_class = 'none';
$current_min = 20;
$distance = $long = $latt = '';
if (isset($_GET['latt']) && $_GET['latt'] != "" && isset($_GET['long']) && $_GET['long'] != "" && isset($_GET['distance']) && $_GET['distance'] != "")
{
	$latt = $_GET['latt'];
	$long = $_GET['long'];
	$distance = $_GET['distance'];
	$current_min = $distance;
	$none_class = '';
}
$layout_type_selection = 'grid';
if (isset($_GET['layout-type']) && $_GET['layout-type'] == "list") {
	$layout_type_selection = 'list';
}
//by author
$author_id = '';
if (isset($_GET['inventory-author']) && $_GET['inventory-author'] != "")
{
	$author_id = $_GET['inventory-author'];
}
$layout_list = '';
if(isset($maxwheels_options['mw_listing_search_grids']) && $maxwheels_options['mw_listing_search_grids'] !="")
{
	$layout_list = $maxwheels_options['mw_listing_search_grids'];
}
$col_lg_left = 'col-lg-4';
$col_lg_right = 'col-lg-8';
$additional_margin = '';
$lists_tyles = array("list1", "list2", "list3", "list4", "list5");
if (in_array($layout_list, $lists_tyles)) 
{
	$additional_margin = 'additional_margin';
	$col_lg_right = $col_lg_left = 'col-lg-12';
}

?>
<div class="mw-breads white-bg">
	<div class="container">
		<div class="row">
			<div class="col-xxl-12 col-lg-12 col-md-12 col-sm-12 col-12">
				<ol class="breadcrumb">
				  <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url( '/' )); ?>"><i class="fas fa-home"></i> <?php echo esc_html__('Home','maxwheels'); ?></a></li>
				  <li class="breadcrumb-item active" aria-current="page"><?php echo get_the_title(); ?></li>
				</ol>			
			</div>	
		</div>
	</div>	
</div>
<section class="inventory-search light-bg custom-padding">
  <div class="container">
    <div class="row">
      <div class="col-xxl-3 col-xl-4 <?php echo esc_attr($col_lg_left); ?> col-md-12 col-sm-12 col-12 order-xxl-first order-xl-first  order-last">
          <div class="project-sidebar">
                    <form id="mw-search-inv">
                          <?php
                            if (is_active_sidebar('mw_search_seach_bar'))
                            {
                                dynamic_sidebar('mw_search_seach_bar');
                            }                
                          ?>
                        <div class="submit-btn">
							<input type="hidden" name="layout-type" value="<?php echo esc_attr($layout_type_selection); ?>">
							<input type="hidden" name="inventory-author" value="<?php echo esc_attr($author_id); ?>">
                            <button class="btn btn-theme btn-block filter-results" type="button"> <?php echo esc_html__('Filter Result','maxwheels'); ?></button>
                        </div>
                    </form>
                </div>
      </div>
      <div class="col-xxl-9 col-xl-8 <?php echo esc_attr($col_lg_right); ?> col-md-12 col-sm-12 col-12">
      <div class="row">
      	<div class="col-12 col-xl-12 col-md-12 col-sm-12">
        <div class="filter-sorting-bar d-flex flex-wrap justify-content-between align-items-center <?php echo esc_attr($additional_margin); ?>">
            <h4>
                <?php echo wp_sprintf(__('<span class="clr-yal"> %d </span> Results Found ', 'maxwheels'),esc_attr($results->found_posts)); ?>
				
            </h4>
			
            <div class=" d-flex d-block">
             <span id="result_reset" class=" d-flex flex-wrap align-items-center">
               <i class="fas fa-sync-alt" aria-hidden="true"></i> <a class="main-listing__clear" href="<?php echo esc_url(maxwheels_framework_get_link('page-listing-search.php')); ?>"><?php echo esc_html__('Reset All Filters','maxwheels') ?></a> 
			 </span>
              <div class="short-by">
                <select name="sort-by" id="sort-by" class="sort-selects" data-placeholder="<?php echo esc_attr__('Newest To Oldest', 'maxwheels'); ?>">
                  <option value="newest"><?php echo esc_html__('Newest To Oldest', 'maxwheels'); ?></option>
                  <option value="oldest"><?php echo esc_html__('Oldest To New', 'maxwheels'); ?></option>
                  <option value="price-asc"><?php echo esc_html__('Price: Low to High', 'maxwheels'); ?></option>
                  <option value="price-desc"><?php echo esc_html__('Price: High to Low', 'maxwheels'); ?></option>
                  <option value="mileage-asc"><?php echo esc_html__('Mileage: Low to High', 'maxwheels'); ?></option>
                  <option value="mileage-desc"><?php echo esc_html__('Mileage: High to Low', 'maxwheels'); ?></option>
                  <option value="year-desc"><?php echo esc_html__('Model Year: Latest First', 'maxwheels'); ?></option>
                  <option value="year-asc"><?php echo esc_html__('Model Year: Oldest First', 'maxwheels'); ?></option>
                </select>
              </div>
                 <ul class="filters-nav" role="tablist">
					 <li><button type="button" name="layout-type" value="grid" class="active-grid sel-class"><i class="fas fa-th"></i></button></li>
					 <li><button type="button"  name="layout-type" value="list" class="make-me-dark sel-class"><i class="fas fa-bars"></i></button></li>
				</ul>
            </div>
		</div>
        <div class="my-filer-tags">
         <?php if (!empty($_GET)) {echo maxwheels_framework_search_filters_tags($_GET);}?>
       </div>
		</div>
	  </div>
        <div class="row grid mysearch-page">
        <?php
		 $fetch_output = '';
		 if ($results->have_posts())
		 {
			 require trailingslashit(get_template_directory()) . "template-parts/search/listing-search/grids/grids.php";
			 echo maxwheels_strings_allow_html($fetch_output);
		 }
		 else
		 {
			echo maxwheels_framework_no_result_found(); 
		 }
		 ?>
       </div>
       <div class="my-loading-bar">     
            <div class="my-loader-mw"></div>
      </div>
	  <?php if(!empty(maxwheels_pagination_search($results))) { ?>
         <div class="row">
               <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 margin-bottom-30"> 
                 <div id="listing_ajax_pagination"><?php echo maxwheels_pagination_search($results); ?></div>
              </div>
         </div>
      <?php } ?>         
      </div>
    </div>
  </div>
</section>